import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../../common";
export interface ISenderGatewayInterface extends utils.Interface {
    functions: {
        "receiverGateway()": FunctionFragment;
        "veaInbox()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "receiverGateway" | "veaInbox"): FunctionFragment;
    encodeFunctionData(functionFragment: "receiverGateway", values?: undefined): string;
    encodeFunctionData(functionFragment: "veaInbox", values?: undefined): string;
    decodeFunctionResult(functionFragment: "receiverGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "veaInbox", data: BytesLike): Result;
    events: {};
}
export interface ISenderGateway extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: ISenderGatewayInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        receiverGateway(overrides?: CallOverrides): Promise<[string]>;
        veaInbox(overrides?: CallOverrides): Promise<[string]>;
    };
    receiverGateway(overrides?: CallOverrides): Promise<string>;
    veaInbox(overrides?: CallOverrides): Promise<string>;
    callStatic: {
        receiverGateway(overrides?: CallOverrides): Promise<string>;
        veaInbox(overrides?: CallOverrides): Promise<string>;
    };
    filters: {};
    estimateGas: {
        receiverGateway(overrides?: CallOverrides): Promise<BigNumber>;
        veaInbox(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        receiverGateway(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        veaInbox(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
