import type { BaseContract, BigNumber, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../../common";
export interface IVeaInboxInterface extends utils.Interface {
    functions: {
        "saveSnapshot()": FunctionFragment;
        "sendMessage(address,bytes4,bytes)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "saveSnapshot" | "sendMessage"): FunctionFragment;
    encodeFunctionData(functionFragment: "saveSnapshot", values?: undefined): string;
    encodeFunctionData(functionFragment: "sendMessage", values: [string, BytesLike, BytesLike]): string;
    decodeFunctionResult(functionFragment: "saveSnapshot", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sendMessage", data: BytesLike): Result;
    events: {};
}
export interface IVeaInbox extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IVeaInboxInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        saveSnapshot(overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        sendMessage(_to: string, _fnSelection: BytesLike, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    saveSnapshot(overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    sendMessage(_to: string, _fnSelection: BytesLike, _data: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        saveSnapshot(overrides?: CallOverrides): Promise<void>;
        sendMessage(_to: string, _fnSelection: BytesLike, _data: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {};
    estimateGas: {
        saveSnapshot(overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        sendMessage(_to: string, _fnSelection: BytesLike, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        saveSnapshot(overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        sendMessage(_to: string, _fnSelection: BytesLike, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
