import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../common";
export interface CentralizedArbitratorInterface extends utils.Interface {
    functions: {
        "LOSER_APPEAL_PERIOD_MULTIPLIER()": FunctionFragment;
        "LOSER_STAKE_MULTIPLIER()": FunctionFragment;
        "MULTIPLIER_DIVISOR()": FunctionFragment;
        "WINNER_STAKE_MULTIPLIER()": FunctionFragment;
        "appealDuration()": FunctionFragment;
        "appealFee()": FunctionFragment;
        "appealPeriod(uint256)": FunctionFragment;
        "arbitrationCost(bytes,address)": FunctionFragment;
        "arbitrationCost(bytes)": FunctionFragment;
        "createDispute(uint256,bytes)": FunctionFragment;
        "createDispute(uint256,bytes,address,uint256)": FunctionFragment;
        "currentRuling(uint256)": FunctionFragment;
        "disputeIDtoRoundArray(uint256,uint256)": FunctionFragment;
        "disputes(uint256)": FunctionFragment;
        "fundAppeal(uint256,uint256)": FunctionFragment;
        "fundingStatus(uint256,uint256)": FunctionFragment;
        "giveRuling(uint256,uint256)": FunctionFragment;
        "owner()": FunctionFragment;
        "setAppealDuration(uint256)": FunctionFragment;
        "setAppealFee(uint256)": FunctionFragment;
        "setArbitrationFee(uint256)": FunctionFragment;
        "withdrawFeesAndRewards(uint256,address,uint256,uint256)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "LOSER_APPEAL_PERIOD_MULTIPLIER" | "LOSER_STAKE_MULTIPLIER" | "MULTIPLIER_DIVISOR" | "WINNER_STAKE_MULTIPLIER" | "appealDuration" | "appealFee" | "appealPeriod" | "arbitrationCost(bytes,address)" | "arbitrationCost(bytes)" | "createDispute(uint256,bytes)" | "createDispute(uint256,bytes,address,uint256)" | "currentRuling" | "disputeIDtoRoundArray" | "disputes" | "fundAppeal" | "fundingStatus" | "giveRuling" | "owner" | "setAppealDuration" | "setAppealFee" | "setArbitrationFee" | "withdrawFeesAndRewards"): FunctionFragment;
    encodeFunctionData(functionFragment: "LOSER_APPEAL_PERIOD_MULTIPLIER", values?: undefined): string;
    encodeFunctionData(functionFragment: "LOSER_STAKE_MULTIPLIER", values?: undefined): string;
    encodeFunctionData(functionFragment: "MULTIPLIER_DIVISOR", values?: undefined): string;
    encodeFunctionData(functionFragment: "WINNER_STAKE_MULTIPLIER", values?: undefined): string;
    encodeFunctionData(functionFragment: "appealDuration", values?: undefined): string;
    encodeFunctionData(functionFragment: "appealFee", values?: undefined): string;
    encodeFunctionData(functionFragment: "appealPeriod", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "arbitrationCost(bytes,address)", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "arbitrationCost(bytes)", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "createDispute(uint256,bytes)", values: [BigNumberish, BytesLike]): string;
    encodeFunctionData(functionFragment: "createDispute(uint256,bytes,address,uint256)", values: [BigNumberish, BytesLike, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "currentRuling", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "disputeIDtoRoundArray", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "disputes", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "fundAppeal", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "fundingStatus", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "giveRuling", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "owner", values?: undefined): string;
    encodeFunctionData(functionFragment: "setAppealDuration", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "setAppealFee", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "setArbitrationFee", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "withdrawFeesAndRewards", values: [BigNumberish, string, BigNumberish, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "LOSER_APPEAL_PERIOD_MULTIPLIER", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "LOSER_STAKE_MULTIPLIER", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "MULTIPLIER_DIVISOR", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "WINNER_STAKE_MULTIPLIER", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "appealDuration", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "appealFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "appealPeriod", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arbitrationCost(bytes,address)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arbitrationCost(bytes)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDispute(uint256,bytes)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDispute(uint256,bytes,address,uint256)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "currentRuling", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputeIDtoRoundArray", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputes", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "fundAppeal", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "fundingStatus", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "giveRuling", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "owner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setAppealDuration", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setAppealFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setArbitrationFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawFeesAndRewards", data: BytesLike): Result;
    events: {
        "AcceptedFeeToken(address,bool)": EventFragment;
        "AppealDecision(uint256,address)": EventFragment;
        "AppealPossible(uint256,address)": EventFragment;
        "ChoiceFunded(uint256,uint256,uint256)": EventFragment;
        "Contribution(uint256,uint256,uint256,address,uint256)": EventFragment;
        "DisputeCreation(uint256,address)": EventFragment;
        "NewCurrencyRate(address,uint64,uint8)": EventFragment;
        "Ruling(address,uint256,uint256)": EventFragment;
        "Withdrawal(uint256,uint256,uint256,address,uint256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "AcceptedFeeToken"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "AppealDecision"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "AppealPossible"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ChoiceFunded"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Contribution"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "DisputeCreation"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "NewCurrencyRate"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Ruling"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Withdrawal"): EventFragment;
}
export interface AcceptedFeeTokenEventObject {
    _token: string;
    _accepted: boolean;
}
export type AcceptedFeeTokenEvent = TypedEvent<[
    string,
    boolean
], AcceptedFeeTokenEventObject>;
export type AcceptedFeeTokenEventFilter = TypedEventFilter<AcceptedFeeTokenEvent>;
export interface AppealDecisionEventObject {
    _disputeID: BigNumber;
    _arbitrable: string;
}
export type AppealDecisionEvent = TypedEvent<[
    BigNumber,
    string
], AppealDecisionEventObject>;
export type AppealDecisionEventFilter = TypedEventFilter<AppealDecisionEvent>;
export interface AppealPossibleEventObject {
    _disputeID: BigNumber;
    _arbitrable: string;
}
export type AppealPossibleEvent = TypedEvent<[
    BigNumber,
    string
], AppealPossibleEventObject>;
export type AppealPossibleEventFilter = TypedEventFilter<AppealPossibleEvent>;
export interface ChoiceFundedEventObject {
    _disputeID: BigNumber;
    _round: BigNumber;
    _choice: BigNumber;
}
export type ChoiceFundedEvent = TypedEvent<[
    BigNumber,
    BigNumber,
    BigNumber
], ChoiceFundedEventObject>;
export type ChoiceFundedEventFilter = TypedEventFilter<ChoiceFundedEvent>;
export interface ContributionEventObject {
    _disputeID: BigNumber;
    _round: BigNumber;
    _choice: BigNumber;
    _contributor: string;
    _amount: BigNumber;
}
export type ContributionEvent = TypedEvent<[
    BigNumber,
    BigNumber,
    BigNumber,
    string,
    BigNumber
], ContributionEventObject>;
export type ContributionEventFilter = TypedEventFilter<ContributionEvent>;
export interface DisputeCreationEventObject {
    _disputeID: BigNumber;
    _arbitrable: string;
}
export type DisputeCreationEvent = TypedEvent<[
    BigNumber,
    string
], DisputeCreationEventObject>;
export type DisputeCreationEventFilter = TypedEventFilter<DisputeCreationEvent>;
export interface NewCurrencyRateEventObject {
    _feeToken: string;
    _rateInEth: BigNumber;
    _rateDecimals: number;
}
export type NewCurrencyRateEvent = TypedEvent<[
    string,
    BigNumber,
    number
], NewCurrencyRateEventObject>;
export type NewCurrencyRateEventFilter = TypedEventFilter<NewCurrencyRateEvent>;
export interface RulingEventObject {
    _arbitrable: string;
    _disputeID: BigNumber;
    _ruling: BigNumber;
}
export type RulingEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], RulingEventObject>;
export type RulingEventFilter = TypedEventFilter<RulingEvent>;
export interface WithdrawalEventObject {
    _disputeID: BigNumber;
    _round: BigNumber;
    _choice: BigNumber;
    _contributor: string;
    _amount: BigNumber;
}
export type WithdrawalEvent = TypedEvent<[
    BigNumber,
    BigNumber,
    BigNumber,
    string,
    BigNumber
], WithdrawalEventObject>;
export type WithdrawalEventFilter = TypedEventFilter<WithdrawalEvent>;
export interface CentralizedArbitrator extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: CentralizedArbitratorInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<[BigNumber]>;
        LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<[BigNumber]>;
        MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<[BigNumber]>;
        WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<[BigNumber]>;
        appealDuration(overrides?: CallOverrides): Promise<[BigNumber]>;
        appealFee(overrides?: CallOverrides): Promise<[BigNumber]>;
        appealPeriod(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
            start: BigNumber;
            end: BigNumber;
        }>;
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        "arbitrationCost(bytes)"(arg0: BytesLike, overrides?: CallOverrides): Promise<[BigNumber] & {
            fee: BigNumber;
        }>;
        "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, boolean, boolean]>;
        disputeIDtoRoundArray(arg0: BigNumberish, arg1: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber] & {
            feeRewards: BigNumber;
        }>;
        disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            string,
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber,
            number
        ] & {
            arbitrated: string;
            arbitratorExtraData: string;
            choices: BigNumber;
            appealPeriodStart: BigNumber;
            arbitrationFee: BigNumber;
            ruling: BigNumber;
            status: number;
        }>;
        fundAppeal(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        fundingStatus(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
            funded: BigNumber;
            goal: BigNumber;
        }>;
        giveRuling(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        owner(overrides?: CallOverrides): Promise<[string]>;
        setAppealDuration(_appealDuration: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setAppealFee(_appealFee: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setArbitrationFee(_arbitrationFee: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        withdrawFeesAndRewards(_disputeID: BigNumberish, _beneficiary: string, _round: BigNumberish, _choice: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
    LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
    MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<BigNumber>;
    WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
    appealDuration(overrides?: CallOverrides): Promise<BigNumber>;
    appealFee(overrides?: CallOverrides): Promise<BigNumber>;
    appealPeriod(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
        start: BigNumber;
        end: BigNumber;
    }>;
    "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
    "arbitrationCost(bytes)"(arg0: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, boolean, boolean]>;
    disputeIDtoRoundArray(arg0: BigNumberish, arg1: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
        string,
        string,
        BigNumber,
        BigNumber,
        BigNumber,
        BigNumber,
        number
    ] & {
        arbitrated: string;
        arbitratorExtraData: string;
        choices: BigNumber;
        appealPeriodStart: BigNumber;
        arbitrationFee: BigNumber;
        ruling: BigNumber;
        status: number;
    }>;
    fundAppeal(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    fundingStatus(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
        funded: BigNumber;
        goal: BigNumber;
    }>;
    giveRuling(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    owner(overrides?: CallOverrides): Promise<string>;
    setAppealDuration(_appealDuration: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setAppealFee(_appealFee: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setArbitrationFee(_arbitrationFee: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    withdrawFeesAndRewards(_disputeID: BigNumberish, _beneficiary: string, _round: BigNumberish, _choice: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<BigNumber>;
        WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        appealDuration(overrides?: CallOverrides): Promise<BigNumber>;
        appealFee(overrides?: CallOverrides): Promise<BigNumber>;
        appealPeriod(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
            start: BigNumber;
            end: BigNumber;
        }>;
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
        "arbitrationCost(bytes)"(arg0: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, boolean, boolean]>;
        disputeIDtoRoundArray(arg0: BigNumberish, arg1: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            string,
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber,
            number
        ] & {
            arbitrated: string;
            arbitratorExtraData: string;
            choices: BigNumber;
            appealPeriodStart: BigNumber;
            arbitrationFee: BigNumber;
            ruling: BigNumber;
            status: number;
        }>;
        fundAppeal(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<void>;
        fundingStatus(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
            funded: BigNumber;
            goal: BigNumber;
        }>;
        giveRuling(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: CallOverrides): Promise<void>;
        owner(overrides?: CallOverrides): Promise<string>;
        setAppealDuration(_appealDuration: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setAppealFee(_appealFee: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setArbitrationFee(_arbitrationFee: BigNumberish, overrides?: CallOverrides): Promise<void>;
        withdrawFeesAndRewards(_disputeID: BigNumberish, _beneficiary: string, _round: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {
        "AcceptedFeeToken(address,bool)"(_token?: string | null, _accepted?: boolean | null): AcceptedFeeTokenEventFilter;
        AcceptedFeeToken(_token?: string | null, _accepted?: boolean | null): AcceptedFeeTokenEventFilter;
        "AppealDecision(uint256,address)"(_disputeID?: BigNumberish | null, _arbitrable?: string | null): AppealDecisionEventFilter;
        AppealDecision(_disputeID?: BigNumberish | null, _arbitrable?: string | null): AppealDecisionEventFilter;
        "AppealPossible(uint256,address)"(_disputeID?: BigNumberish | null, _arbitrable?: string | null): AppealPossibleEventFilter;
        AppealPossible(_disputeID?: BigNumberish | null, _arbitrable?: string | null): AppealPossibleEventFilter;
        "ChoiceFunded(uint256,uint256,uint256)"(_disputeID?: BigNumberish | null, _round?: BigNumberish | null, _choice?: BigNumberish | null): ChoiceFundedEventFilter;
        ChoiceFunded(_disputeID?: BigNumberish | null, _round?: BigNumberish | null, _choice?: BigNumberish | null): ChoiceFundedEventFilter;
        "Contribution(uint256,uint256,uint256,address,uint256)"(_disputeID?: BigNumberish | null, _round?: BigNumberish | null, _choice?: null, _contributor?: string | null, _amount?: null): ContributionEventFilter;
        Contribution(_disputeID?: BigNumberish | null, _round?: BigNumberish | null, _choice?: null, _contributor?: string | null, _amount?: null): ContributionEventFilter;
        "DisputeCreation(uint256,address)"(_disputeID?: BigNumberish | null, _arbitrable?: string | null): DisputeCreationEventFilter;
        DisputeCreation(_disputeID?: BigNumberish | null, _arbitrable?: string | null): DisputeCreationEventFilter;
        "NewCurrencyRate(address,uint64,uint8)"(_feeToken?: string | null, _rateInEth?: null, _rateDecimals?: null): NewCurrencyRateEventFilter;
        NewCurrencyRate(_feeToken?: string | null, _rateInEth?: null, _rateDecimals?: null): NewCurrencyRateEventFilter;
        "Ruling(address,uint256,uint256)"(_arbitrable?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        Ruling(_arbitrable?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        "Withdrawal(uint256,uint256,uint256,address,uint256)"(_disputeID?: BigNumberish | null, _round?: BigNumberish | null, _choice?: null, _contributor?: string | null, _amount?: null): WithdrawalEventFilter;
        Withdrawal(_disputeID?: BigNumberish | null, _round?: BigNumberish | null, _choice?: null, _contributor?: string | null, _amount?: null): WithdrawalEventFilter;
    };
    estimateGas: {
        LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<BigNumber>;
        WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        appealDuration(overrides?: CallOverrides): Promise<BigNumber>;
        appealFee(overrides?: CallOverrides): Promise<BigNumber>;
        appealPeriod(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
        "arbitrationCost(bytes)"(arg0: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        disputeIDtoRoundArray(arg0: BigNumberish, arg1: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        fundAppeal(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        fundingStatus(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        giveRuling(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        owner(overrides?: CallOverrides): Promise<BigNumber>;
        setAppealDuration(_appealDuration: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setAppealFee(_appealFee: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setArbitrationFee(_arbitrationFee: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        withdrawFeesAndRewards(_disputeID: BigNumberish, _beneficiary: string, _round: BigNumberish, _choice: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        appealDuration(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        appealFee(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        appealPeriod(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "arbitrationCost(bytes)"(arg0: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputeIDtoRoundArray(arg0: BigNumberish, arg1: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        fundAppeal(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        fundingStatus(_disputeID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        giveRuling(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        owner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        setAppealDuration(_appealDuration: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setAppealFee(_appealFee: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setArbitrationFee(_arbitrationFee: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        withdrawFeesAndRewards(_disputeID: BigNumberish, _beneficiary: string, _round: BigNumberish, _choice: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
