import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../common";
export interface KlerosGovernorInterface extends utils.Interface {
    functions: {
        "arbitrator()": FunctionFragment;
        "arbitratorExtraData()": FunctionFragment;
        "changeArbitrator(address,bytes)": FunctionFragment;
        "changeDisputeTemplate(string,string)": FunctionFragment;
        "changeExecutionTimeout(uint256)": FunctionFragment;
        "changeSubmissionDeposit(uint256)": FunctionFragment;
        "changeSubmissionTimeout(uint256)": FunctionFragment;
        "changeWithdrawTimeout(uint256)": FunctionFragment;
        "executeSubmissions()": FunctionFragment;
        "executeTransactionList(uint256,uint256,uint256)": FunctionFragment;
        "executionTimeout()": FunctionFragment;
        "getCurrentSessionNumber()": FunctionFragment;
        "getExpendableFunds()": FunctionFragment;
        "getNumberOfCreatedLists()": FunctionFragment;
        "getNumberOfTransactions(uint256)": FunctionFragment;
        "getSubmittedLists(uint256)": FunctionFragment;
        "getTransactionInfo(uint256,uint256)": FunctionFragment;
        "lastApprovalTime()": FunctionFragment;
        "reservedETH()": FunctionFragment;
        "rule(uint256,uint256)": FunctionFragment;
        "sessions(uint256)": FunctionFragment;
        "submissionBaseDeposit()": FunctionFragment;
        "submissionTimeout()": FunctionFragment;
        "submissions(uint256)": FunctionFragment;
        "submitList(address[],uint256[],bytes,uint256[],string)": FunctionFragment;
        "templateId()": FunctionFragment;
        "templateRegistry()": FunctionFragment;
        "withdrawTimeout()": FunctionFragment;
        "withdrawTransactionList(uint256,bytes32)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "arbitrator" | "arbitratorExtraData" | "changeArbitrator" | "changeDisputeTemplate" | "changeExecutionTimeout" | "changeSubmissionDeposit" | "changeSubmissionTimeout" | "changeWithdrawTimeout" | "executeSubmissions" | "executeTransactionList" | "executionTimeout" | "getCurrentSessionNumber" | "getExpendableFunds" | "getNumberOfCreatedLists" | "getNumberOfTransactions" | "getSubmittedLists" | "getTransactionInfo" | "lastApprovalTime" | "reservedETH" | "rule" | "sessions" | "submissionBaseDeposit" | "submissionTimeout" | "submissions" | "submitList" | "templateId" | "templateRegistry" | "withdrawTimeout" | "withdrawTransactionList"): FunctionFragment;
    encodeFunctionData(functionFragment: "arbitrator", values?: undefined): string;
    encodeFunctionData(functionFragment: "arbitratorExtraData", values?: undefined): string;
    encodeFunctionData(functionFragment: "changeArbitrator", values: [string, BytesLike]): string;
    encodeFunctionData(functionFragment: "changeDisputeTemplate", values: [string, string]): string;
    encodeFunctionData(functionFragment: "changeExecutionTimeout", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeSubmissionDeposit", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeSubmissionTimeout", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeWithdrawTimeout", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "executeSubmissions", values?: undefined): string;
    encodeFunctionData(functionFragment: "executeTransactionList", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "executionTimeout", values?: undefined): string;
    encodeFunctionData(functionFragment: "getCurrentSessionNumber", values?: undefined): string;
    encodeFunctionData(functionFragment: "getExpendableFunds", values?: undefined): string;
    encodeFunctionData(functionFragment: "getNumberOfCreatedLists", values?: undefined): string;
    encodeFunctionData(functionFragment: "getNumberOfTransactions", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getSubmittedLists", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getTransactionInfo", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "lastApprovalTime", values?: undefined): string;
    encodeFunctionData(functionFragment: "reservedETH", values?: undefined): string;
    encodeFunctionData(functionFragment: "rule", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "sessions", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "submissionBaseDeposit", values?: undefined): string;
    encodeFunctionData(functionFragment: "submissionTimeout", values?: undefined): string;
    encodeFunctionData(functionFragment: "submissions", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "submitList", values: [string[], BigNumberish[], BytesLike, BigNumberish[], string]): string;
    encodeFunctionData(functionFragment: "templateId", values?: undefined): string;
    encodeFunctionData(functionFragment: "templateRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "withdrawTimeout", values?: undefined): string;
    encodeFunctionData(functionFragment: "withdrawTransactionList", values: [BigNumberish, BytesLike]): string;
    decodeFunctionResult(functionFragment: "arbitrator", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arbitratorExtraData", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeArbitrator", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeDisputeTemplate", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeExecutionTimeout", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeSubmissionDeposit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeSubmissionTimeout", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeWithdrawTimeout", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "executeSubmissions", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "executeTransactionList", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "executionTimeout", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getCurrentSessionNumber", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getExpendableFunds", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getNumberOfCreatedLists", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getNumberOfTransactions", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getSubmittedLists", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getTransactionInfo", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lastApprovalTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "reservedETH", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "rule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sessions", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "submissionBaseDeposit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "submissionTimeout", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "submissions", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "submitList", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "templateId", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "templateRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTimeout", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTransactionList", data: BytesLike): Result;
    events: {
        "DisputeRequest(address,uint256,uint256,uint256,string)": EventFragment;
        "ListSubmitted(uint256,address,uint256,string)": EventFragment;
        "Ruling(address,uint256,uint256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "DisputeRequest"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ListSubmitted"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Ruling"): EventFragment;
}
export interface DisputeRequestEventObject {
    _arbitrator: string;
    _arbitrableDisputeID: BigNumber;
    _externalDisputeID: BigNumber;
    _templateId: BigNumber;
    _templateUri: string;
}
export type DisputeRequestEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber,
    string
], DisputeRequestEventObject>;
export type DisputeRequestEventFilter = TypedEventFilter<DisputeRequestEvent>;
export interface ListSubmittedEventObject {
    _listID: BigNumber;
    _submitter: string;
    _session: BigNumber;
    _description: string;
}
export type ListSubmittedEvent = TypedEvent<[
    BigNumber,
    string,
    BigNumber,
    string
], ListSubmittedEventObject>;
export type ListSubmittedEventFilter = TypedEventFilter<ListSubmittedEvent>;
export interface RulingEventObject {
    _arbitrator: string;
    _disputeID: BigNumber;
    _ruling: BigNumber;
}
export type RulingEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], RulingEventObject>;
export type RulingEventFilter = TypedEventFilter<RulingEvent>;
export interface KlerosGovernor extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: KlerosGovernorInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        arbitrator(overrides?: CallOverrides): Promise<[string]>;
        arbitratorExtraData(overrides?: CallOverrides): Promise<[string]>;
        changeArbitrator(_arbitrator: string, _arbitratorExtraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeExecutionTimeout(_executionTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeSubmissionDeposit(_submissionBaseDeposit: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeSubmissionTimeout(_submissionTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeWithdrawTimeout(_withdrawTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        executeSubmissions(overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        executeTransactionList(_listID: BigNumberish, _cursor: BigNumberish, _count: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        executionTimeout(overrides?: CallOverrides): Promise<[BigNumber]>;
        getCurrentSessionNumber(overrides?: CallOverrides): Promise<[BigNumber]>;
        getExpendableFunds(overrides?: CallOverrides): Promise<[BigNumber]>;
        getNumberOfCreatedLists(overrides?: CallOverrides): Promise<[BigNumber]>;
        getNumberOfTransactions(_listID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber] & {
            txCount: BigNumber;
        }>;
        getSubmittedLists(_session: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber[]] & {
            submittedLists: BigNumber[];
        }>;
        getTransactionInfo(_listID: BigNumberish, _transactionIndex: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            BigNumber,
            string,
            boolean
        ] & {
            target: string;
            value: BigNumber;
            data: string;
            executed: boolean;
        }>;
        lastApprovalTime(overrides?: CallOverrides): Promise<[BigNumber]>;
        reservedETH(overrides?: CallOverrides): Promise<[BigNumber]>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        sessions(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            BigNumber,
            number,
            BigNumber
        ] & {
            ruling: BigNumber;
            disputeID: BigNumber;
            sumDeposit: BigNumber;
            status: number;
            durationOffset: BigNumber;
        }>;
        submissionBaseDeposit(overrides?: CallOverrides): Promise<[BigNumber]>;
        submissionTimeout(overrides?: CallOverrides): Promise<[BigNumber]>;
        submissions(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            BigNumber,
            string,
            BigNumber,
            boolean,
            BigNumber
        ] & {
            submitter: string;
            deposit: BigNumber;
            listHash: string;
            submissionTime: BigNumber;
            approved: boolean;
            approvalTime: BigNumber;
        }>;
        submitList(_target: string[], _value: BigNumberish[], _data: BytesLike, _dataSize: BigNumberish[], _description: string, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        templateId(overrides?: CallOverrides): Promise<[BigNumber]>;
        templateRegistry(overrides?: CallOverrides): Promise<[string]>;
        withdrawTimeout(overrides?: CallOverrides): Promise<[BigNumber]>;
        withdrawTransactionList(_submissionID: BigNumberish, _listHash: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    arbitrator(overrides?: CallOverrides): Promise<string>;
    arbitratorExtraData(overrides?: CallOverrides): Promise<string>;
    changeArbitrator(_arbitrator: string, _arbitratorExtraData: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeExecutionTimeout(_executionTimeout: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeSubmissionDeposit(_submissionBaseDeposit: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeSubmissionTimeout(_submissionTimeout: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeWithdrawTimeout(_withdrawTimeout: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    executeSubmissions(overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    executeTransactionList(_listID: BigNumberish, _cursor: BigNumberish, _count: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    executionTimeout(overrides?: CallOverrides): Promise<BigNumber>;
    getCurrentSessionNumber(overrides?: CallOverrides): Promise<BigNumber>;
    getExpendableFunds(overrides?: CallOverrides): Promise<BigNumber>;
    getNumberOfCreatedLists(overrides?: CallOverrides): Promise<BigNumber>;
    getNumberOfTransactions(_listID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    getSubmittedLists(_session: BigNumberish, overrides?: CallOverrides): Promise<BigNumber[]>;
    getTransactionInfo(_listID: BigNumberish, _transactionIndex: BigNumberish, overrides?: CallOverrides): Promise<[
        string,
        BigNumber,
        string,
        boolean
    ] & {
        target: string;
        value: BigNumber;
        data: string;
        executed: boolean;
    }>;
    lastApprovalTime(overrides?: CallOverrides): Promise<BigNumber>;
    reservedETH(overrides?: CallOverrides): Promise<BigNumber>;
    rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    sessions(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        BigNumber,
        BigNumber,
        number,
        BigNumber
    ] & {
        ruling: BigNumber;
        disputeID: BigNumber;
        sumDeposit: BigNumber;
        status: number;
        durationOffset: BigNumber;
    }>;
    submissionBaseDeposit(overrides?: CallOverrides): Promise<BigNumber>;
    submissionTimeout(overrides?: CallOverrides): Promise<BigNumber>;
    submissions(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
        string,
        BigNumber,
        string,
        BigNumber,
        boolean,
        BigNumber
    ] & {
        submitter: string;
        deposit: BigNumber;
        listHash: string;
        submissionTime: BigNumber;
        approved: boolean;
        approvalTime: BigNumber;
    }>;
    submitList(_target: string[], _value: BigNumberish[], _data: BytesLike, _dataSize: BigNumberish[], _description: string, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    templateId(overrides?: CallOverrides): Promise<BigNumber>;
    templateRegistry(overrides?: CallOverrides): Promise<string>;
    withdrawTimeout(overrides?: CallOverrides): Promise<BigNumber>;
    withdrawTransactionList(_submissionID: BigNumberish, _listHash: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        arbitrator(overrides?: CallOverrides): Promise<string>;
        arbitratorExtraData(overrides?: CallOverrides): Promise<string>;
        changeArbitrator(_arbitrator: string, _arbitratorExtraData: BytesLike, overrides?: CallOverrides): Promise<void>;
        changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: CallOverrides): Promise<void>;
        changeExecutionTimeout(_executionTimeout: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeSubmissionDeposit(_submissionBaseDeposit: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeSubmissionTimeout(_submissionTimeout: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeWithdrawTimeout(_withdrawTimeout: BigNumberish, overrides?: CallOverrides): Promise<void>;
        executeSubmissions(overrides?: CallOverrides): Promise<void>;
        executeTransactionList(_listID: BigNumberish, _cursor: BigNumberish, _count: BigNumberish, overrides?: CallOverrides): Promise<void>;
        executionTimeout(overrides?: CallOverrides): Promise<BigNumber>;
        getCurrentSessionNumber(overrides?: CallOverrides): Promise<BigNumber>;
        getExpendableFunds(overrides?: CallOverrides): Promise<BigNumber>;
        getNumberOfCreatedLists(overrides?: CallOverrides): Promise<BigNumber>;
        getNumberOfTransactions(_listID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getSubmittedLists(_session: BigNumberish, overrides?: CallOverrides): Promise<BigNumber[]>;
        getTransactionInfo(_listID: BigNumberish, _transactionIndex: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            BigNumber,
            string,
            boolean
        ] & {
            target: string;
            value: BigNumber;
            data: string;
            executed: boolean;
        }>;
        lastApprovalTime(overrides?: CallOverrides): Promise<BigNumber>;
        reservedETH(overrides?: CallOverrides): Promise<BigNumber>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: CallOverrides): Promise<void>;
        sessions(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            BigNumber,
            number,
            BigNumber
        ] & {
            ruling: BigNumber;
            disputeID: BigNumber;
            sumDeposit: BigNumber;
            status: number;
            durationOffset: BigNumber;
        }>;
        submissionBaseDeposit(overrides?: CallOverrides): Promise<BigNumber>;
        submissionTimeout(overrides?: CallOverrides): Promise<BigNumber>;
        submissions(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            BigNumber,
            string,
            BigNumber,
            boolean,
            BigNumber
        ] & {
            submitter: string;
            deposit: BigNumber;
            listHash: string;
            submissionTime: BigNumber;
            approved: boolean;
            approvalTime: BigNumber;
        }>;
        submitList(_target: string[], _value: BigNumberish[], _data: BytesLike, _dataSize: BigNumberish[], _description: string, overrides?: CallOverrides): Promise<void>;
        templateId(overrides?: CallOverrides): Promise<BigNumber>;
        templateRegistry(overrides?: CallOverrides): Promise<string>;
        withdrawTimeout(overrides?: CallOverrides): Promise<BigNumber>;
        withdrawTransactionList(_submissionID: BigNumberish, _listHash: BytesLike, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "DisputeRequest(address,uint256,uint256,uint256,string)"(_arbitrator?: string | null, _arbitrableDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): DisputeRequestEventFilter;
        DisputeRequest(_arbitrator?: string | null, _arbitrableDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): DisputeRequestEventFilter;
        "ListSubmitted(uint256,address,uint256,string)"(_listID?: BigNumberish | null, _submitter?: string | null, _session?: BigNumberish | null, _description?: null): ListSubmittedEventFilter;
        ListSubmitted(_listID?: BigNumberish | null, _submitter?: string | null, _session?: BigNumberish | null, _description?: null): ListSubmittedEventFilter;
        "Ruling(address,uint256,uint256)"(_arbitrator?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        Ruling(_arbitrator?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
    };
    estimateGas: {
        arbitrator(overrides?: CallOverrides): Promise<BigNumber>;
        arbitratorExtraData(overrides?: CallOverrides): Promise<BigNumber>;
        changeArbitrator(_arbitrator: string, _arbitratorExtraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeExecutionTimeout(_executionTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeSubmissionDeposit(_submissionBaseDeposit: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeSubmissionTimeout(_submissionTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeWithdrawTimeout(_withdrawTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        executeSubmissions(overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        executeTransactionList(_listID: BigNumberish, _cursor: BigNumberish, _count: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        executionTimeout(overrides?: CallOverrides): Promise<BigNumber>;
        getCurrentSessionNumber(overrides?: CallOverrides): Promise<BigNumber>;
        getExpendableFunds(overrides?: CallOverrides): Promise<BigNumber>;
        getNumberOfCreatedLists(overrides?: CallOverrides): Promise<BigNumber>;
        getNumberOfTransactions(_listID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getSubmittedLists(_session: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getTransactionInfo(_listID: BigNumberish, _transactionIndex: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        lastApprovalTime(overrides?: CallOverrides): Promise<BigNumber>;
        reservedETH(overrides?: CallOverrides): Promise<BigNumber>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        sessions(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        submissionBaseDeposit(overrides?: CallOverrides): Promise<BigNumber>;
        submissionTimeout(overrides?: CallOverrides): Promise<BigNumber>;
        submissions(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        submitList(_target: string[], _value: BigNumberish[], _data: BytesLike, _dataSize: BigNumberish[], _description: string, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        templateId(overrides?: CallOverrides): Promise<BigNumber>;
        templateRegistry(overrides?: CallOverrides): Promise<BigNumber>;
        withdrawTimeout(overrides?: CallOverrides): Promise<BigNumber>;
        withdrawTransactionList(_submissionID: BigNumberish, _listHash: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        arbitrator(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        arbitratorExtraData(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        changeArbitrator(_arbitrator: string, _arbitratorExtraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeExecutionTimeout(_executionTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeSubmissionDeposit(_submissionBaseDeposit: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeSubmissionTimeout(_submissionTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeWithdrawTimeout(_withdrawTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        executeSubmissions(overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        executeTransactionList(_listID: BigNumberish, _cursor: BigNumberish, _count: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        executionTimeout(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getCurrentSessionNumber(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getExpendableFunds(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getNumberOfCreatedLists(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getNumberOfTransactions(_listID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getSubmittedLists(_session: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getTransactionInfo(_listID: BigNumberish, _transactionIndex: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lastApprovalTime(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        reservedETH(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        sessions(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        submissionBaseDeposit(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        submissionTimeout(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        submissions(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        submitList(_target: string[], _value: BigNumberish[], _data: BytesLike, _dataSize: BigNumberish[], _description: string, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        templateId(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        templateRegistry(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        withdrawTimeout(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        withdrawTransactionList(_submissionID: BigNumberish, _listHash: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
