import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../common";
export interface SortitionModuleNeoInterface extends utils.Interface {
    functions: {
        "changeMaxDrawingTime(uint256)": FunctionFragment;
        "changeMaxStakePerJuror(uint256)": FunctionFragment;
        "changeMaxTotalStaked(uint256)": FunctionFragment;
        "changeMinStakingTime(uint256)": FunctionFragment;
        "changeRandomNumberGenerator(address,uint256)": FunctionFragment;
        "core()": FunctionFragment;
        "createDisputeHook(uint256,uint256)": FunctionFragment;
        "createTree(bytes32,bytes)": FunctionFragment;
        "delayedStakeReadIndex()": FunctionFragment;
        "delayedStakeWriteIndex()": FunctionFragment;
        "delayedStakes(uint256)": FunctionFragment;
        "disputesWithoutJurors()": FunctionFragment;
        "draw(bytes32,uint256,uint256)": FunctionFragment;
        "executeDelayedStakes(uint256)": FunctionFragment;
        "getJurorBalance(address,uint96)": FunctionFragment;
        "getJurorCourtIDs(address)": FunctionFragment;
        "governor()": FunctionFragment;
        "initialize(address,address,uint256,uint256,address,uint256,uint256,uint256)": FunctionFragment;
        "isJurorStaked(address)": FunctionFragment;
        "jurors(address)": FunctionFragment;
        "lastPhaseChange()": FunctionFragment;
        "latestDelayedStakeIndex(address,uint96)": FunctionFragment;
        "lockStake(address,uint256)": FunctionFragment;
        "maxDrawingTime()": FunctionFragment;
        "maxStakePerJuror()": FunctionFragment;
        "maxTotalStaked()": FunctionFragment;
        "minStakingTime()": FunctionFragment;
        "notifyRandomNumber(uint256)": FunctionFragment;
        "passPhase()": FunctionFragment;
        "penalizeStake(address,uint256)": FunctionFragment;
        "phase()": FunctionFragment;
        "postDrawHook(uint256,uint256)": FunctionFragment;
        "proxiableUUID()": FunctionFragment;
        "randomNumber()": FunctionFragment;
        "randomNumberRequestBlock()": FunctionFragment;
        "rng()": FunctionFragment;
        "rngLookahead()": FunctionFragment;
        "setJurorInactive(address)": FunctionFragment;
        "setStake(address,uint96,uint256,bool)": FunctionFragment;
        "stakeOf(bytes32,bytes32)": FunctionFragment;
        "stakeOf(address,uint96)": FunctionFragment;
        "totalStaked()": FunctionFragment;
        "unlockStake(address,uint256)": FunctionFragment;
        "upgradeToAndCall(address,bytes)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "changeMaxDrawingTime" | "changeMaxStakePerJuror" | "changeMaxTotalStaked" | "changeMinStakingTime" | "changeRandomNumberGenerator" | "core" | "createDisputeHook" | "createTree" | "delayedStakeReadIndex" | "delayedStakeWriteIndex" | "delayedStakes" | "disputesWithoutJurors" | "draw" | "executeDelayedStakes" | "getJurorBalance" | "getJurorCourtIDs" | "governor" | "initialize" | "isJurorStaked" | "jurors" | "lastPhaseChange" | "latestDelayedStakeIndex" | "lockStake" | "maxDrawingTime" | "maxStakePerJuror" | "maxTotalStaked" | "minStakingTime" | "notifyRandomNumber" | "passPhase" | "penalizeStake" | "phase" | "postDrawHook" | "proxiableUUID" | "randomNumber" | "randomNumberRequestBlock" | "rng" | "rngLookahead" | "setJurorInactive" | "setStake" | "stakeOf(bytes32,bytes32)" | "stakeOf(address,uint96)" | "totalStaked" | "unlockStake" | "upgradeToAndCall"): FunctionFragment;
    encodeFunctionData(functionFragment: "changeMaxDrawingTime", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeMaxStakePerJuror", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeMaxTotalStaked", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeMinStakingTime", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeRandomNumberGenerator", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "core", values?: undefined): string;
    encodeFunctionData(functionFragment: "createDisputeHook", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "createTree", values: [BytesLike, BytesLike]): string;
    encodeFunctionData(functionFragment: "delayedStakeReadIndex", values?: undefined): string;
    encodeFunctionData(functionFragment: "delayedStakeWriteIndex", values?: undefined): string;
    encodeFunctionData(functionFragment: "delayedStakes", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "disputesWithoutJurors", values?: undefined): string;
    encodeFunctionData(functionFragment: "draw", values: [BytesLike, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "executeDelayedStakes", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getJurorBalance", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getJurorCourtIDs", values: [string]): string;
    encodeFunctionData(functionFragment: "governor", values?: undefined): string;
    encodeFunctionData(functionFragment: "initialize", values: [
        string,
        string,
        BigNumberish,
        BigNumberish,
        string,
        BigNumberish,
        BigNumberish,
        BigNumberish
    ]): string;
    encodeFunctionData(functionFragment: "isJurorStaked", values: [string]): string;
    encodeFunctionData(functionFragment: "jurors", values: [string]): string;
    encodeFunctionData(functionFragment: "lastPhaseChange", values?: undefined): string;
    encodeFunctionData(functionFragment: "latestDelayedStakeIndex", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "lockStake", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "maxDrawingTime", values?: undefined): string;
    encodeFunctionData(functionFragment: "maxStakePerJuror", values?: undefined): string;
    encodeFunctionData(functionFragment: "maxTotalStaked", values?: undefined): string;
    encodeFunctionData(functionFragment: "minStakingTime", values?: undefined): string;
    encodeFunctionData(functionFragment: "notifyRandomNumber", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "passPhase", values?: undefined): string;
    encodeFunctionData(functionFragment: "penalizeStake", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "phase", values?: undefined): string;
    encodeFunctionData(functionFragment: "postDrawHook", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "proxiableUUID", values?: undefined): string;
    encodeFunctionData(functionFragment: "randomNumber", values?: undefined): string;
    encodeFunctionData(functionFragment: "randomNumberRequestBlock", values?: undefined): string;
    encodeFunctionData(functionFragment: "rng", values?: undefined): string;
    encodeFunctionData(functionFragment: "rngLookahead", values?: undefined): string;
    encodeFunctionData(functionFragment: "setJurorInactive", values: [string]): string;
    encodeFunctionData(functionFragment: "setStake", values: [string, BigNumberish, BigNumberish, boolean]): string;
    encodeFunctionData(functionFragment: "stakeOf(bytes32,bytes32)", values: [BytesLike, BytesLike]): string;
    encodeFunctionData(functionFragment: "stakeOf(address,uint96)", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "totalStaked", values?: undefined): string;
    encodeFunctionData(functionFragment: "unlockStake", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "upgradeToAndCall", values: [string, BytesLike]): string;
    decodeFunctionResult(functionFragment: "changeMaxDrawingTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeMaxStakePerJuror", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeMaxTotalStaked", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeMinStakingTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeRandomNumberGenerator", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "core", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDisputeHook", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createTree", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "delayedStakeReadIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "delayedStakeWriteIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "delayedStakes", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputesWithoutJurors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "draw", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "executeDelayedStakes", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getJurorBalance", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getJurorCourtIDs", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "governor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "initialize", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isJurorStaked", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "jurors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lastPhaseChange", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "latestDelayedStakeIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lockStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "maxDrawingTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "maxStakePerJuror", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "maxTotalStaked", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "minStakingTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "notifyRandomNumber", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "passPhase", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "penalizeStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "phase", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "postDrawHook", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "proxiableUUID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "randomNumber", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "randomNumberRequestBlock", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "rng", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "rngLookahead", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setJurorInactive", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "stakeOf(bytes32,bytes32)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "stakeOf(address,uint96)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "totalStaked", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "unlockStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "upgradeToAndCall", data: BytesLike): Result;
    events: {
        "Initialized(uint64)": EventFragment;
        "NewPhase(uint8)": EventFragment;
        "StakeDelayedAlreadyTransferred(address,uint256,uint256)": EventFragment;
        "StakeDelayedAlreadyTransferredWithdrawn(address,uint96,uint256)": EventFragment;
        "StakeDelayedNotTransferred(address,uint256,uint256)": EventFragment;
        "StakeLocked(address,uint256,bool)": EventFragment;
        "StakeSet(address,uint256,uint256)": EventFragment;
        "Upgraded(address)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "Initialized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "NewPhase"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "StakeDelayedAlreadyTransferred"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "StakeDelayedAlreadyTransferredWithdrawn"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "StakeDelayedNotTransferred"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "StakeLocked"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "StakeSet"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Upgraded"): EventFragment;
}
export interface InitializedEventObject {
    version: BigNumber;
}
export type InitializedEvent = TypedEvent<[BigNumber], InitializedEventObject>;
export type InitializedEventFilter = TypedEventFilter<InitializedEvent>;
export interface NewPhaseEventObject {
    _phase: number;
}
export type NewPhaseEvent = TypedEvent<[number], NewPhaseEventObject>;
export type NewPhaseEventFilter = TypedEventFilter<NewPhaseEvent>;
export interface StakeDelayedAlreadyTransferredEventObject {
    _address: string;
    _courtID: BigNumber;
    _amount: BigNumber;
}
export type StakeDelayedAlreadyTransferredEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], StakeDelayedAlreadyTransferredEventObject>;
export type StakeDelayedAlreadyTransferredEventFilter = TypedEventFilter<StakeDelayedAlreadyTransferredEvent>;
export interface StakeDelayedAlreadyTransferredWithdrawnEventObject {
    _address: string;
    _courtID: BigNumber;
    _amount: BigNumber;
}
export type StakeDelayedAlreadyTransferredWithdrawnEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], StakeDelayedAlreadyTransferredWithdrawnEventObject>;
export type StakeDelayedAlreadyTransferredWithdrawnEventFilter = TypedEventFilter<StakeDelayedAlreadyTransferredWithdrawnEvent>;
export interface StakeDelayedNotTransferredEventObject {
    _address: string;
    _courtID: BigNumber;
    _amount: BigNumber;
}
export type StakeDelayedNotTransferredEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], StakeDelayedNotTransferredEventObject>;
export type StakeDelayedNotTransferredEventFilter = TypedEventFilter<StakeDelayedNotTransferredEvent>;
export interface StakeLockedEventObject {
    _address: string;
    _relativeAmount: BigNumber;
    _unlock: boolean;
}
export type StakeLockedEvent = TypedEvent<[
    string,
    BigNumber,
    boolean
], StakeLockedEventObject>;
export type StakeLockedEventFilter = TypedEventFilter<StakeLockedEvent>;
export interface StakeSetEventObject {
    _address: string;
    _courtID: BigNumber;
    _amount: BigNumber;
}
export type StakeSetEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], StakeSetEventObject>;
export type StakeSetEventFilter = TypedEventFilter<StakeSetEvent>;
export interface UpgradedEventObject {
    newImplementation: string;
}
export type UpgradedEvent = TypedEvent<[string], UpgradedEventObject>;
export type UpgradedEventFilter = TypedEventFilter<UpgradedEvent>;
export interface SortitionModuleNeo extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: SortitionModuleNeoInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeMaxStakePerJuror(_maxStakePerJuror: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeMaxTotalStaked(_maxTotalStaked: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeRandomNumberGenerator(_rng: string, _rngLookahead: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        core(overrides?: CallOverrides): Promise<[string]>;
        createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        createTree(_key: BytesLike, _extraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        delayedStakeReadIndex(overrides?: CallOverrides): Promise<[BigNumber]>;
        delayedStakeWriteIndex(overrides?: CallOverrides): Promise<[BigNumber]>;
        delayedStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            BigNumber,
            BigNumber,
            boolean
        ] & {
            account: string;
            courtID: BigNumber;
            stake: BigNumber;
            alreadyTransferred: boolean;
        }>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<[BigNumber]>;
        draw(_key: BytesLike, _coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: CallOverrides): Promise<[string] & {
            drawnAddress: string;
        }>;
        executeDelayedStakes(_iterations: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            totalStaked: BigNumber;
            totalLocked: BigNumber;
            stakedInCourt: BigNumber;
            nbCourts: BigNumber;
        }>;
        getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<[BigNumber[]]>;
        governor(overrides?: CallOverrides): Promise<[string]>;
        initialize(_governor: string, _core: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _rng: string, _rngLookahead: BigNumberish, _maxStakePerJuror: BigNumberish, _maxTotalStaked: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<[boolean]>;
        jurors(account: string, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber
        ] & {
            stakedPnk: BigNumber;
            lockedPnk: BigNumber;
        }>;
        lastPhaseChange(overrides?: CallOverrides): Promise<[BigNumber]>;
        latestDelayedStakeIndex(jurorAccount: string, courtId: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        maxDrawingTime(overrides?: CallOverrides): Promise<[BigNumber]>;
        maxStakePerJuror(overrides?: CallOverrides): Promise<[BigNumber]>;
        maxTotalStaked(overrides?: CallOverrides): Promise<[BigNumber]>;
        minStakingTime(overrides?: CallOverrides): Promise<[BigNumber]>;
        notifyRandomNumber(_randomNumber: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        passPhase(overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        phase(overrides?: CallOverrides): Promise<[number]>;
        postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        proxiableUUID(overrides?: CallOverrides): Promise<[string]>;
        randomNumber(overrides?: CallOverrides): Promise<[BigNumber]>;
        randomNumberRequestBlock(overrides?: CallOverrides): Promise<[BigNumber]>;
        rng(overrides?: CallOverrides): Promise<[string]>;
        rngLookahead(overrides?: CallOverrides): Promise<[BigNumber]>;
        setJurorInactive(_account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        "stakeOf(bytes32,bytes32)"(_key: BytesLike, _ID: BytesLike, overrides?: CallOverrides): Promise<[BigNumber]>;
        "stakeOf(address,uint96)"(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        totalStaked(overrides?: CallOverrides): Promise<[BigNumber]>;
        unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeMaxStakePerJuror(_maxStakePerJuror: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeMaxTotalStaked(_maxTotalStaked: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeRandomNumberGenerator(_rng: string, _rngLookahead: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    core(overrides?: CallOverrides): Promise<string>;
    createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    createTree(_key: BytesLike, _extraData: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    delayedStakeReadIndex(overrides?: CallOverrides): Promise<BigNumber>;
    delayedStakeWriteIndex(overrides?: CallOverrides): Promise<BigNumber>;
    delayedStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
        string,
        BigNumber,
        BigNumber,
        boolean
    ] & {
        account: string;
        courtID: BigNumber;
        stake: BigNumber;
        alreadyTransferred: boolean;
    }>;
    disputesWithoutJurors(overrides?: CallOverrides): Promise<BigNumber>;
    draw(_key: BytesLike, _coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: CallOverrides): Promise<string>;
    executeDelayedStakes(_iterations: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        BigNumber,
        BigNumber,
        BigNumber
    ] & {
        totalStaked: BigNumber;
        totalLocked: BigNumber;
        stakedInCourt: BigNumber;
        nbCourts: BigNumber;
    }>;
    getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<BigNumber[]>;
    governor(overrides?: CallOverrides): Promise<string>;
    initialize(_governor: string, _core: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _rng: string, _rngLookahead: BigNumberish, _maxStakePerJuror: BigNumberish, _maxTotalStaked: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<boolean>;
    jurors(account: string, overrides?: CallOverrides): Promise<[
        BigNumber,
        BigNumber
    ] & {
        stakedPnk: BigNumber;
        lockedPnk: BigNumber;
    }>;
    lastPhaseChange(overrides?: CallOverrides): Promise<BigNumber>;
    latestDelayedStakeIndex(jurorAccount: string, courtId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    maxDrawingTime(overrides?: CallOverrides): Promise<BigNumber>;
    maxStakePerJuror(overrides?: CallOverrides): Promise<BigNumber>;
    maxTotalStaked(overrides?: CallOverrides): Promise<BigNumber>;
    minStakingTime(overrides?: CallOverrides): Promise<BigNumber>;
    notifyRandomNumber(_randomNumber: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    passPhase(overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    phase(overrides?: CallOverrides): Promise<number>;
    postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    proxiableUUID(overrides?: CallOverrides): Promise<string>;
    randomNumber(overrides?: CallOverrides): Promise<BigNumber>;
    randomNumberRequestBlock(overrides?: CallOverrides): Promise<BigNumber>;
    rng(overrides?: CallOverrides): Promise<string>;
    rngLookahead(overrides?: CallOverrides): Promise<BigNumber>;
    setJurorInactive(_account: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    "stakeOf(bytes32,bytes32)"(_key: BytesLike, _ID: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    "stakeOf(address,uint96)"(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    totalStaked(overrides?: CallOverrides): Promise<BigNumber>;
    unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeMaxStakePerJuror(_maxStakePerJuror: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeMaxTotalStaked(_maxTotalStaked: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeRandomNumberGenerator(_rng: string, _rngLookahead: BigNumberish, overrides?: CallOverrides): Promise<void>;
        core(overrides?: CallOverrides): Promise<string>;
        createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: CallOverrides): Promise<void>;
        createTree(_key: BytesLike, _extraData: BytesLike, overrides?: CallOverrides): Promise<void>;
        delayedStakeReadIndex(overrides?: CallOverrides): Promise<BigNumber>;
        delayedStakeWriteIndex(overrides?: CallOverrides): Promise<BigNumber>;
        delayedStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            BigNumber,
            BigNumber,
            boolean
        ] & {
            account: string;
            courtID: BigNumber;
            stake: BigNumber;
            alreadyTransferred: boolean;
        }>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<BigNumber>;
        draw(_key: BytesLike, _coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: CallOverrides): Promise<string>;
        executeDelayedStakes(_iterations: BigNumberish, overrides?: CallOverrides): Promise<void>;
        getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            totalStaked: BigNumber;
            totalLocked: BigNumber;
            stakedInCourt: BigNumber;
            nbCourts: BigNumber;
        }>;
        getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<BigNumber[]>;
        governor(overrides?: CallOverrides): Promise<string>;
        initialize(_governor: string, _core: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _rng: string, _rngLookahead: BigNumberish, _maxStakePerJuror: BigNumberish, _maxTotalStaked: BigNumberish, overrides?: CallOverrides): Promise<void>;
        isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<boolean>;
        jurors(account: string, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber
        ] & {
            stakedPnk: BigNumber;
            lockedPnk: BigNumber;
        }>;
        lastPhaseChange(overrides?: CallOverrides): Promise<BigNumber>;
        latestDelayedStakeIndex(jurorAccount: string, courtId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        maxDrawingTime(overrides?: CallOverrides): Promise<BigNumber>;
        maxStakePerJuror(overrides?: CallOverrides): Promise<BigNumber>;
        maxTotalStaked(overrides?: CallOverrides): Promise<BigNumber>;
        minStakingTime(overrides?: CallOverrides): Promise<BigNumber>;
        notifyRandomNumber(_randomNumber: BigNumberish, overrides?: CallOverrides): Promise<void>;
        passPhase(overrides?: CallOverrides): Promise<void>;
        penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        phase(overrides?: CallOverrides): Promise<number>;
        postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: CallOverrides): Promise<void>;
        proxiableUUID(overrides?: CallOverrides): Promise<string>;
        randomNumber(overrides?: CallOverrides): Promise<BigNumber>;
        randomNumberRequestBlock(overrides?: CallOverrides): Promise<BigNumber>;
        rng(overrides?: CallOverrides): Promise<string>;
        rngLookahead(overrides?: CallOverrides): Promise<BigNumber>;
        setJurorInactive(_account: string, overrides?: CallOverrides): Promise<void>;
        setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            number
        ] & {
            pnkDeposit: BigNumber;
            pnkWithdrawal: BigNumber;
            stakingResult: number;
        }>;
        "stakeOf(bytes32,bytes32)"(_key: BytesLike, _ID: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        "stakeOf(address,uint96)"(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        totalStaked(overrides?: CallOverrides): Promise<BigNumber>;
        unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "Initialized(uint64)"(version?: null): InitializedEventFilter;
        Initialized(version?: null): InitializedEventFilter;
        "NewPhase(uint8)"(_phase?: null): NewPhaseEventFilter;
        NewPhase(_phase?: null): NewPhaseEventFilter;
        "StakeDelayedAlreadyTransferred(address,uint256,uint256)"(_address?: string | null, _courtID?: null, _amount?: null): StakeDelayedAlreadyTransferredEventFilter;
        StakeDelayedAlreadyTransferred(_address?: string | null, _courtID?: null, _amount?: null): StakeDelayedAlreadyTransferredEventFilter;
        "StakeDelayedAlreadyTransferredWithdrawn(address,uint96,uint256)"(_address?: string | null, _courtID?: BigNumberish | null, _amount?: null): StakeDelayedAlreadyTransferredWithdrawnEventFilter;
        StakeDelayedAlreadyTransferredWithdrawn(_address?: string | null, _courtID?: BigNumberish | null, _amount?: null): StakeDelayedAlreadyTransferredWithdrawnEventFilter;
        "StakeDelayedNotTransferred(address,uint256,uint256)"(_address?: string | null, _courtID?: null, _amount?: null): StakeDelayedNotTransferredEventFilter;
        StakeDelayedNotTransferred(_address?: string | null, _courtID?: null, _amount?: null): StakeDelayedNotTransferredEventFilter;
        "StakeLocked(address,uint256,bool)"(_address?: string | null, _relativeAmount?: null, _unlock?: null): StakeLockedEventFilter;
        StakeLocked(_address?: string | null, _relativeAmount?: null, _unlock?: null): StakeLockedEventFilter;
        "StakeSet(address,uint256,uint256)"(_address?: string | null, _courtID?: null, _amount?: null): StakeSetEventFilter;
        StakeSet(_address?: string | null, _courtID?: null, _amount?: null): StakeSetEventFilter;
        "Upgraded(address)"(newImplementation?: string | null): UpgradedEventFilter;
        Upgraded(newImplementation?: string | null): UpgradedEventFilter;
    };
    estimateGas: {
        changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeMaxStakePerJuror(_maxStakePerJuror: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeMaxTotalStaked(_maxTotalStaked: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeRandomNumberGenerator(_rng: string, _rngLookahead: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        core(overrides?: CallOverrides): Promise<BigNumber>;
        createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        createTree(_key: BytesLike, _extraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        delayedStakeReadIndex(overrides?: CallOverrides): Promise<BigNumber>;
        delayedStakeWriteIndex(overrides?: CallOverrides): Promise<BigNumber>;
        delayedStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<BigNumber>;
        draw(_key: BytesLike, _coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        executeDelayedStakes(_iterations: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<BigNumber>;
        governor(overrides?: CallOverrides): Promise<BigNumber>;
        initialize(_governor: string, _core: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _rng: string, _rngLookahead: BigNumberish, _maxStakePerJuror: BigNumberish, _maxTotalStaked: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<BigNumber>;
        jurors(account: string, overrides?: CallOverrides): Promise<BigNumber>;
        lastPhaseChange(overrides?: CallOverrides): Promise<BigNumber>;
        latestDelayedStakeIndex(jurorAccount: string, courtId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        maxDrawingTime(overrides?: CallOverrides): Promise<BigNumber>;
        maxStakePerJuror(overrides?: CallOverrides): Promise<BigNumber>;
        maxTotalStaked(overrides?: CallOverrides): Promise<BigNumber>;
        minStakingTime(overrides?: CallOverrides): Promise<BigNumber>;
        notifyRandomNumber(_randomNumber: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        passPhase(overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        phase(overrides?: CallOverrides): Promise<BigNumber>;
        postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        proxiableUUID(overrides?: CallOverrides): Promise<BigNumber>;
        randomNumber(overrides?: CallOverrides): Promise<BigNumber>;
        randomNumberRequestBlock(overrides?: CallOverrides): Promise<BigNumber>;
        rng(overrides?: CallOverrides): Promise<BigNumber>;
        rngLookahead(overrides?: CallOverrides): Promise<BigNumber>;
        setJurorInactive(_account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        "stakeOf(bytes32,bytes32)"(_key: BytesLike, _ID: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        "stakeOf(address,uint96)"(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        totalStaked(overrides?: CallOverrides): Promise<BigNumber>;
        unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeMaxStakePerJuror(_maxStakePerJuror: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeMaxTotalStaked(_maxTotalStaked: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeRandomNumberGenerator(_rng: string, _rngLookahead: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        core(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        createTree(_key: BytesLike, _extraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        delayedStakeReadIndex(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        delayedStakeWriteIndex(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        delayedStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        draw(_key: BytesLike, _coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        executeDelayedStakes(_iterations: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        governor(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        initialize(_governor: string, _core: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _rng: string, _rngLookahead: BigNumberish, _maxStakePerJuror: BigNumberish, _maxTotalStaked: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        jurors(account: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lastPhaseChange(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        latestDelayedStakeIndex(jurorAccount: string, courtId: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        maxDrawingTime(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        maxStakePerJuror(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        maxTotalStaked(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        minStakingTime(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        notifyRandomNumber(_randomNumber: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        passPhase(overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        phase(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        proxiableUUID(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        randomNumber(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        randomNumberRequestBlock(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        rng(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        rngLookahead(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        setJurorInactive(_account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        "stakeOf(bytes32,bytes32)"(_key: BytesLike, _ID: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "stakeOf(address,uint96)"(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        totalStaked(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
