import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
export interface DisputeKitClassicInterface extends utils.Interface {
    functions: {
        "LOSER_APPEAL_PERIOD_MULTIPLIER()": FunctionFragment;
        "LOSER_STAKE_MULTIPLIER()": FunctionFragment;
        "ONE_BASIS_POINT()": FunctionFragment;
        "WINNER_STAKE_MULTIPLIER()": FunctionFragment;
        "areCommitsAllCast(uint256)": FunctionFragment;
        "areVotesAllCast(uint256)": FunctionFragment;
        "castCommit(uint256,uint256[],bytes32)": FunctionFragment;
        "castVote(uint256,uint256[],uint256,uint256,string)": FunctionFragment;
        "changeCore(address)": FunctionFragment;
        "changeGovernor(address)": FunctionFragment;
        "core()": FunctionFragment;
        "coreDisputeIDToLocal(uint256)": FunctionFragment;
        "createDispute(uint256,uint256,bytes,uint256)": FunctionFragment;
        "currentRuling(uint256)": FunctionFragment;
        "disputes(uint256)": FunctionFragment;
        "draw(uint256,uint256)": FunctionFragment;
        "executeGovernorProposal(address,uint256,bytes)": FunctionFragment;
        "fundAppeal(uint256,uint256)": FunctionFragment;
        "getCoherentCount(uint256,uint256)": FunctionFragment;
        "getDegreeOfCoherence(uint256,uint256,uint256,uint256,uint256)": FunctionFragment;
        "getFundedChoices(uint256)": FunctionFragment;
        "getRoundInfo(uint256,uint256,uint256)": FunctionFragment;
        "getVoteInfo(uint256,uint256,uint256)": FunctionFragment;
        "governor()": FunctionFragment;
        "initialize(address,address)": FunctionFragment;
        "isVoteActive(uint256,uint256,uint256)": FunctionFragment;
        "proxiableUUID()": FunctionFragment;
        "upgradeToAndCall(address,bytes)": FunctionFragment;
        "withdrawFeesAndRewards(uint256,address,uint256,uint256)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "LOSER_APPEAL_PERIOD_MULTIPLIER" | "LOSER_STAKE_MULTIPLIER" | "ONE_BASIS_POINT" | "WINNER_STAKE_MULTIPLIER" | "areCommitsAllCast" | "areVotesAllCast" | "castCommit" | "castVote" | "changeCore" | "changeGovernor" | "core" | "coreDisputeIDToLocal" | "createDispute" | "currentRuling" | "disputes" | "draw" | "executeGovernorProposal" | "fundAppeal" | "getCoherentCount" | "getDegreeOfCoherence" | "getFundedChoices" | "getRoundInfo" | "getVoteInfo" | "governor" | "initialize" | "isVoteActive" | "proxiableUUID" | "upgradeToAndCall" | "withdrawFeesAndRewards"): FunctionFragment;
    encodeFunctionData(functionFragment: "LOSER_APPEAL_PERIOD_MULTIPLIER", values?: undefined): string;
    encodeFunctionData(functionFragment: "LOSER_STAKE_MULTIPLIER", values?: undefined): string;
    encodeFunctionData(functionFragment: "ONE_BASIS_POINT", values?: undefined): string;
    encodeFunctionData(functionFragment: "WINNER_STAKE_MULTIPLIER", values?: undefined): string;
    encodeFunctionData(functionFragment: "areCommitsAllCast", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "areVotesAllCast", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "castCommit", values: [BigNumberish, BigNumberish[], BytesLike]): string;
    encodeFunctionData(functionFragment: "castVote", values: [BigNumberish, BigNumberish[], BigNumberish, BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "changeCore", values: [string]): string;
    encodeFunctionData(functionFragment: "changeGovernor", values: [string]): string;
    encodeFunctionData(functionFragment: "core", values?: undefined): string;
    encodeFunctionData(functionFragment: "coreDisputeIDToLocal", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "createDispute", values: [BigNumberish, BigNumberish, BytesLike, BigNumberish]): string;
    encodeFunctionData(functionFragment: "currentRuling", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "disputes", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "draw", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "executeGovernorProposal", values: [string, BigNumberish, BytesLike]): string;
    encodeFunctionData(functionFragment: "fundAppeal", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getCoherentCount", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getDegreeOfCoherence", values: [
        BigNumberish,
        BigNumberish,
        BigNumberish,
        BigNumberish,
        BigNumberish
    ]): string;
    encodeFunctionData(functionFragment: "getFundedChoices", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getRoundInfo", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getVoteInfo", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "governor", values?: undefined): string;
    encodeFunctionData(functionFragment: "initialize", values: [string, string]): string;
    encodeFunctionData(functionFragment: "isVoteActive", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "proxiableUUID", values?: undefined): string;
    encodeFunctionData(functionFragment: "upgradeToAndCall", values: [string, BytesLike]): string;
    encodeFunctionData(functionFragment: "withdrawFeesAndRewards", values: [BigNumberish, string, BigNumberish, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "LOSER_APPEAL_PERIOD_MULTIPLIER", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "LOSER_STAKE_MULTIPLIER", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "ONE_BASIS_POINT", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "WINNER_STAKE_MULTIPLIER", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "areCommitsAllCast", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "areVotesAllCast", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "castCommit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "castVote", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeCore", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeGovernor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "core", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "coreDisputeIDToLocal", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDispute", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "currentRuling", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputes", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "draw", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "executeGovernorProposal", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "fundAppeal", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getCoherentCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getDegreeOfCoherence", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getFundedChoices", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getRoundInfo", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getVoteInfo", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "governor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "initialize", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isVoteActive", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "proxiableUUID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "upgradeToAndCall", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawFeesAndRewards", data: BytesLike): Result;
    events: {
        "ChoiceFunded(uint256,uint256,uint256)": EventFragment;
        "CommitCast(uint256,address,uint256[],bytes32)": EventFragment;
        "Contribution(uint256,uint256,uint256,address,uint256)": EventFragment;
        "DisputeCreation(uint256,uint256,bytes)": EventFragment;
        "Initialized(uint64)": EventFragment;
        "Upgraded(address)": EventFragment;
        "VoteCast(uint256,address,uint256[],uint256,string)": EventFragment;
        "Withdrawal(uint256,uint256,uint256,address,uint256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "ChoiceFunded"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "CommitCast"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Contribution"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "DisputeCreation"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Initialized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Upgraded"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "VoteCast"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Withdrawal"): EventFragment;
}
export interface ChoiceFundedEventObject {
    _coreDisputeID: BigNumber;
    _coreRoundID: BigNumber;
    _choice: BigNumber;
}
export type ChoiceFundedEvent = TypedEvent<[
    BigNumber,
    BigNumber,
    BigNumber
], ChoiceFundedEventObject>;
export type ChoiceFundedEventFilter = TypedEventFilter<ChoiceFundedEvent>;
export interface CommitCastEventObject {
    _coreDisputeID: BigNumber;
    _juror: string;
    _voteIDs: BigNumber[];
    _commit: string;
}
export type CommitCastEvent = TypedEvent<[
    BigNumber,
    string,
    BigNumber[],
    string
], CommitCastEventObject>;
export type CommitCastEventFilter = TypedEventFilter<CommitCastEvent>;
export interface ContributionEventObject {
    _coreDisputeID: BigNumber;
    _coreRoundID: BigNumber;
    _choice: BigNumber;
    _contributor: string;
    _amount: BigNumber;
}
export type ContributionEvent = TypedEvent<[
    BigNumber,
    BigNumber,
    BigNumber,
    string,
    BigNumber
], ContributionEventObject>;
export type ContributionEventFilter = TypedEventFilter<ContributionEvent>;
export interface DisputeCreationEventObject {
    _coreDisputeID: BigNumber;
    _numberOfChoices: BigNumber;
    _extraData: string;
}
export type DisputeCreationEvent = TypedEvent<[
    BigNumber,
    BigNumber,
    string
], DisputeCreationEventObject>;
export type DisputeCreationEventFilter = TypedEventFilter<DisputeCreationEvent>;
export interface InitializedEventObject {
    version: BigNumber;
}
export type InitializedEvent = TypedEvent<[BigNumber], InitializedEventObject>;
export type InitializedEventFilter = TypedEventFilter<InitializedEvent>;
export interface UpgradedEventObject {
    newImplementation: string;
}
export type UpgradedEvent = TypedEvent<[string], UpgradedEventObject>;
export type UpgradedEventFilter = TypedEventFilter<UpgradedEvent>;
export interface VoteCastEventObject {
    _coreDisputeID: BigNumber;
    _juror: string;
    _voteIDs: BigNumber[];
    _choice: BigNumber;
    _justification: string;
}
export type VoteCastEvent = TypedEvent<[
    BigNumber,
    string,
    BigNumber[],
    BigNumber,
    string
], VoteCastEventObject>;
export type VoteCastEventFilter = TypedEventFilter<VoteCastEvent>;
export interface WithdrawalEventObject {
    _coreDisputeID: BigNumber;
    _coreRoundID: BigNumber;
    _choice: BigNumber;
    _contributor: string;
    _amount: BigNumber;
}
export type WithdrawalEvent = TypedEvent<[
    BigNumber,
    BigNumber,
    BigNumber,
    string,
    BigNumber
], WithdrawalEventObject>;
export type WithdrawalEventFilter = TypedEventFilter<WithdrawalEvent>;
export interface DisputeKitClassic extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: DisputeKitClassicInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<[BigNumber]>;
        LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<[BigNumber]>;
        ONE_BASIS_POINT(overrides?: CallOverrides): Promise<[BigNumber]>;
        WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<[BigNumber]>;
        areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[boolean]>;
        areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[boolean]>;
        castCommit(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _commit: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        castVote(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _choice: BigNumberish, _salt: BigNumberish, _justification: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeCore(_core: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        core(overrides?: CallOverrides): Promise<[string]>;
        coreDisputeIDToLocal(arg0: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            boolean
        ] & {
            ruling: BigNumber;
            tied: boolean;
            overridden: boolean;
        }>;
        disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            string
        ] & {
            numberOfChoices: BigNumber;
            jumped: boolean;
            extraData: string;
        }>;
        draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        fundAppeal(_coreDisputeID: BigNumberish, _choice: BigNumberish, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, arg3: BigNumberish, arg4: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        getFundedChoices(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber[]] & {
            fundedChoices: BigNumber[];
        }>;
        getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            winningChoice: BigNumber;
            tied: boolean;
            totalVoted: BigNumber;
            totalCommited: BigNumber;
            nbVoters: BigNumber;
            choiceCount: BigNumber;
        }>;
        getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            string,
            BigNumber,
            boolean
        ] & {
            account: string;
            commit: string;
            choice: BigNumber;
            voted: boolean;
        }>;
        governor(overrides?: CallOverrides): Promise<[string]>;
        initialize(_governor: string, _core: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[boolean]>;
        proxiableUUID(overrides?: CallOverrides): Promise<[string]>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        withdrawFeesAndRewards(_coreDisputeID: BigNumberish, _beneficiary: string, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
    LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
    ONE_BASIS_POINT(overrides?: CallOverrides): Promise<BigNumber>;
    WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
    areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
    areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
    castCommit(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _commit: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    castVote(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _choice: BigNumberish, _salt: BigNumberish, _justification: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeCore(_core: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeGovernor(_governor: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    core(overrides?: CallOverrides): Promise<string>;
    coreDisputeIDToLocal(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        boolean,
        boolean
    ] & {
        ruling: BigNumber;
        tied: boolean;
        overridden: boolean;
    }>;
    disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        boolean,
        string
    ] & {
        numberOfChoices: BigNumber;
        jumped: boolean;
        extraData: string;
    }>;
    draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    fundAppeal(_coreDisputeID: BigNumberish, _choice: BigNumberish, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, arg3: BigNumberish, arg4: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    getFundedChoices(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber[]>;
    getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        boolean,
        BigNumber,
        BigNumber,
        BigNumber,
        BigNumber
    ] & {
        winningChoice: BigNumber;
        tied: boolean;
        totalVoted: BigNumber;
        totalCommited: BigNumber;
        nbVoters: BigNumber;
        choiceCount: BigNumber;
    }>;
    getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[
        string,
        string,
        BigNumber,
        boolean
    ] & {
        account: string;
        commit: string;
        choice: BigNumber;
        voted: boolean;
    }>;
    governor(overrides?: CallOverrides): Promise<string>;
    initialize(_governor: string, _core: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
    proxiableUUID(overrides?: CallOverrides): Promise<string>;
    upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    withdrawFeesAndRewards(_coreDisputeID: BigNumberish, _beneficiary: string, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        ONE_BASIS_POINT(overrides?: CallOverrides): Promise<BigNumber>;
        WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        castCommit(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _commit: BytesLike, overrides?: CallOverrides): Promise<void>;
        castVote(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _choice: BigNumberish, _salt: BigNumberish, _justification: string, overrides?: CallOverrides): Promise<void>;
        changeCore(_core: string, overrides?: CallOverrides): Promise<void>;
        changeGovernor(_governor: string, overrides?: CallOverrides): Promise<void>;
        core(overrides?: CallOverrides): Promise<string>;
        coreDisputeIDToLocal(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: CallOverrides): Promise<void>;
        currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            boolean
        ] & {
            ruling: BigNumber;
            tied: boolean;
            overridden: boolean;
        }>;
        disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            string
        ] & {
            numberOfChoices: BigNumber;
            jumped: boolean;
            extraData: string;
        }>;
        draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: CallOverrides): Promise<string>;
        executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: CallOverrides): Promise<void>;
        fundAppeal(_coreDisputeID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<void>;
        getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, arg3: BigNumberish, arg4: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getFundedChoices(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber[]>;
        getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            winningChoice: BigNumber;
            tied: boolean;
            totalVoted: BigNumber;
            totalCommited: BigNumber;
            nbVoters: BigNumber;
            choiceCount: BigNumber;
        }>;
        getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            string,
            BigNumber,
            boolean
        ] & {
            account: string;
            commit: string;
            choice: BigNumber;
            voted: boolean;
        }>;
        governor(overrides?: CallOverrides): Promise<string>;
        initialize(_governor: string, _core: string, overrides?: CallOverrides): Promise<void>;
        isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        proxiableUUID(overrides?: CallOverrides): Promise<string>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: CallOverrides): Promise<void>;
        withdrawFeesAndRewards(_coreDisputeID: BigNumberish, _beneficiary: string, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {
        "ChoiceFunded(uint256,uint256,uint256)"(_coreDisputeID?: BigNumberish | null, _coreRoundID?: BigNumberish | null, _choice?: BigNumberish | null): ChoiceFundedEventFilter;
        ChoiceFunded(_coreDisputeID?: BigNumberish | null, _coreRoundID?: BigNumberish | null, _choice?: BigNumberish | null): ChoiceFundedEventFilter;
        "CommitCast(uint256,address,uint256[],bytes32)"(_coreDisputeID?: BigNumberish | null, _juror?: string | null, _voteIDs?: null, _commit?: null): CommitCastEventFilter;
        CommitCast(_coreDisputeID?: BigNumberish | null, _juror?: string | null, _voteIDs?: null, _commit?: null): CommitCastEventFilter;
        "Contribution(uint256,uint256,uint256,address,uint256)"(_coreDisputeID?: BigNumberish | null, _coreRoundID?: BigNumberish | null, _choice?: null, _contributor?: string | null, _amount?: null): ContributionEventFilter;
        Contribution(_coreDisputeID?: BigNumberish | null, _coreRoundID?: BigNumberish | null, _choice?: null, _contributor?: string | null, _amount?: null): ContributionEventFilter;
        "DisputeCreation(uint256,uint256,bytes)"(_coreDisputeID?: BigNumberish | null, _numberOfChoices?: null, _extraData?: null): DisputeCreationEventFilter;
        DisputeCreation(_coreDisputeID?: BigNumberish | null, _numberOfChoices?: null, _extraData?: null): DisputeCreationEventFilter;
        "Initialized(uint64)"(version?: null): InitializedEventFilter;
        Initialized(version?: null): InitializedEventFilter;
        "Upgraded(address)"(newImplementation?: string | null): UpgradedEventFilter;
        Upgraded(newImplementation?: string | null): UpgradedEventFilter;
        "VoteCast(uint256,address,uint256[],uint256,string)"(_coreDisputeID?: BigNumberish | null, _juror?: string | null, _voteIDs?: null, _choice?: BigNumberish | null, _justification?: null): VoteCastEventFilter;
        VoteCast(_coreDisputeID?: BigNumberish | null, _juror?: string | null, _voteIDs?: null, _choice?: BigNumberish | null, _justification?: null): VoteCastEventFilter;
        "Withdrawal(uint256,uint256,uint256,address,uint256)"(_coreDisputeID?: BigNumberish | null, _coreRoundID?: BigNumberish | null, _choice?: null, _contributor?: string | null, _amount?: null): WithdrawalEventFilter;
        Withdrawal(_coreDisputeID?: BigNumberish | null, _coreRoundID?: BigNumberish | null, _choice?: null, _contributor?: string | null, _amount?: null): WithdrawalEventFilter;
    };
    estimateGas: {
        LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        ONE_BASIS_POINT(overrides?: CallOverrides): Promise<BigNumber>;
        WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<BigNumber>;
        areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        castCommit(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _commit: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        castVote(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _choice: BigNumberish, _salt: BigNumberish, _justification: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeCore(_core: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        core(overrides?: CallOverrides): Promise<BigNumber>;
        coreDisputeIDToLocal(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        fundAppeal(_coreDisputeID: BigNumberish, _choice: BigNumberish, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, arg3: BigNumberish, arg4: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getFundedChoices(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        governor(overrides?: CallOverrides): Promise<BigNumber>;
        initialize(_governor: string, _core: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        proxiableUUID(overrides?: CallOverrides): Promise<BigNumber>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        withdrawFeesAndRewards(_coreDisputeID: BigNumberish, _beneficiary: string, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        LOSER_APPEAL_PERIOD_MULTIPLIER(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        LOSER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        ONE_BASIS_POINT(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        WINNER_STAKE_MULTIPLIER(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        castCommit(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _commit: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        castVote(_coreDisputeID: BigNumberish, _voteIDs: BigNumberish[], _choice: BigNumberish, _salt: BigNumberish, _justification: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeCore(_core: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        core(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        coreDisputeIDToLocal(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputes(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        fundAppeal(_coreDisputeID: BigNumberish, _choice: BigNumberish, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, arg3: BigNumberish, arg4: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getFundedChoices(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        governor(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        initialize(_governor: string, _core: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        proxiableUUID(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        withdrawFeesAndRewards(_coreDisputeID: BigNumberish, _beneficiary: string, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
