import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../../common";
export interface IProofOfHumanityInterface extends utils.Interface {
    functions: {
        "isRegistered(address)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "isRegistered"): FunctionFragment;
    encodeFunctionData(functionFragment: "isRegistered", values: [string]): string;
    decodeFunctionResult(functionFragment: "isRegistered", data: BytesLike): Result;
    events: {};
}
export interface IProofOfHumanity extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IProofOfHumanityInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        isRegistered(_submissionID: string, overrides?: CallOverrides): Promise<[boolean]>;
    };
    isRegistered(_submissionID: string, overrides?: CallOverrides): Promise<boolean>;
    callStatic: {
        isRegistered(_submissionID: string, overrides?: CallOverrides): Promise<boolean>;
    };
    filters: {};
    estimateGas: {
        isRegistered(_submissionID: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        isRegistered(_submissionID: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
