import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
export interface ModeratedEvidenceModuleInterface extends utils.Interface {
    functions: {
        "AMOUNT_OF_CHOICES()": FunctionFragment;
        "MULTIPLIER_DIVISOR()": FunctionFragment;
        "arbitrator()": FunctionFragment;
        "arbitratorDataList(uint256)": FunctionFragment;
        "bondTimeout()": FunctionFragment;
        "changeArbitratorExtraData(bytes)": FunctionFragment;
        "changeBondTimeout(uint256)": FunctionFragment;
        "changeDisputeTemplate(string,string)": FunctionFragment;
        "changeGovernor(address)": FunctionFragment;
        "changeInitialDepositMultiplier(uint256)": FunctionFragment;
        "changeTotalCostMultiplier(uint256)": FunctionFragment;
        "disputeIDtoEvidenceID(uint256)": FunctionFragment;
        "getContributions(bytes32,uint256,address)": FunctionFragment;
        "getCurrentArbitratorIndex()": FunctionFragment;
        "getModerationInfo(bytes32,uint256)": FunctionFragment;
        "getNumberOfModerations(bytes32)": FunctionFragment;
        "governor()": FunctionFragment;
        "initialDepositMultiplier()": FunctionFragment;
        "moderate(bytes32,uint8)": FunctionFragment;
        "resolveModerationMarket(bytes32)": FunctionFragment;
        "rule(uint256,uint256)": FunctionFragment;
        "submitEvidence(uint256,string)": FunctionFragment;
        "templateRegistry()": FunctionFragment;
        "totalCostMultiplier()": FunctionFragment;
        "withdrawFeesAndRewards(address,bytes32,uint256)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "AMOUNT_OF_CHOICES" | "MULTIPLIER_DIVISOR" | "arbitrator" | "arbitratorDataList" | "bondTimeout" | "changeArbitratorExtraData" | "changeBondTimeout" | "changeDisputeTemplate" | "changeGovernor" | "changeInitialDepositMultiplier" | "changeTotalCostMultiplier" | "disputeIDtoEvidenceID" | "getContributions" | "getCurrentArbitratorIndex" | "getModerationInfo" | "getNumberOfModerations" | "governor" | "initialDepositMultiplier" | "moderate" | "resolveModerationMarket" | "rule" | "submitEvidence" | "templateRegistry" | "totalCostMultiplier" | "withdrawFeesAndRewards"): FunctionFragment;
    encodeFunctionData(functionFragment: "AMOUNT_OF_CHOICES", values?: undefined): string;
    encodeFunctionData(functionFragment: "MULTIPLIER_DIVISOR", values?: undefined): string;
    encodeFunctionData(functionFragment: "arbitrator", values?: undefined): string;
    encodeFunctionData(functionFragment: "arbitratorDataList", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "bondTimeout", values?: undefined): string;
    encodeFunctionData(functionFragment: "changeArbitratorExtraData", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "changeBondTimeout", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeDisputeTemplate", values: [string, string]): string;
    encodeFunctionData(functionFragment: "changeGovernor", values: [string]): string;
    encodeFunctionData(functionFragment: "changeInitialDepositMultiplier", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeTotalCostMultiplier", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "disputeIDtoEvidenceID", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getContributions", values: [BytesLike, BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "getCurrentArbitratorIndex", values?: undefined): string;
    encodeFunctionData(functionFragment: "getModerationInfo", values: [BytesLike, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getNumberOfModerations", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "governor", values?: undefined): string;
    encodeFunctionData(functionFragment: "initialDepositMultiplier", values?: undefined): string;
    encodeFunctionData(functionFragment: "moderate", values: [BytesLike, BigNumberish]): string;
    encodeFunctionData(functionFragment: "resolveModerationMarket", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "rule", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "submitEvidence", values: [BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "templateRegistry", values?: undefined): string;
    encodeFunctionData(functionFragment: "totalCostMultiplier", values?: undefined): string;
    encodeFunctionData(functionFragment: "withdrawFeesAndRewards", values: [string, BytesLike, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "AMOUNT_OF_CHOICES", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "MULTIPLIER_DIVISOR", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arbitrator", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arbitratorDataList", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "bondTimeout", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeArbitratorExtraData", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeBondTimeout", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeDisputeTemplate", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeGovernor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeInitialDepositMultiplier", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeTotalCostMultiplier", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputeIDtoEvidenceID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getContributions", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getCurrentArbitratorIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getModerationInfo", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getNumberOfModerations", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "governor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "initialDepositMultiplier", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "moderate", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "resolveModerationMarket", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "rule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "submitEvidence", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "templateRegistry", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "totalCostMultiplier", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawFeesAndRewards", data: BytesLike): Result;
    events: {
        "DisputeRequest(address,uint256,uint256,uint256,string)": EventFragment;
        "ModeratedEvidence(address,uint256,address,string)": EventFragment;
        "ModerationStatusChanged(bytes32,uint8)": EventFragment;
        "Ruling(address,uint256,uint256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "DisputeRequest"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ModeratedEvidence"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ModerationStatusChanged"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Ruling"): EventFragment;
}
export interface DisputeRequestEventObject {
    _arbitrator: string;
    _arbitrableDisputeID: BigNumber;
    _externalDisputeID: BigNumber;
    _templateId: BigNumber;
    _templateUri: string;
}
export type DisputeRequestEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber,
    string
], DisputeRequestEventObject>;
export type DisputeRequestEventFilter = TypedEventFilter<DisputeRequestEvent>;
export interface ModeratedEvidenceEventObject {
    _arbitrator: string;
    _externalDisputeID: BigNumber;
    _party: string;
    _evidence: string;
}
export type ModeratedEvidenceEvent = TypedEvent<[
    string,
    BigNumber,
    string,
    string
], ModeratedEvidenceEventObject>;
export type ModeratedEvidenceEventFilter = TypedEventFilter<ModeratedEvidenceEvent>;
export interface ModerationStatusChangedEventObject {
    _evidenceID: string;
    _currentWinner: number;
}
export type ModerationStatusChangedEvent = TypedEvent<[
    string,
    number
], ModerationStatusChangedEventObject>;
export type ModerationStatusChangedEventFilter = TypedEventFilter<ModerationStatusChangedEvent>;
export interface RulingEventObject {
    _arbitrator: string;
    _disputeID: BigNumber;
    _ruling: BigNumber;
}
export type RulingEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], RulingEventObject>;
export type RulingEventFilter = TypedEventFilter<RulingEvent>;
export interface ModeratedEvidenceModule extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: ModeratedEvidenceModuleInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        AMOUNT_OF_CHOICES(overrides?: CallOverrides): Promise<[BigNumber]>;
        MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<[BigNumber]>;
        arbitrator(overrides?: CallOverrides): Promise<[string]>;
        arbitratorDataList(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            string
        ] & {
            disputeTemplateId: BigNumber;
            arbitratorExtraData: string;
        }>;
        bondTimeout(overrides?: CallOverrides): Promise<[BigNumber]>;
        changeArbitratorExtraData(_arbitratorExtraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeBondTimeout(_bondTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeInitialDepositMultiplier(_initialDepositMultiplier: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeTotalCostMultiplier(_totalCostMultiplier: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        disputeIDtoEvidenceID(arg0: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        getContributions(_evidenceID: BytesLike, _moderationID: BigNumberish, _contributor: string, overrides?: CallOverrides): Promise<[
            [BigNumber, BigNumber, BigNumber]
        ] & {
            contributions: [BigNumber, BigNumber, BigNumber];
        }>;
        getCurrentArbitratorIndex(overrides?: CallOverrides): Promise<[BigNumber]>;
        getModerationInfo(_evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: CallOverrides): Promise<[
            [BigNumber, BigNumber, BigNumber],
            number,
            BigNumber
        ] & {
            paidFees: [BigNumber, BigNumber, BigNumber];
            currentWinner: number;
            feeRewards: BigNumber;
        }>;
        getNumberOfModerations(_evidenceID: BytesLike, overrides?: CallOverrides): Promise<[BigNumber]>;
        governor(overrides?: CallOverrides): Promise<[string]>;
        initialDepositMultiplier(overrides?: CallOverrides): Promise<[BigNumber]>;
        moderate(_evidenceID: BytesLike, _side: BigNumberish, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        resolveModerationMarket(_evidenceID: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        submitEvidence(_evidenceGroupID: BigNumberish, _evidence: string, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        templateRegistry(overrides?: CallOverrides): Promise<[string]>;
        totalCostMultiplier(overrides?: CallOverrides): Promise<[BigNumber]>;
        withdrawFeesAndRewards(_beneficiary: string, _evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    AMOUNT_OF_CHOICES(overrides?: CallOverrides): Promise<BigNumber>;
    MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<BigNumber>;
    arbitrator(overrides?: CallOverrides): Promise<string>;
    arbitratorDataList(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        string
    ] & {
        disputeTemplateId: BigNumber;
        arbitratorExtraData: string;
    }>;
    bondTimeout(overrides?: CallOverrides): Promise<BigNumber>;
    changeArbitratorExtraData(_arbitratorExtraData: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeBondTimeout(_bondTimeout: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeGovernor(_governor: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeInitialDepositMultiplier(_initialDepositMultiplier: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeTotalCostMultiplier(_totalCostMultiplier: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    disputeIDtoEvidenceID(arg0: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getContributions(_evidenceID: BytesLike, _moderationID: BigNumberish, _contributor: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber, BigNumber]>;
    getCurrentArbitratorIndex(overrides?: CallOverrides): Promise<BigNumber>;
    getModerationInfo(_evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: CallOverrides): Promise<[
        [BigNumber, BigNumber, BigNumber],
        number,
        BigNumber
    ] & {
        paidFees: [BigNumber, BigNumber, BigNumber];
        currentWinner: number;
        feeRewards: BigNumber;
    }>;
    getNumberOfModerations(_evidenceID: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    governor(overrides?: CallOverrides): Promise<string>;
    initialDepositMultiplier(overrides?: CallOverrides): Promise<BigNumber>;
    moderate(_evidenceID: BytesLike, _side: BigNumberish, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    resolveModerationMarket(_evidenceID: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    submitEvidence(_evidenceGroupID: BigNumberish, _evidence: string, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    templateRegistry(overrides?: CallOverrides): Promise<string>;
    totalCostMultiplier(overrides?: CallOverrides): Promise<BigNumber>;
    withdrawFeesAndRewards(_beneficiary: string, _evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        AMOUNT_OF_CHOICES(overrides?: CallOverrides): Promise<BigNumber>;
        MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<BigNumber>;
        arbitrator(overrides?: CallOverrides): Promise<string>;
        arbitratorDataList(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            string
        ] & {
            disputeTemplateId: BigNumber;
            arbitratorExtraData: string;
        }>;
        bondTimeout(overrides?: CallOverrides): Promise<BigNumber>;
        changeArbitratorExtraData(_arbitratorExtraData: BytesLike, overrides?: CallOverrides): Promise<void>;
        changeBondTimeout(_bondTimeout: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: CallOverrides): Promise<void>;
        changeGovernor(_governor: string, overrides?: CallOverrides): Promise<void>;
        changeInitialDepositMultiplier(_initialDepositMultiplier: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeTotalCostMultiplier(_totalCostMultiplier: BigNumberish, overrides?: CallOverrides): Promise<void>;
        disputeIDtoEvidenceID(arg0: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getContributions(_evidenceID: BytesLike, _moderationID: BigNumberish, _contributor: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber, BigNumber]>;
        getCurrentArbitratorIndex(overrides?: CallOverrides): Promise<BigNumber>;
        getModerationInfo(_evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: CallOverrides): Promise<[
            [BigNumber, BigNumber, BigNumber],
            number,
            BigNumber
        ] & {
            paidFees: [BigNumber, BigNumber, BigNumber];
            currentWinner: number;
            feeRewards: BigNumber;
        }>;
        getNumberOfModerations(_evidenceID: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        governor(overrides?: CallOverrides): Promise<string>;
        initialDepositMultiplier(overrides?: CallOverrides): Promise<BigNumber>;
        moderate(_evidenceID: BytesLike, _side: BigNumberish, overrides?: CallOverrides): Promise<void>;
        resolveModerationMarket(_evidenceID: BytesLike, overrides?: CallOverrides): Promise<void>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: CallOverrides): Promise<void>;
        submitEvidence(_evidenceGroupID: BigNumberish, _evidence: string, overrides?: CallOverrides): Promise<void>;
        templateRegistry(overrides?: CallOverrides): Promise<string>;
        totalCostMultiplier(overrides?: CallOverrides): Promise<BigNumber>;
        withdrawFeesAndRewards(_beneficiary: string, _evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {
        "DisputeRequest(address,uint256,uint256,uint256,string)"(_arbitrator?: string | null, _arbitrableDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): DisputeRequestEventFilter;
        DisputeRequest(_arbitrator?: string | null, _arbitrableDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): DisputeRequestEventFilter;
        "ModeratedEvidence(address,uint256,address,string)"(_arbitrator?: string | null, _externalDisputeID?: BigNumberish | null, _party?: string | null, _evidence?: null): ModeratedEvidenceEventFilter;
        ModeratedEvidence(_arbitrator?: string | null, _externalDisputeID?: BigNumberish | null, _party?: string | null, _evidence?: null): ModeratedEvidenceEventFilter;
        "ModerationStatusChanged(bytes32,uint8)"(_evidenceID?: BytesLike | null, _currentWinner?: null): ModerationStatusChangedEventFilter;
        ModerationStatusChanged(_evidenceID?: BytesLike | null, _currentWinner?: null): ModerationStatusChangedEventFilter;
        "Ruling(address,uint256,uint256)"(_arbitrator?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        Ruling(_arbitrator?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
    };
    estimateGas: {
        AMOUNT_OF_CHOICES(overrides?: CallOverrides): Promise<BigNumber>;
        MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<BigNumber>;
        arbitrator(overrides?: CallOverrides): Promise<BigNumber>;
        arbitratorDataList(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        bondTimeout(overrides?: CallOverrides): Promise<BigNumber>;
        changeArbitratorExtraData(_arbitratorExtraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeBondTimeout(_bondTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeInitialDepositMultiplier(_initialDepositMultiplier: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeTotalCostMultiplier(_totalCostMultiplier: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        disputeIDtoEvidenceID(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getContributions(_evidenceID: BytesLike, _moderationID: BigNumberish, _contributor: string, overrides?: CallOverrides): Promise<BigNumber>;
        getCurrentArbitratorIndex(overrides?: CallOverrides): Promise<BigNumber>;
        getModerationInfo(_evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getNumberOfModerations(_evidenceID: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        governor(overrides?: CallOverrides): Promise<BigNumber>;
        initialDepositMultiplier(overrides?: CallOverrides): Promise<BigNumber>;
        moderate(_evidenceID: BytesLike, _side: BigNumberish, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        resolveModerationMarket(_evidenceID: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        submitEvidence(_evidenceGroupID: BigNumberish, _evidence: string, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        templateRegistry(overrides?: CallOverrides): Promise<BigNumber>;
        totalCostMultiplier(overrides?: CallOverrides): Promise<BigNumber>;
        withdrawFeesAndRewards(_beneficiary: string, _evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        AMOUNT_OF_CHOICES(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        MULTIPLIER_DIVISOR(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        arbitrator(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        arbitratorDataList(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        bondTimeout(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        changeArbitratorExtraData(_arbitratorExtraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeBondTimeout(_bondTimeout: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeDisputeTemplate(_templateData: string, _templateDataMappings: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeInitialDepositMultiplier(_initialDepositMultiplier: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeTotalCostMultiplier(_totalCostMultiplier: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        disputeIDtoEvidenceID(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getContributions(_evidenceID: BytesLike, _moderationID: BigNumberish, _contributor: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getCurrentArbitratorIndex(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getModerationInfo(_evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getNumberOfModerations(_evidenceID: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        governor(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        initialDepositMultiplier(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        moderate(_evidenceID: BytesLike, _side: BigNumberish, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        resolveModerationMarket(_evidenceID: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        submitEvidence(_evidenceGroupID: BigNumberish, _evidence: string, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        templateRegistry(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        totalCostMultiplier(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        withdrawFeesAndRewards(_beneficiary: string, _evidenceID: BytesLike, _moderationID: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
