import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
export interface IArbitrableV2Interface extends utils.Interface {
    functions: {
        "rule(uint256,uint256)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "rule"): FunctionFragment;
    encodeFunctionData(functionFragment: "rule", values: [BigNumberish, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "rule", data: BytesLike): Result;
    events: {
        "DisputeRequest(address,uint256,uint256,uint256,string)": EventFragment;
        "Ruling(address,uint256,uint256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "DisputeRequest"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Ruling"): EventFragment;
}
export interface DisputeRequestEventObject {
    _arbitrator: string;
    _arbitrableDisputeID: BigNumber;
    _externalDisputeID: BigNumber;
    _templateId: BigNumber;
    _templateUri: string;
}
export type DisputeRequestEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber,
    string
], DisputeRequestEventObject>;
export type DisputeRequestEventFilter = TypedEventFilter<DisputeRequestEvent>;
export interface RulingEventObject {
    _arbitrator: string;
    _disputeID: BigNumber;
    _ruling: BigNumber;
}
export type RulingEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], RulingEventObject>;
export type RulingEventFilter = TypedEventFilter<RulingEvent>;
export interface IArbitrableV2 extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IArbitrableV2Interface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "DisputeRequest(address,uint256,uint256,uint256,string)"(_arbitrator?: string | null, _arbitrableDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): DisputeRequestEventFilter;
        DisputeRequest(_arbitrator?: string | null, _arbitrableDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): DisputeRequestEventFilter;
        "Ruling(address,uint256,uint256)"(_arbitrator?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        Ruling(_arbitrator?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
    };
    estimateGas: {
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
