import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
export interface IDisputeKitInterface extends utils.Interface {
    functions: {
        "areCommitsAllCast(uint256)": FunctionFragment;
        "areVotesAllCast(uint256)": FunctionFragment;
        "createDispute(uint256,uint256,bytes,uint256)": FunctionFragment;
        "currentRuling(uint256)": FunctionFragment;
        "draw(uint256,uint256)": FunctionFragment;
        "getCoherentCount(uint256,uint256)": FunctionFragment;
        "getDegreeOfCoherence(uint256,uint256,uint256,uint256,uint256)": FunctionFragment;
        "getRoundInfo(uint256,uint256,uint256)": FunctionFragment;
        "getVoteInfo(uint256,uint256,uint256)": FunctionFragment;
        "isVoteActive(uint256,uint256,uint256)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "areCommitsAllCast" | "areVotesAllCast" | "createDispute" | "currentRuling" | "draw" | "getCoherentCount" | "getDegreeOfCoherence" | "getRoundInfo" | "getVoteInfo" | "isVoteActive"): FunctionFragment;
    encodeFunctionData(functionFragment: "areCommitsAllCast", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "areVotesAllCast", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "createDispute", values: [BigNumberish, BigNumberish, BytesLike, BigNumberish]): string;
    encodeFunctionData(functionFragment: "currentRuling", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "draw", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getCoherentCount", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getDegreeOfCoherence", values: [
        BigNumberish,
        BigNumberish,
        BigNumberish,
        BigNumberish,
        BigNumberish
    ]): string;
    encodeFunctionData(functionFragment: "getRoundInfo", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getVoteInfo", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "isVoteActive", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "areCommitsAllCast", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "areVotesAllCast", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDispute", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "currentRuling", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "draw", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getCoherentCount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getDegreeOfCoherence", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getRoundInfo", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getVoteInfo", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isVoteActive", data: BytesLike): Result;
    events: {
        "VoteCast(uint256,address,uint256[],uint256,string)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "VoteCast"): EventFragment;
}
export interface VoteCastEventObject {
    _coreDisputeID: BigNumber;
    _juror: string;
    _voteIDs: BigNumber[];
    _choice: BigNumber;
    _justification: string;
}
export type VoteCastEvent = TypedEvent<[
    BigNumber,
    string,
    BigNumber[],
    BigNumber,
    string
], VoteCastEventObject>;
export type VoteCastEventFilter = TypedEventFilter<VoteCastEvent>;
export interface IDisputeKit extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IDisputeKitInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[boolean]>;
        areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[boolean]>;
        createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            boolean
        ] & {
            ruling: BigNumber;
            tied: boolean;
            overridden: boolean;
        }>;
        draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, _feePerJuror: BigNumberish, _pnkAtStakePerJuror: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            winningChoice: BigNumber;
            tied: boolean;
            totalVoted: BigNumber;
            totalCommited: BigNumber;
            nbVoters: BigNumber;
            choiceCount: BigNumber;
        }>;
        getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            string,
            BigNumber,
            boolean
        ] & {
            account: string;
            commit: string;
            choice: BigNumber;
            voted: boolean;
        }>;
        isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[boolean]>;
    };
    areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
    areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
    createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        boolean,
        boolean
    ] & {
        ruling: BigNumber;
        tied: boolean;
        overridden: boolean;
    }>;
    draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, _feePerJuror: BigNumberish, _pnkAtStakePerJuror: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        boolean,
        BigNumber,
        BigNumber,
        BigNumber,
        BigNumber
    ] & {
        winningChoice: BigNumber;
        tied: boolean;
        totalVoted: BigNumber;
        totalCommited: BigNumber;
        nbVoters: BigNumber;
        choiceCount: BigNumber;
    }>;
    getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[
        string,
        string,
        BigNumber,
        boolean
    ] & {
        account: string;
        commit: string;
        choice: BigNumber;
        voted: boolean;
    }>;
    isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
    callStatic: {
        areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: CallOverrides): Promise<void>;
        currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            boolean
        ] & {
            ruling: BigNumber;
            tied: boolean;
            overridden: boolean;
        }>;
        draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, _feePerJuror: BigNumberish, _pnkAtStakePerJuror: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            winningChoice: BigNumber;
            tied: boolean;
            totalVoted: BigNumber;
            totalCommited: BigNumber;
            nbVoters: BigNumber;
            choiceCount: BigNumber;
        }>;
        getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            string,
            BigNumber,
            boolean
        ] & {
            account: string;
            commit: string;
            choice: BigNumber;
            voted: boolean;
        }>;
        isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
    };
    filters: {
        "VoteCast(uint256,address,uint256[],uint256,string)"(_coreDisputeID?: BigNumberish | null, _juror?: string | null, _voteIDs?: null, _choice?: BigNumberish | null, _justification?: null): VoteCastEventFilter;
        VoteCast(_coreDisputeID?: BigNumberish | null, _juror?: string | null, _voteIDs?: null, _choice?: BigNumberish | null, _justification?: null): VoteCastEventFilter;
    };
    estimateGas: {
        areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, _feePerJuror: BigNumberish, _pnkAtStakePerJuror: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        areCommitsAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        areVotesAllCast(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        createDispute(_coreDisputeID: BigNumberish, _numberOfChoices: BigNumberish, _extraData: BytesLike, _nbVotes: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        currentRuling(_coreDisputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        draw(_coreDisputeID: BigNumberish, _nonce: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        getCoherentCount(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getDegreeOfCoherence(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, _feePerJuror: BigNumberish, _pnkAtStakePerJuror: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getRoundInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _choice: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getVoteInfo(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isVoteActive(_coreDisputeID: BigNumberish, _coreRoundID: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
