import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
export interface IDisputeTemplateRegistryInterface extends utils.Interface {
    functions: {
        "setDisputeTemplate(string,string,string)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "setDisputeTemplate"): FunctionFragment;
    encodeFunctionData(functionFragment: "setDisputeTemplate", values: [string, string, string]): string;
    decodeFunctionResult(functionFragment: "setDisputeTemplate", data: BytesLike): Result;
    events: {
        "DisputeTemplate(uint256,string,string,string)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "DisputeTemplate"): EventFragment;
}
export interface DisputeTemplateEventObject {
    _templateId: BigNumber;
    _templateTag: string;
    _templateData: string;
    _templateDataMappings: string;
}
export type DisputeTemplateEvent = TypedEvent<[
    BigNumber,
    string,
    string,
    string
], DisputeTemplateEventObject>;
export type DisputeTemplateEventFilter = TypedEventFilter<DisputeTemplateEvent>;
export interface IDisputeTemplateRegistry extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IDisputeTemplateRegistryInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        setDisputeTemplate(_templateTag: string, _templateData: string, _templateDataMappings: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    setDisputeTemplate(_templateTag: string, _templateData: string, _templateDataMappings: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        setDisputeTemplate(_templateTag: string, _templateData: string, _templateDataMappings: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {
        "DisputeTemplate(uint256,string,string,string)"(_templateId?: BigNumberish | null, _templateTag?: string | null, _templateData?: null, _templateDataMappings?: null): DisputeTemplateEventFilter;
        DisputeTemplate(_templateId?: BigNumberish | null, _templateTag?: string | null, _templateData?: null, _templateDataMappings?: null): DisputeTemplateEventFilter;
    };
    estimateGas: {
        setDisputeTemplate(_templateTag: string, _templateData: string, _templateDataMappings: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        setDisputeTemplate(_templateTag: string, _templateData: string, _templateDataMappings: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
