import type { BaseContract, BigNumber, BigNumberish, Signer, utils } from "ethers";
import type { EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
export interface IEvidenceInterface extends utils.Interface {
    functions: {};
    events: {
        "Evidence(uint256,address,string)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "Evidence"): EventFragment;
}
export interface EvidenceEventObject {
    _externalDisputeID: BigNumber;
    _party: string;
    _evidence: string;
}
export type EvidenceEvent = TypedEvent<[
    BigNumber,
    string,
    string
], EvidenceEventObject>;
export type EvidenceEventFilter = TypedEventFilter<EvidenceEvent>;
export interface IEvidence extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IEvidenceInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {};
    callStatic: {};
    filters: {
        "Evidence(uint256,address,string)"(_externalDisputeID?: BigNumberish | null, _party?: string | null, _evidence?: null): EvidenceEventFilter;
        Evidence(_externalDisputeID?: BigNumberish | null, _party?: string | null, _evidence?: null): EvidenceEventFilter;
    };
    estimateGas: {};
    populateTransaction: {};
}
