import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
export interface SortitionModuleUniversityInterface extends utils.Interface {
    functions: {
        "core()": FunctionFragment;
        "createDisputeHook(uint256,uint256)": FunctionFragment;
        "createTree(bytes32,bytes)": FunctionFragment;
        "disputesWithoutJurors()": FunctionFragment;
        "draw(bytes32,uint256,uint256)": FunctionFragment;
        "getJurorBalance(address,uint96)": FunctionFragment;
        "getJurorCourtIDs(address)": FunctionFragment;
        "governor()": FunctionFragment;
        "initialize(address,address)": FunctionFragment;
        "isJurorStaked(address)": FunctionFragment;
        "jurors(address)": FunctionFragment;
        "lockStake(address,uint256)": FunctionFragment;
        "notifyRandomNumber(uint256)": FunctionFragment;
        "penalizeStake(address,uint256)": FunctionFragment;
        "postDrawHook(uint256,uint256)": FunctionFragment;
        "proxiableUUID()": FunctionFragment;
        "setJurorInactive(address)": FunctionFragment;
        "setStake(address,uint96,uint256,bool)": FunctionFragment;
        "setTransientJuror(address)": FunctionFragment;
        "unlockStake(address,uint256)": FunctionFragment;
        "upgradeToAndCall(address,bytes)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "core" | "createDisputeHook" | "createTree" | "disputesWithoutJurors" | "draw" | "getJurorBalance" | "getJurorCourtIDs" | "governor" | "initialize" | "isJurorStaked" | "jurors" | "lockStake" | "notifyRandomNumber" | "penalizeStake" | "postDrawHook" | "proxiableUUID" | "setJurorInactive" | "setStake" | "setTransientJuror" | "unlockStake" | "upgradeToAndCall"): FunctionFragment;
    encodeFunctionData(functionFragment: "core", values?: undefined): string;
    encodeFunctionData(functionFragment: "createDisputeHook", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "createTree", values: [BytesLike, BytesLike]): string;
    encodeFunctionData(functionFragment: "disputesWithoutJurors", values?: undefined): string;
    encodeFunctionData(functionFragment: "draw", values: [BytesLike, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getJurorBalance", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getJurorCourtIDs", values: [string]): string;
    encodeFunctionData(functionFragment: "governor", values?: undefined): string;
    encodeFunctionData(functionFragment: "initialize", values: [string, string]): string;
    encodeFunctionData(functionFragment: "isJurorStaked", values: [string]): string;
    encodeFunctionData(functionFragment: "jurors", values: [string]): string;
    encodeFunctionData(functionFragment: "lockStake", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "notifyRandomNumber", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "penalizeStake", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "postDrawHook", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "proxiableUUID", values?: undefined): string;
    encodeFunctionData(functionFragment: "setJurorInactive", values: [string]): string;
    encodeFunctionData(functionFragment: "setStake", values: [string, BigNumberish, BigNumberish, boolean]): string;
    encodeFunctionData(functionFragment: "setTransientJuror", values: [string]): string;
    encodeFunctionData(functionFragment: "unlockStake", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "upgradeToAndCall", values: [string, BytesLike]): string;
    decodeFunctionResult(functionFragment: "core", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDisputeHook", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createTree", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputesWithoutJurors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "draw", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getJurorBalance", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getJurorCourtIDs", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "governor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "initialize", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isJurorStaked", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "jurors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lockStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "notifyRandomNumber", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "penalizeStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "postDrawHook", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "proxiableUUID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setJurorInactive", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setTransientJuror", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "unlockStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "upgradeToAndCall", data: BytesLike): Result;
    events: {
        "Initialized(uint64)": EventFragment;
        "NewPhase(uint8)": EventFragment;
        "StakeLocked(address,uint256,bool)": EventFragment;
        "StakeSet(address,uint256,uint256)": EventFragment;
        "Upgraded(address)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "Initialized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "NewPhase"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "StakeLocked"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "StakeSet"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Upgraded"): EventFragment;
}
export interface InitializedEventObject {
    version: BigNumber;
}
export type InitializedEvent = TypedEvent<[BigNumber], InitializedEventObject>;
export type InitializedEventFilter = TypedEventFilter<InitializedEvent>;
export interface NewPhaseEventObject {
    _phase: number;
}
export type NewPhaseEvent = TypedEvent<[number], NewPhaseEventObject>;
export type NewPhaseEventFilter = TypedEventFilter<NewPhaseEvent>;
export interface StakeLockedEventObject {
    _address: string;
    _relativeAmount: BigNumber;
    _unlock: boolean;
}
export type StakeLockedEvent = TypedEvent<[
    string,
    BigNumber,
    boolean
], StakeLockedEventObject>;
export type StakeLockedEventFilter = TypedEventFilter<StakeLockedEvent>;
export interface StakeSetEventObject {
    _address: string;
    _courtID: BigNumber;
    _amount: BigNumber;
}
export type StakeSetEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], StakeSetEventObject>;
export type StakeSetEventFilter = TypedEventFilter<StakeSetEvent>;
export interface UpgradedEventObject {
    newImplementation: string;
}
export type UpgradedEvent = TypedEvent<[string], UpgradedEventObject>;
export type UpgradedEventFilter = TypedEventFilter<UpgradedEvent>;
export interface SortitionModuleUniversity extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: SortitionModuleUniversityInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        core(overrides?: CallOverrides): Promise<[string]>;
        createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        createTree(_key: BytesLike, _extraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<[BigNumber]>;
        draw(arg0: BytesLike, arg1: BigNumberish, arg2: BigNumberish, overrides?: CallOverrides): Promise<[string] & {
            drawnAddress: string;
        }>;
        getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            totalStaked: BigNumber;
            totalLocked: BigNumber;
            stakedInCourt: BigNumber;
            nbCourts: BigNumber;
        }>;
        getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<[BigNumber[]]>;
        governor(overrides?: CallOverrides): Promise<[string]>;
        initialize(_governor: string, _core: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<[boolean]>;
        jurors(account: string, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber
        ] & {
            stakedPnk: BigNumber;
            lockedPnk: BigNumber;
        }>;
        lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        notifyRandomNumber(_randomNumber: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        proxiableUUID(overrides?: CallOverrides): Promise<[string]>;
        setJurorInactive(_account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setTransientJuror(_juror: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    core(overrides?: CallOverrides): Promise<string>;
    createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    createTree(_key: BytesLike, _extraData: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    disputesWithoutJurors(overrides?: CallOverrides): Promise<BigNumber>;
    draw(arg0: BytesLike, arg1: BigNumberish, arg2: BigNumberish, overrides?: CallOverrides): Promise<string>;
    getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        BigNumber,
        BigNumber,
        BigNumber
    ] & {
        totalStaked: BigNumber;
        totalLocked: BigNumber;
        stakedInCourt: BigNumber;
        nbCourts: BigNumber;
    }>;
    getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<BigNumber[]>;
    governor(overrides?: CallOverrides): Promise<string>;
    initialize(_governor: string, _core: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<boolean>;
    jurors(account: string, overrides?: CallOverrides): Promise<[
        BigNumber,
        BigNumber
    ] & {
        stakedPnk: BigNumber;
        lockedPnk: BigNumber;
    }>;
    lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    notifyRandomNumber(_randomNumber: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    proxiableUUID(overrides?: CallOverrides): Promise<string>;
    setJurorInactive(_account: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setTransientJuror(_juror: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        core(overrides?: CallOverrides): Promise<string>;
        createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: CallOverrides): Promise<void>;
        createTree(_key: BytesLike, _extraData: BytesLike, overrides?: CallOverrides): Promise<void>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<BigNumber>;
        draw(arg0: BytesLike, arg1: BigNumberish, arg2: BigNumberish, overrides?: CallOverrides): Promise<string>;
        getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            totalStaked: BigNumber;
            totalLocked: BigNumber;
            stakedInCourt: BigNumber;
            nbCourts: BigNumber;
        }>;
        getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<BigNumber[]>;
        governor(overrides?: CallOverrides): Promise<string>;
        initialize(_governor: string, _core: string, overrides?: CallOverrides): Promise<void>;
        isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<boolean>;
        jurors(account: string, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber
        ] & {
            stakedPnk: BigNumber;
            lockedPnk: BigNumber;
        }>;
        lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        notifyRandomNumber(_randomNumber: BigNumberish, overrides?: CallOverrides): Promise<void>;
        penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: CallOverrides): Promise<void>;
        proxiableUUID(overrides?: CallOverrides): Promise<string>;
        setJurorInactive(_account: string, overrides?: CallOverrides): Promise<void>;
        setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            number
        ] & {
            pnkDeposit: BigNumber;
            pnkWithdrawal: BigNumber;
            stakingResult: number;
        }>;
        setTransientJuror(_juror: string, overrides?: CallOverrides): Promise<void>;
        unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "Initialized(uint64)"(version?: null): InitializedEventFilter;
        Initialized(version?: null): InitializedEventFilter;
        "NewPhase(uint8)"(_phase?: null): NewPhaseEventFilter;
        NewPhase(_phase?: null): NewPhaseEventFilter;
        "StakeLocked(address,uint256,bool)"(_address?: string | null, _relativeAmount?: null, _unlock?: null): StakeLockedEventFilter;
        StakeLocked(_address?: string | null, _relativeAmount?: null, _unlock?: null): StakeLockedEventFilter;
        "StakeSet(address,uint256,uint256)"(_address?: string | null, _courtID?: null, _amount?: null): StakeSetEventFilter;
        StakeSet(_address?: string | null, _courtID?: null, _amount?: null): StakeSetEventFilter;
        "Upgraded(address)"(newImplementation?: string | null): UpgradedEventFilter;
        Upgraded(newImplementation?: string | null): UpgradedEventFilter;
    };
    estimateGas: {
        core(overrides?: CallOverrides): Promise<BigNumber>;
        createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        createTree(_key: BytesLike, _extraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<BigNumber>;
        draw(arg0: BytesLike, arg1: BigNumberish, arg2: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<BigNumber>;
        governor(overrides?: CallOverrides): Promise<BigNumber>;
        initialize(_governor: string, _core: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<BigNumber>;
        jurors(account: string, overrides?: CallOverrides): Promise<BigNumber>;
        lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        notifyRandomNumber(_randomNumber: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        proxiableUUID(overrides?: CallOverrides): Promise<BigNumber>;
        setJurorInactive(_account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setTransientJuror(_juror: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        core(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        createDisputeHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        createTree(_key: BytesLike, _extraData: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        draw(arg0: BytesLike, arg1: BigNumberish, arg2: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getJurorBalance(_juror: string, _courtID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getJurorCourtIDs(_juror: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        governor(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        initialize(_governor: string, _core: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        isJurorStaked(_juror: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        jurors(account: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        notifyRandomNumber(_randomNumber: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        penalizeStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        postDrawHook(arg0: BigNumberish, arg1: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        proxiableUUID(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        setJurorInactive(_account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setStake(_account: string, _courtID: BigNumberish, _newStake: BigNumberish, _alreadyTransferred: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setTransientJuror(_juror: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        unlockStake(_account: string, _relativeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
