import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../common";
export interface ForeignGatewayInterface extends utils.Interface {
    functions: {
        "arbitrationCost(bytes,address)": FunctionFragment;
        "arbitrationCost(bytes)": FunctionFragment;
        "changeCourtJurorFee(uint96,uint256)": FunctionFragment;
        "changeGovernor(address)": FunctionFragment;
        "changeHomeGateway(address)": FunctionFragment;
        "changeVea(address,uint256)": FunctionFragment;
        "createDispute(uint256,bytes)": FunctionFragment;
        "createDispute(uint256,bytes,address,uint256)": FunctionFragment;
        "currentRuling(uint256)": FunctionFragment;
        "deprecatedVeaOutbox()": FunctionFragment;
        "deprecatedVeaOutboxExpiration()": FunctionFragment;
        "disputeHashToForeignID(bytes32)": FunctionFragment;
        "disputeHashtoDisputeData(bytes32)": FunctionFragment;
        "feeForJuror(uint96)": FunctionFragment;
        "governor()": FunctionFragment;
        "homeChainID()": FunctionFragment;
        "homeGateway()": FunctionFragment;
        "initialize(address,address,uint256,address)": FunctionFragment;
        "proxiableUUID()": FunctionFragment;
        "relayRule(address,bytes32,uint256,address)": FunctionFragment;
        "senderGateway()": FunctionFragment;
        "upgradeToAndCall(address,bytes)": FunctionFragment;
        "veaOutbox()": FunctionFragment;
        "withdrawFees(bytes32)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "arbitrationCost(bytes,address)" | "arbitrationCost(bytes)" | "changeCourtJurorFee" | "changeGovernor" | "changeHomeGateway" | "changeVea" | "createDispute(uint256,bytes)" | "createDispute(uint256,bytes,address,uint256)" | "currentRuling" | "deprecatedVeaOutbox" | "deprecatedVeaOutboxExpiration" | "disputeHashToForeignID" | "disputeHashtoDisputeData" | "feeForJuror" | "governor" | "homeChainID" | "homeGateway" | "initialize" | "proxiableUUID" | "relayRule" | "senderGateway" | "upgradeToAndCall" | "veaOutbox" | "withdrawFees"): FunctionFragment;
    encodeFunctionData(functionFragment: "arbitrationCost(bytes,address)", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "arbitrationCost(bytes)", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "changeCourtJurorFee", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeGovernor", values: [string]): string;
    encodeFunctionData(functionFragment: "changeHomeGateway", values: [string]): string;
    encodeFunctionData(functionFragment: "changeVea", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "createDispute(uint256,bytes)", values: [BigNumberish, BytesLike]): string;
    encodeFunctionData(functionFragment: "createDispute(uint256,bytes,address,uint256)", values: [BigNumberish, BytesLike, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "currentRuling", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "deprecatedVeaOutbox", values?: undefined): string;
    encodeFunctionData(functionFragment: "deprecatedVeaOutboxExpiration", values?: undefined): string;
    encodeFunctionData(functionFragment: "disputeHashToForeignID", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "disputeHashtoDisputeData", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "feeForJuror", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "governor", values?: undefined): string;
    encodeFunctionData(functionFragment: "homeChainID", values?: undefined): string;
    encodeFunctionData(functionFragment: "homeGateway", values?: undefined): string;
    encodeFunctionData(functionFragment: "initialize", values: [string, string, BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "proxiableUUID", values?: undefined): string;
    encodeFunctionData(functionFragment: "relayRule", values: [string, BytesLike, BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "senderGateway", values?: undefined): string;
    encodeFunctionData(functionFragment: "upgradeToAndCall", values: [string, BytesLike]): string;
    encodeFunctionData(functionFragment: "veaOutbox", values?: undefined): string;
    encodeFunctionData(functionFragment: "withdrawFees", values: [BytesLike]): string;
    decodeFunctionResult(functionFragment: "arbitrationCost(bytes,address)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arbitrationCost(bytes)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeCourtJurorFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeGovernor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeHomeGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeVea", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDispute(uint256,bytes)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDispute(uint256,bytes,address,uint256)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "currentRuling", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "deprecatedVeaOutbox", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "deprecatedVeaOutboxExpiration", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputeHashToForeignID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputeHashtoDisputeData", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "feeForJuror", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "governor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "homeChainID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "homeGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "initialize", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "proxiableUUID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "relayRule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "senderGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "upgradeToAndCall", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "veaOutbox", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawFees", data: BytesLike): Result;
    events: {
        "AcceptedFeeToken(address,bool)": EventFragment;
        "ArbitrationCostModified(uint96,uint256)": EventFragment;
        "CrossChainDisputeOutgoing(bytes32,address,uint256,uint256,bytes)": EventFragment;
        "DisputeCreation(uint256,address)": EventFragment;
        "Initialized(uint64)": EventFragment;
        "NewCurrencyRate(address,uint64,uint8)": EventFragment;
        "Ruling(address,uint256,uint256)": EventFragment;
        "Upgraded(address)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "AcceptedFeeToken"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ArbitrationCostModified"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "CrossChainDisputeOutgoing"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "DisputeCreation"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Initialized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "NewCurrencyRate"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Ruling"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Upgraded"): EventFragment;
}
export interface AcceptedFeeTokenEventObject {
    _token: string;
    _accepted: boolean;
}
export type AcceptedFeeTokenEvent = TypedEvent<[
    string,
    boolean
], AcceptedFeeTokenEventObject>;
export type AcceptedFeeTokenEventFilter = TypedEventFilter<AcceptedFeeTokenEvent>;
export interface ArbitrationCostModifiedEventObject {
    _courtID: BigNumber;
    _feeForJuror: BigNumber;
}
export type ArbitrationCostModifiedEvent = TypedEvent<[
    BigNumber,
    BigNumber
], ArbitrationCostModifiedEventObject>;
export type ArbitrationCostModifiedEventFilter = TypedEventFilter<ArbitrationCostModifiedEvent>;
export interface CrossChainDisputeOutgoingEventObject {
    _foreignBlockHash: string;
    _foreignArbitrable: string;
    _foreignDisputeID: BigNumber;
    _choices: BigNumber;
    _extraData: string;
}
export type CrossChainDisputeOutgoingEvent = TypedEvent<[
    string,
    string,
    BigNumber,
    BigNumber,
    string
], CrossChainDisputeOutgoingEventObject>;
export type CrossChainDisputeOutgoingEventFilter = TypedEventFilter<CrossChainDisputeOutgoingEvent>;
export interface DisputeCreationEventObject {
    _disputeID: BigNumber;
    _arbitrable: string;
}
export type DisputeCreationEvent = TypedEvent<[
    BigNumber,
    string
], DisputeCreationEventObject>;
export type DisputeCreationEventFilter = TypedEventFilter<DisputeCreationEvent>;
export interface InitializedEventObject {
    version: BigNumber;
}
export type InitializedEvent = TypedEvent<[BigNumber], InitializedEventObject>;
export type InitializedEventFilter = TypedEventFilter<InitializedEvent>;
export interface NewCurrencyRateEventObject {
    _feeToken: string;
    _rateInEth: BigNumber;
    _rateDecimals: number;
}
export type NewCurrencyRateEvent = TypedEvent<[
    string,
    BigNumber,
    number
], NewCurrencyRateEventObject>;
export type NewCurrencyRateEventFilter = TypedEventFilter<NewCurrencyRateEvent>;
export interface RulingEventObject {
    _arbitrable: string;
    _disputeID: BigNumber;
    _ruling: BigNumber;
}
export type RulingEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], RulingEventObject>;
export type RulingEventFilter = TypedEventFilter<RulingEvent>;
export interface UpgradedEventObject {
    newImplementation: string;
}
export type UpgradedEvent = TypedEvent<[string], UpgradedEventObject>;
export type UpgradedEventFilter = TypedEventFilter<UpgradedEvent>;
export interface ForeignGateway extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: ForeignGatewayInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<[BigNumber] & {
            cost: BigNumber;
        }>;
        changeCourtJurorFee(_courtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeHomeGateway(_homeGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeVea(_veaOutbox: string, _gracePeriod: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, boolean, boolean]>;
        deprecatedVeaOutbox(overrides?: CallOverrides): Promise<[string]>;
        deprecatedVeaOutboxExpiration(overrides?: CallOverrides): Promise<[BigNumber]>;
        disputeHashToForeignID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<[BigNumber]>;
        disputeHashtoDisputeData(disputeHash: BytesLike, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            string,
            BigNumber,
            string
        ] & {
            id: BigNumber;
            ruled: boolean;
            arbitrable: string;
            paid: BigNumber;
            relayer: string;
        }>;
        feeForJuror(courtId: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        governor(overrides?: CallOverrides): Promise<[string]>;
        homeChainID(overrides?: CallOverrides): Promise<[BigNumber]>;
        homeGateway(overrides?: CallOverrides): Promise<[string]>;
        initialize(_governor: string, _veaOutbox: string, _homeChainID: BigNumberish, _homeGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        proxiableUUID(overrides?: CallOverrides): Promise<[string]>;
        relayRule(_messageSender: string, _disputeHash: BytesLike, _ruling: BigNumberish, _relayer: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        senderGateway(overrides?: CallOverrides): Promise<[string]>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        veaOutbox(overrides?: CallOverrides): Promise<[string]>;
        withdrawFees(_disputeHash: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
    "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    changeCourtJurorFee(_courtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeGovernor(_governor: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeHomeGateway(_homeGateway: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeVea(_veaOutbox: string, _gracePeriod: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, boolean, boolean]>;
    deprecatedVeaOutbox(overrides?: CallOverrides): Promise<string>;
    deprecatedVeaOutboxExpiration(overrides?: CallOverrides): Promise<BigNumber>;
    disputeHashToForeignID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    disputeHashtoDisputeData(disputeHash: BytesLike, overrides?: CallOverrides): Promise<[
        BigNumber,
        boolean,
        string,
        BigNumber,
        string
    ] & {
        id: BigNumber;
        ruled: boolean;
        arbitrable: string;
        paid: BigNumber;
        relayer: string;
    }>;
    feeForJuror(courtId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    governor(overrides?: CallOverrides): Promise<string>;
    homeChainID(overrides?: CallOverrides): Promise<BigNumber>;
    homeGateway(overrides?: CallOverrides): Promise<string>;
    initialize(_governor: string, _veaOutbox: string, _homeChainID: BigNumberish, _homeGateway: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    proxiableUUID(overrides?: CallOverrides): Promise<string>;
    relayRule(_messageSender: string, _disputeHash: BytesLike, _ruling: BigNumberish, _relayer: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    senderGateway(overrides?: CallOverrides): Promise<string>;
    upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    veaOutbox(overrides?: CallOverrides): Promise<string>;
    withdrawFees(_disputeHash: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
        "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        changeCourtJurorFee(_courtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeGovernor(_governor: string, overrides?: CallOverrides): Promise<void>;
        changeHomeGateway(_homeGateway: string, overrides?: CallOverrides): Promise<void>;
        changeVea(_veaOutbox: string, _gracePeriod: BigNumberish, overrides?: CallOverrides): Promise<void>;
        "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber, boolean, boolean]>;
        deprecatedVeaOutbox(overrides?: CallOverrides): Promise<string>;
        deprecatedVeaOutboxExpiration(overrides?: CallOverrides): Promise<BigNumber>;
        disputeHashToForeignID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        disputeHashtoDisputeData(disputeHash: BytesLike, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            string,
            BigNumber,
            string
        ] & {
            id: BigNumber;
            ruled: boolean;
            arbitrable: string;
            paid: BigNumber;
            relayer: string;
        }>;
        feeForJuror(courtId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        governor(overrides?: CallOverrides): Promise<string>;
        homeChainID(overrides?: CallOverrides): Promise<BigNumber>;
        homeGateway(overrides?: CallOverrides): Promise<string>;
        initialize(_governor: string, _veaOutbox: string, _homeChainID: BigNumberish, _homeGateway: string, overrides?: CallOverrides): Promise<void>;
        proxiableUUID(overrides?: CallOverrides): Promise<string>;
        relayRule(_messageSender: string, _disputeHash: BytesLike, _ruling: BigNumberish, _relayer: string, overrides?: CallOverrides): Promise<void>;
        senderGateway(overrides?: CallOverrides): Promise<string>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: CallOverrides): Promise<void>;
        veaOutbox(overrides?: CallOverrides): Promise<string>;
        withdrawFees(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "AcceptedFeeToken(address,bool)"(_token?: string | null, _accepted?: boolean | null): AcceptedFeeTokenEventFilter;
        AcceptedFeeToken(_token?: string | null, _accepted?: boolean | null): AcceptedFeeTokenEventFilter;
        "ArbitrationCostModified(uint96,uint256)"(_courtID?: BigNumberish | null, _feeForJuror?: null): ArbitrationCostModifiedEventFilter;
        ArbitrationCostModified(_courtID?: BigNumberish | null, _feeForJuror?: null): ArbitrationCostModifiedEventFilter;
        "CrossChainDisputeOutgoing(bytes32,address,uint256,uint256,bytes)"(_foreignBlockHash?: null, _foreignArbitrable?: string | null, _foreignDisputeID?: BigNumberish | null, _choices?: null, _extraData?: null): CrossChainDisputeOutgoingEventFilter;
        CrossChainDisputeOutgoing(_foreignBlockHash?: null, _foreignArbitrable?: string | null, _foreignDisputeID?: BigNumberish | null, _choices?: null, _extraData?: null): CrossChainDisputeOutgoingEventFilter;
        "DisputeCreation(uint256,address)"(_disputeID?: BigNumberish | null, _arbitrable?: string | null): DisputeCreationEventFilter;
        DisputeCreation(_disputeID?: BigNumberish | null, _arbitrable?: string | null): DisputeCreationEventFilter;
        "Initialized(uint64)"(version?: null): InitializedEventFilter;
        Initialized(version?: null): InitializedEventFilter;
        "NewCurrencyRate(address,uint64,uint8)"(_feeToken?: string | null, _rateInEth?: null, _rateDecimals?: null): NewCurrencyRateEventFilter;
        NewCurrencyRate(_feeToken?: string | null, _rateInEth?: null, _rateDecimals?: null): NewCurrencyRateEventFilter;
        "Ruling(address,uint256,uint256)"(_arbitrable?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        Ruling(_arbitrable?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        "Upgraded(address)"(newImplementation?: string | null): UpgradedEventFilter;
        Upgraded(newImplementation?: string | null): UpgradedEventFilter;
    };
    estimateGas: {
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
        "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        changeCourtJurorFee(_courtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeHomeGateway(_homeGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeVea(_veaOutbox: string, _gracePeriod: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        deprecatedVeaOutbox(overrides?: CallOverrides): Promise<BigNumber>;
        deprecatedVeaOutboxExpiration(overrides?: CallOverrides): Promise<BigNumber>;
        disputeHashToForeignID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        disputeHashtoDisputeData(disputeHash: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        feeForJuror(courtId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        governor(overrides?: CallOverrides): Promise<BigNumber>;
        homeChainID(overrides?: CallOverrides): Promise<BigNumber>;
        homeGateway(overrides?: CallOverrides): Promise<BigNumber>;
        initialize(_governor: string, _veaOutbox: string, _homeChainID: BigNumberish, _homeGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        proxiableUUID(overrides?: CallOverrides): Promise<BigNumber>;
        relayRule(_messageSender: string, _disputeHash: BytesLike, _ruling: BigNumberish, _relayer: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        senderGateway(overrides?: CallOverrides): Promise<BigNumber>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        veaOutbox(overrides?: CallOverrides): Promise<BigNumber>;
        withdrawFees(_disputeHash: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        changeCourtJurorFee(_courtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeHomeGateway(_homeGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeVea(_veaOutbox: string, _gracePeriod: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        "createDispute(uint256,bytes)"(_choices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        currentRuling(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        deprecatedVeaOutbox(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        deprecatedVeaOutboxExpiration(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputeHashToForeignID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputeHashtoDisputeData(disputeHash: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        feeForJuror(courtId: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        governor(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        homeChainID(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        homeGateway(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        initialize(_governor: string, _veaOutbox: string, _homeChainID: BigNumberish, _homeGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        proxiableUUID(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        relayRule(_messageSender: string, _disputeHash: BytesLike, _ruling: BigNumberish, _relayer: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        senderGateway(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        veaOutbox(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        withdrawFees(_disputeHash: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
