import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../common";
export declare namespace IHomeGateway {
    type RelayCreateDisputeParamsStruct = {
        foreignBlockHash: BytesLike;
        foreignChainID: BigNumberish;
        foreignArbitrable: string;
        foreignDisputeID: BigNumberish;
        externalDisputeID: BigNumberish;
        templateId: BigNumberish;
        templateUri: string;
        choices: BigNumberish;
        extraData: BytesLike;
    };
    type RelayCreateDisputeParamsStructOutput = [
        string,
        BigNumber,
        string,
        BigNumber,
        BigNumber,
        BigNumber,
        string,
        BigNumber,
        string
    ] & {
        foreignBlockHash: string;
        foreignChainID: BigNumber;
        foreignArbitrable: string;
        foreignDisputeID: BigNumber;
        externalDisputeID: BigNumber;
        templateId: BigNumber;
        templateUri: string;
        choices: BigNumber;
        extraData: string;
    };
}
export interface HomeGatewayInterface extends utils.Interface {
    functions: {
        "arbitrator()": FunctionFragment;
        "changeArbitrator(address)": FunctionFragment;
        "changeFeeToken(address)": FunctionFragment;
        "changeForeignGateway(address)": FunctionFragment;
        "changeGovernor(address)": FunctionFragment;
        "changeVea(address)": FunctionFragment;
        "disputeHashToHomeID(bytes32)": FunctionFragment;
        "disputeHashtoID(bytes32)": FunctionFragment;
        "disputeHashtoRelayedData(bytes32)": FunctionFragment;
        "disputeIDtoHash(uint256)": FunctionFragment;
        "feeToken()": FunctionFragment;
        "foreignChainID()": FunctionFragment;
        "foreignGateway()": FunctionFragment;
        "governor()": FunctionFragment;
        "initialize(address,address,address,uint256,address,address)": FunctionFragment;
        "proxiableUUID()": FunctionFragment;
        "receiverGateway()": FunctionFragment;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes),uint256)": FunctionFragment;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes))": FunctionFragment;
        "rule(uint256,uint256)": FunctionFragment;
        "upgradeToAndCall(address,bytes)": FunctionFragment;
        "veaInbox()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "arbitrator" | "changeArbitrator" | "changeFeeToken" | "changeForeignGateway" | "changeGovernor" | "changeVea" | "disputeHashToHomeID" | "disputeHashtoID" | "disputeHashtoRelayedData" | "disputeIDtoHash" | "feeToken" | "foreignChainID" | "foreignGateway" | "governor" | "initialize" | "proxiableUUID" | "receiverGateway" | "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes),uint256)" | "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes))" | "rule" | "upgradeToAndCall" | "veaInbox"): FunctionFragment;
    encodeFunctionData(functionFragment: "arbitrator", values?: undefined): string;
    encodeFunctionData(functionFragment: "changeArbitrator", values: [string]): string;
    encodeFunctionData(functionFragment: "changeFeeToken", values: [string]): string;
    encodeFunctionData(functionFragment: "changeForeignGateway", values: [string]): string;
    encodeFunctionData(functionFragment: "changeGovernor", values: [string]): string;
    encodeFunctionData(functionFragment: "changeVea", values: [string]): string;
    encodeFunctionData(functionFragment: "disputeHashToHomeID", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "disputeHashtoID", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "disputeHashtoRelayedData", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "disputeIDtoHash", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "feeToken", values?: undefined): string;
    encodeFunctionData(functionFragment: "foreignChainID", values?: undefined): string;
    encodeFunctionData(functionFragment: "foreignGateway", values?: undefined): string;
    encodeFunctionData(functionFragment: "governor", values?: undefined): string;
    encodeFunctionData(functionFragment: "initialize", values: [string, string, string, BigNumberish, string, string]): string;
    encodeFunctionData(functionFragment: "proxiableUUID", values?: undefined): string;
    encodeFunctionData(functionFragment: "receiverGateway", values?: undefined): string;
    encodeFunctionData(functionFragment: "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes),uint256)", values: [IHomeGateway.RelayCreateDisputeParamsStruct, BigNumberish]): string;
    encodeFunctionData(functionFragment: "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes))", values: [IHomeGateway.RelayCreateDisputeParamsStruct]): string;
    encodeFunctionData(functionFragment: "rule", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "upgradeToAndCall", values: [string, BytesLike]): string;
    encodeFunctionData(functionFragment: "veaInbox", values?: undefined): string;
    decodeFunctionResult(functionFragment: "arbitrator", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeArbitrator", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeFeeToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeForeignGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeGovernor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeVea", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputeHashToHomeID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputeHashtoID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputeHashtoRelayedData", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputeIDtoHash", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "feeToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "foreignChainID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "foreignGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "governor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "initialize", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "proxiableUUID", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "receiverGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes),uint256)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes))", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "rule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "upgradeToAndCall", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "veaInbox", data: BytesLike): Result;
    events: {
        "CrossChainDisputeIncoming(address,uint256,address,uint256,uint256,uint256,uint256,string)": EventFragment;
        "DisputeRequest(address,uint256,uint256,uint256,string)": EventFragment;
        "Initialized(uint64)": EventFragment;
        "Ruling(address,uint256,uint256)": EventFragment;
        "Upgraded(address)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "CrossChainDisputeIncoming"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "DisputeRequest"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Initialized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Ruling"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Upgraded"): EventFragment;
}
export interface CrossChainDisputeIncomingEventObject {
    _arbitrator: string;
    _arbitrableChainId: BigNumber;
    _arbitrable: string;
    _arbitrableDisputeID: BigNumber;
    _arbitratorDisputeID: BigNumber;
    _externalDisputeID: BigNumber;
    _templateId: BigNumber;
    _templateUri: string;
}
export type CrossChainDisputeIncomingEvent = TypedEvent<[
    string,
    BigNumber,
    string,
    BigNumber,
    BigNumber,
    BigNumber,
    BigNumber,
    string
], CrossChainDisputeIncomingEventObject>;
export type CrossChainDisputeIncomingEventFilter = TypedEventFilter<CrossChainDisputeIncomingEvent>;
export interface DisputeRequestEventObject {
    _arbitrator: string;
    _arbitrableDisputeID: BigNumber;
    _externalDisputeID: BigNumber;
    _templateId: BigNumber;
    _templateUri: string;
}
export type DisputeRequestEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber,
    string
], DisputeRequestEventObject>;
export type DisputeRequestEventFilter = TypedEventFilter<DisputeRequestEvent>;
export interface InitializedEventObject {
    version: BigNumber;
}
export type InitializedEvent = TypedEvent<[BigNumber], InitializedEventObject>;
export type InitializedEventFilter = TypedEventFilter<InitializedEvent>;
export interface RulingEventObject {
    _arbitrator: string;
    _disputeID: BigNumber;
    _ruling: BigNumber;
}
export type RulingEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], RulingEventObject>;
export type RulingEventFilter = TypedEventFilter<RulingEvent>;
export interface UpgradedEventObject {
    newImplementation: string;
}
export type UpgradedEvent = TypedEvent<[string], UpgradedEventObject>;
export type UpgradedEventFilter = TypedEventFilter<UpgradedEvent>;
export interface HomeGateway extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: HomeGatewayInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        arbitrator(overrides?: CallOverrides): Promise<[string]>;
        changeArbitrator(_arbitrator: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeFeeToken(_feeToken: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeForeignGateway(_foreignGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeVea(_veaInbox: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        disputeHashToHomeID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<[BigNumber]>;
        disputeHashtoID(arg0: BytesLike, overrides?: CallOverrides): Promise<[BigNumber]>;
        disputeHashtoRelayedData(arg0: BytesLike, overrides?: CallOverrides): Promise<[
            BigNumber,
            string
        ] & {
            arbitrationCost: BigNumber;
            relayer: string;
        }>;
        disputeIDtoHash(arg0: BigNumberish, overrides?: CallOverrides): Promise<[string]>;
        feeToken(overrides?: CallOverrides): Promise<[string]>;
        foreignChainID(overrides?: CallOverrides): Promise<[BigNumber]>;
        foreignGateway(overrides?: CallOverrides): Promise<[string]>;
        governor(overrides?: CallOverrides): Promise<[string]>;
        initialize(_governor: string, _arbitrator: string, _veaInbox: string, _foreignChainID: BigNumberish, _foreignGateway: string, _feeToken: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        proxiableUUID(overrides?: CallOverrides): Promise<[string]>;
        receiverGateway(overrides?: CallOverrides): Promise<[string]>;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes),uint256)"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, _feeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes))"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        veaInbox(overrides?: CallOverrides): Promise<[string]>;
    };
    arbitrator(overrides?: CallOverrides): Promise<string>;
    changeArbitrator(_arbitrator: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeFeeToken(_feeToken: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeForeignGateway(_foreignGateway: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeGovernor(_governor: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeVea(_veaInbox: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    disputeHashToHomeID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    disputeHashtoID(arg0: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    disputeHashtoRelayedData(arg0: BytesLike, overrides?: CallOverrides): Promise<[
        BigNumber,
        string
    ] & {
        arbitrationCost: BigNumber;
        relayer: string;
    }>;
    disputeIDtoHash(arg0: BigNumberish, overrides?: CallOverrides): Promise<string>;
    feeToken(overrides?: CallOverrides): Promise<string>;
    foreignChainID(overrides?: CallOverrides): Promise<BigNumber>;
    foreignGateway(overrides?: CallOverrides): Promise<string>;
    governor(overrides?: CallOverrides): Promise<string>;
    initialize(_governor: string, _arbitrator: string, _veaInbox: string, _foreignChainID: BigNumberish, _foreignGateway: string, _feeToken: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    proxiableUUID(overrides?: CallOverrides): Promise<string>;
    receiverGateway(overrides?: CallOverrides): Promise<string>;
    "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes),uint256)"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, _feeAmount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes))"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    veaInbox(overrides?: CallOverrides): Promise<string>;
    callStatic: {
        arbitrator(overrides?: CallOverrides): Promise<string>;
        changeArbitrator(_arbitrator: string, overrides?: CallOverrides): Promise<void>;
        changeFeeToken(_feeToken: string, overrides?: CallOverrides): Promise<void>;
        changeForeignGateway(_foreignGateway: string, overrides?: CallOverrides): Promise<void>;
        changeGovernor(_governor: string, overrides?: CallOverrides): Promise<void>;
        changeVea(_veaInbox: string, overrides?: CallOverrides): Promise<void>;
        disputeHashToHomeID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        disputeHashtoID(arg0: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        disputeHashtoRelayedData(arg0: BytesLike, overrides?: CallOverrides): Promise<[
            BigNumber,
            string
        ] & {
            arbitrationCost: BigNumber;
            relayer: string;
        }>;
        disputeIDtoHash(arg0: BigNumberish, overrides?: CallOverrides): Promise<string>;
        feeToken(overrides?: CallOverrides): Promise<string>;
        foreignChainID(overrides?: CallOverrides): Promise<BigNumber>;
        foreignGateway(overrides?: CallOverrides): Promise<string>;
        governor(overrides?: CallOverrides): Promise<string>;
        initialize(_governor: string, _arbitrator: string, _veaInbox: string, _foreignChainID: BigNumberish, _foreignGateway: string, _feeToken: string, overrides?: CallOverrides): Promise<void>;
        proxiableUUID(overrides?: CallOverrides): Promise<string>;
        receiverGateway(overrides?: CallOverrides): Promise<string>;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes),uint256)"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, _feeAmount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes))"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, overrides?: CallOverrides): Promise<void>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: CallOverrides): Promise<void>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: CallOverrides): Promise<void>;
        veaInbox(overrides?: CallOverrides): Promise<string>;
    };
    filters: {
        "CrossChainDisputeIncoming(address,uint256,address,uint256,uint256,uint256,uint256,string)"(_arbitrator?: null, _arbitrableChainId?: null, _arbitrable?: string | null, _arbitrableDisputeID?: BigNumberish | null, _arbitratorDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): CrossChainDisputeIncomingEventFilter;
        CrossChainDisputeIncoming(_arbitrator?: null, _arbitrableChainId?: null, _arbitrable?: string | null, _arbitrableDisputeID?: BigNumberish | null, _arbitratorDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): CrossChainDisputeIncomingEventFilter;
        "DisputeRequest(address,uint256,uint256,uint256,string)"(_arbitrator?: string | null, _arbitrableDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): DisputeRequestEventFilter;
        DisputeRequest(_arbitrator?: string | null, _arbitrableDisputeID?: BigNumberish | null, _externalDisputeID?: null, _templateId?: null, _templateUri?: null): DisputeRequestEventFilter;
        "Initialized(uint64)"(version?: null): InitializedEventFilter;
        Initialized(version?: null): InitializedEventFilter;
        "Ruling(address,uint256,uint256)"(_arbitrator?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        Ruling(_arbitrator?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        "Upgraded(address)"(newImplementation?: string | null): UpgradedEventFilter;
        Upgraded(newImplementation?: string | null): UpgradedEventFilter;
    };
    estimateGas: {
        arbitrator(overrides?: CallOverrides): Promise<BigNumber>;
        changeArbitrator(_arbitrator: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeFeeToken(_feeToken: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeForeignGateway(_foreignGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeVea(_veaInbox: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        disputeHashToHomeID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        disputeHashtoID(arg0: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        disputeHashtoRelayedData(arg0: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        disputeIDtoHash(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        feeToken(overrides?: CallOverrides): Promise<BigNumber>;
        foreignChainID(overrides?: CallOverrides): Promise<BigNumber>;
        foreignGateway(overrides?: CallOverrides): Promise<BigNumber>;
        governor(overrides?: CallOverrides): Promise<BigNumber>;
        initialize(_governor: string, _arbitrator: string, _veaInbox: string, _foreignChainID: BigNumberish, _foreignGateway: string, _feeToken: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        proxiableUUID(overrides?: CallOverrides): Promise<BigNumber>;
        receiverGateway(overrides?: CallOverrides): Promise<BigNumber>;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes),uint256)"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, _feeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes))"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        veaInbox(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        arbitrator(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        changeArbitrator(_arbitrator: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeFeeToken(_feeToken: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeForeignGateway(_foreignGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeVea(_veaInbox: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        disputeHashToHomeID(_disputeHash: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputeHashtoID(arg0: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputeHashtoRelayedData(arg0: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputeIDtoHash(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        feeToken(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        foreignChainID(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        foreignGateway(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        governor(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        initialize(_governor: string, _arbitrator: string, _veaInbox: string, _foreignChainID: BigNumberish, _foreignGateway: string, _feeToken: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        proxiableUUID(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        receiverGateway(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes),uint256)"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, _feeAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        "relayCreateDispute((bytes32,uint256,address,uint256,uint256,uint256,string,uint256,bytes))"(_params: IHomeGateway.RelayCreateDisputeParamsStruct, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        upgradeToAndCall(newImplementation: string, data: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        veaInbox(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
