import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../common";
export interface XKlerosLiquidV2Interface extends utils.Interface {
    functions: {
        "ALPHA_DIVISOR()": FunctionFragment;
        "DEFAULT_NB_OF_JURORS()": FunctionFragment;
        "MAX_STAKE_PATHS()": FunctionFragment;
        "NON_PAYABLE_AMOUNT()": FunctionFragment;
        "RN()": FunctionFragment;
        "RNBlock()": FunctionFragment;
        "RNGenerator()": FunctionFragment;
        "arbitrationCost(bytes,address)": FunctionFragment;
        "arbitrationCost(bytes)": FunctionFragment;
        "changeForeignGateway(address)": FunctionFragment;
        "changeGovernor(address)": FunctionFragment;
        "changeMaxDrawingTime(uint256)": FunctionFragment;
        "changeMinStakingTime(uint256)": FunctionFragment;
        "changePinakion(address)": FunctionFragment;
        "changeRNGenerator(address)": FunctionFragment;
        "changeSubcourtAlpha(uint96,uint256)": FunctionFragment;
        "changeSubcourtJurorFee(uint96,uint256)": FunctionFragment;
        "changeSubcourtJurorsForJump(uint96,uint256)": FunctionFragment;
        "changeSubcourtMinStake(uint96,uint256)": FunctionFragment;
        "changeSubcourtTimesPerPeriod(uint96,uint256[4])": FunctionFragment;
        "courts(uint256)": FunctionFragment;
        "createDispute(uint256,bytes)": FunctionFragment;
        "createDispute(uint256,bytes,address,uint256)": FunctionFragment;
        "createSubcourt(uint96,bool,uint256,uint256,uint256,uint256,uint256[4],uint256)": FunctionFragment;
        "currentRuling(uint256)": FunctionFragment;
        "delayedSetStakes(uint256)": FunctionFragment;
        "disputes(uint256)": FunctionFragment;
        "disputesRuling(uint256)": FunctionFragment;
        "disputesWithoutJurors()": FunctionFragment;
        "executeDelayedSetStakes(uint256)": FunctionFragment;
        "executeGovernorProposal(address,uint256,bytes)": FunctionFragment;
        "foreignGateway()": FunctionFragment;
        "getDispute(uint256)": FunctionFragment;
        "getJuror(address)": FunctionFragment;
        "getSubcourt(uint96)": FunctionFragment;
        "getVote(uint256,uint256,uint256)": FunctionFragment;
        "getVoteCounter(uint256,uint256)": FunctionFragment;
        "governor()": FunctionFragment;
        "initialize(address,address,address,uint256,uint256,bool,uint256[4],uint256[4],uint256,address)": FunctionFragment;
        "jurors(address)": FunctionFragment;
        "lastDelayedSetStake()": FunctionFragment;
        "lastPhaseChange()": FunctionFragment;
        "lockInsolventTransfers()": FunctionFragment;
        "maxDrawingTime()": FunctionFragment;
        "minStakingTime()": FunctionFragment;
        "nextDelayedSetStake()": FunctionFragment;
        "onApprove(address,address,uint256)": FunctionFragment;
        "onTransfer(address,address,uint256)": FunctionFragment;
        "phase()": FunctionFragment;
        "pinakion()": FunctionFragment;
        "proxyPayment(address)": FunctionFragment;
        "rule(uint256,uint256)": FunctionFragment;
        "setStake(uint96,uint128)": FunctionFragment;
        "stakeOf(address,uint96)": FunctionFragment;
        "totalDisputes()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "ALPHA_DIVISOR" | "DEFAULT_NB_OF_JURORS" | "MAX_STAKE_PATHS" | "NON_PAYABLE_AMOUNT" | "RN" | "RNBlock" | "RNGenerator" | "arbitrationCost(bytes,address)" | "arbitrationCost(bytes)" | "changeForeignGateway" | "changeGovernor" | "changeMaxDrawingTime" | "changeMinStakingTime" | "changePinakion" | "changeRNGenerator" | "changeSubcourtAlpha" | "changeSubcourtJurorFee" | "changeSubcourtJurorsForJump" | "changeSubcourtMinStake" | "changeSubcourtTimesPerPeriod" | "courts" | "createDispute(uint256,bytes)" | "createDispute(uint256,bytes,address,uint256)" | "createSubcourt" | "currentRuling" | "delayedSetStakes" | "disputes" | "disputesRuling" | "disputesWithoutJurors" | "executeDelayedSetStakes" | "executeGovernorProposal" | "foreignGateway" | "getDispute" | "getJuror" | "getSubcourt" | "getVote" | "getVoteCounter" | "governor" | "initialize" | "jurors" | "lastDelayedSetStake" | "lastPhaseChange" | "lockInsolventTransfers" | "maxDrawingTime" | "minStakingTime" | "nextDelayedSetStake" | "onApprove" | "onTransfer" | "phase" | "pinakion" | "proxyPayment" | "rule" | "setStake" | "stakeOf" | "totalDisputes"): FunctionFragment;
    encodeFunctionData(functionFragment: "ALPHA_DIVISOR", values?: undefined): string;
    encodeFunctionData(functionFragment: "DEFAULT_NB_OF_JURORS", values?: undefined): string;
    encodeFunctionData(functionFragment: "MAX_STAKE_PATHS", values?: undefined): string;
    encodeFunctionData(functionFragment: "NON_PAYABLE_AMOUNT", values?: undefined): string;
    encodeFunctionData(functionFragment: "RN", values?: undefined): string;
    encodeFunctionData(functionFragment: "RNBlock", values?: undefined): string;
    encodeFunctionData(functionFragment: "RNGenerator", values?: undefined): string;
    encodeFunctionData(functionFragment: "arbitrationCost(bytes,address)", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "arbitrationCost(bytes)", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "changeForeignGateway", values: [string]): string;
    encodeFunctionData(functionFragment: "changeGovernor", values: [string]): string;
    encodeFunctionData(functionFragment: "changeMaxDrawingTime", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeMinStakingTime", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "changePinakion", values: [string]): string;
    encodeFunctionData(functionFragment: "changeRNGenerator", values: [string]): string;
    encodeFunctionData(functionFragment: "changeSubcourtAlpha", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeSubcourtJurorFee", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeSubcourtJurorsForJump", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeSubcourtMinStake", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "changeSubcourtTimesPerPeriod", values: [
        BigNumberish,
        [
            BigNumberish,
            BigNumberish,
            BigNumberish,
            BigNumberish
        ]
    ]): string;
    encodeFunctionData(functionFragment: "courts", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "createDispute(uint256,bytes)", values: [BigNumberish, BytesLike]): string;
    encodeFunctionData(functionFragment: "createDispute(uint256,bytes,address,uint256)", values: [BigNumberish, BytesLike, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "createSubcourt", values: [
        BigNumberish,
        boolean,
        BigNumberish,
        BigNumberish,
        BigNumberish,
        BigNumberish,
        [
            BigNumberish,
            BigNumberish,
            BigNumberish,
            BigNumberish
        ],
        BigNumberish
    ]): string;
    encodeFunctionData(functionFragment: "currentRuling", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "delayedSetStakes", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "disputes", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "disputesRuling", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "disputesWithoutJurors", values?: undefined): string;
    encodeFunctionData(functionFragment: "executeDelayedSetStakes", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "executeGovernorProposal", values: [string, BigNumberish, BytesLike]): string;
    encodeFunctionData(functionFragment: "foreignGateway", values?: undefined): string;
    encodeFunctionData(functionFragment: "getDispute", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getJuror", values: [string]): string;
    encodeFunctionData(functionFragment: "getSubcourt", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "getVote", values: [BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "getVoteCounter", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "governor", values?: undefined): string;
    encodeFunctionData(functionFragment: "initialize", values: [
        string,
        string,
        string,
        BigNumberish,
        BigNumberish,
        boolean,
        [
            BigNumberish,
            BigNumberish,
            BigNumberish,
            BigNumberish
        ],
        [
            BigNumberish,
            BigNumberish,
            BigNumberish,
            BigNumberish
        ],
        BigNumberish,
        string
    ]): string;
    encodeFunctionData(functionFragment: "jurors", values: [string]): string;
    encodeFunctionData(functionFragment: "lastDelayedSetStake", values?: undefined): string;
    encodeFunctionData(functionFragment: "lastPhaseChange", values?: undefined): string;
    encodeFunctionData(functionFragment: "lockInsolventTransfers", values?: undefined): string;
    encodeFunctionData(functionFragment: "maxDrawingTime", values?: undefined): string;
    encodeFunctionData(functionFragment: "minStakingTime", values?: undefined): string;
    encodeFunctionData(functionFragment: "nextDelayedSetStake", values?: undefined): string;
    encodeFunctionData(functionFragment: "onApprove", values: [string, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "onTransfer", values: [string, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "phase", values?: undefined): string;
    encodeFunctionData(functionFragment: "pinakion", values?: undefined): string;
    encodeFunctionData(functionFragment: "proxyPayment", values: [string]): string;
    encodeFunctionData(functionFragment: "rule", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "setStake", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "stakeOf", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "totalDisputes", values?: undefined): string;
    decodeFunctionResult(functionFragment: "ALPHA_DIVISOR", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "DEFAULT_NB_OF_JURORS", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "MAX_STAKE_PATHS", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "NON_PAYABLE_AMOUNT", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "RN", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "RNBlock", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "RNGenerator", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arbitrationCost(bytes,address)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arbitrationCost(bytes)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeForeignGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeGovernor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeMaxDrawingTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeMinStakingTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changePinakion", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeRNGenerator", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeSubcourtAlpha", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeSubcourtJurorFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeSubcourtJurorsForJump", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeSubcourtMinStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "changeSubcourtTimesPerPeriod", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "courts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDispute(uint256,bytes)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createDispute(uint256,bytes,address,uint256)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "createSubcourt", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "currentRuling", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "delayedSetStakes", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputes", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputesRuling", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "disputesWithoutJurors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "executeDelayedSetStakes", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "executeGovernorProposal", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "foreignGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getDispute", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getJuror", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getSubcourt", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getVote", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getVoteCounter", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "governor", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "initialize", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "jurors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lastDelayedSetStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lastPhaseChange", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lockInsolventTransfers", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "maxDrawingTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "minStakingTime", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "nextDelayedSetStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "onApprove", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "onTransfer", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "phase", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "pinakion", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "proxyPayment", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "rule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setStake", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "stakeOf", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "totalDisputes", data: BytesLike): Result;
    events: {
        "AcceptedFeeToken(address,bool)": EventFragment;
        "DisputeCreation(uint256,address)": EventFragment;
        "Draw(address,uint256,uint256,uint256)": EventFragment;
        "Initialized(uint64)": EventFragment;
        "NewCurrencyRate(address,uint64,uint8)": EventFragment;
        "NewPeriod(uint256,uint8)": EventFragment;
        "NewPhase(uint8)": EventFragment;
        "Ruling(address,uint256,uint256)": EventFragment;
        "StakeSet(address,uint256,uint128,uint256)": EventFragment;
        "TokenAndETHShift(address,uint256,int256,int256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "AcceptedFeeToken"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "DisputeCreation"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Draw"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Initialized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "NewCurrencyRate"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "NewPeriod"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "NewPhase"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Ruling"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "StakeSet"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "TokenAndETHShift"): EventFragment;
}
export interface AcceptedFeeTokenEventObject {
    _token: string;
    _accepted: boolean;
}
export type AcceptedFeeTokenEvent = TypedEvent<[
    string,
    boolean
], AcceptedFeeTokenEventObject>;
export type AcceptedFeeTokenEventFilter = TypedEventFilter<AcceptedFeeTokenEvent>;
export interface DisputeCreationEventObject {
    _disputeID: BigNumber;
    _arbitrable: string;
}
export type DisputeCreationEvent = TypedEvent<[
    BigNumber,
    string
], DisputeCreationEventObject>;
export type DisputeCreationEventFilter = TypedEventFilter<DisputeCreationEvent>;
export interface DrawEventObject {
    _address: string;
    _disputeID: BigNumber;
    _appeal: BigNumber;
    _voteID: BigNumber;
}
export type DrawEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber
], DrawEventObject>;
export type DrawEventFilter = TypedEventFilter<DrawEvent>;
export interface InitializedEventObject {
    version: BigNumber;
}
export type InitializedEvent = TypedEvent<[BigNumber], InitializedEventObject>;
export type InitializedEventFilter = TypedEventFilter<InitializedEvent>;
export interface NewCurrencyRateEventObject {
    _feeToken: string;
    _rateInEth: BigNumber;
    _rateDecimals: number;
}
export type NewCurrencyRateEvent = TypedEvent<[
    string,
    BigNumber,
    number
], NewCurrencyRateEventObject>;
export type NewCurrencyRateEventFilter = TypedEventFilter<NewCurrencyRateEvent>;
export interface NewPeriodEventObject {
    _disputeID: BigNumber;
    _period: number;
}
export type NewPeriodEvent = TypedEvent<[
    BigNumber,
    number
], NewPeriodEventObject>;
export type NewPeriodEventFilter = TypedEventFilter<NewPeriodEvent>;
export interface NewPhaseEventObject {
    _phase: number;
}
export type NewPhaseEvent = TypedEvent<[number], NewPhaseEventObject>;
export type NewPhaseEventFilter = TypedEventFilter<NewPhaseEvent>;
export interface RulingEventObject {
    _arbitrable: string;
    _disputeID: BigNumber;
    _ruling: BigNumber;
}
export type RulingEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], RulingEventObject>;
export type RulingEventFilter = TypedEventFilter<RulingEvent>;
export interface StakeSetEventObject {
    _address: string;
    _subcourtID: BigNumber;
    _stake: BigNumber;
    _newTotalStake: BigNumber;
}
export type StakeSetEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber
], StakeSetEventObject>;
export type StakeSetEventFilter = TypedEventFilter<StakeSetEvent>;
export interface TokenAndETHShiftEventObject {
    _address: string;
    _disputeID: BigNumber;
    _tokenAmount: BigNumber;
    _ETHAmount: BigNumber;
}
export type TokenAndETHShiftEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber
], TokenAndETHShiftEventObject>;
export type TokenAndETHShiftEventFilter = TypedEventFilter<TokenAndETHShiftEvent>;
export interface XKlerosLiquidV2 extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: XKlerosLiquidV2Interface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        ALPHA_DIVISOR(overrides?: CallOverrides): Promise<[BigNumber]>;
        DEFAULT_NB_OF_JURORS(overrides?: CallOverrides): Promise<[BigNumber]>;
        MAX_STAKE_PATHS(overrides?: CallOverrides): Promise<[BigNumber]>;
        NON_PAYABLE_AMOUNT(overrides?: CallOverrides): Promise<[BigNumber]>;
        RN(overrides?: CallOverrides): Promise<[BigNumber]>;
        RNBlock(overrides?: CallOverrides): Promise<[BigNumber]>;
        RNGenerator(overrides?: CallOverrides): Promise<[string]>;
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<[BigNumber] & {
            cost: BigNumber;
        }>;
        changeForeignGateway(_foreignGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changePinakion(_pinakion: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeRNGenerator(_RNGenerator: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeSubcourtAlpha(_subcourtID: BigNumberish, _alpha: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeSubcourtJurorFee(_subcourtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeSubcourtJurorsForJump(_subcourtID: BigNumberish, _jurorsForCourtJump: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeSubcourtMinStake(_subcourtID: BigNumberish, _minStake: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        changeSubcourtTimesPerPeriod(_subcourtID: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        courts(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            parent: BigNumber;
            hiddenVotes: boolean;
            minStake: BigNumber;
            alpha: BigNumber;
            feeForJuror: BigNumber;
            jurorsForCourtJump: BigNumber;
        }>;
        "createDispute(uint256,bytes)"(_numberOfChoices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        createSubcourt(_parent: BigNumberish, _hiddenVotes: boolean, _minStake: BigNumberish, _alpha: BigNumberish, _feeForJuror: BigNumberish, _jurorsForCourtJump: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        currentRuling(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            boolean
        ] & {
            ruling: BigNumber;
            tied: boolean;
        }>;
        delayedSetStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            BigNumber,
            BigNumber
        ] & {
            account: string;
            subcourtID: BigNumber;
            stake: BigNumber;
        }>;
        disputes(disputeId: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            string,
            BigNumber,
            number,
            BigNumber,
            BigNumber,
            BigNumber,
            boolean
        ] & {
            subcourtID: BigNumber;
            arbitrated: string;
            numberOfChoices: BigNumber;
            period: number;
            lastPeriodChange: BigNumber;
            drawsInRound: BigNumber;
            commitsInRound: BigNumber;
            ruled: boolean;
        }>;
        disputesRuling(disputeId: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber] & {
            rulingId: BigNumber;
        }>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<[BigNumber]>;
        executeDelayedSetStakes(_iterations: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        foreignGateway(overrides?: CallOverrides): Promise<[string]>;
        getDispute(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber[],
            BigNumber[],
            BigNumber[],
            BigNumber[],
            BigNumber[],
            BigNumber[]
        ] & {
            votesLengths: BigNumber[];
            tokensAtStakePerJuror: BigNumber[];
            totalFeesForJurors: BigNumber[];
            votesInEachRound: BigNumber[];
            repartitionsInEachRound: BigNumber[];
            penaltiesInEachRound: BigNumber[];
        }>;
        getJuror(_account: string, overrides?: CallOverrides): Promise<[BigNumber[]] & {
            subcourtIDs: BigNumber[];
        }>;
        getSubcourt(_subcourtID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber[],
            [BigNumber, BigNumber, BigNumber, BigNumber]
        ] & {
            children: BigNumber[];
            timesPerPeriod: [BigNumber, BigNumber, BigNumber, BigNumber];
        }>;
        getVote(_disputeID: BigNumberish, _appeal: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            string,
            BigNumber,
            boolean
        ] & {
            account: string;
            commit: string;
            choice: BigNumber;
            voted: boolean;
        }>;
        getVoteCounter(_disputeID: BigNumberish, _appeal: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber[],
            boolean
        ] & {
            winningChoice: BigNumber;
            counts: BigNumber[];
            tied: boolean;
        }>;
        governor(overrides?: CallOverrides): Promise<[string]>;
        initialize(_governor: string, _pinakion: string, _RNGenerator: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _hiddenVotes: boolean, _courtParameters: [
            BigNumberish,
            BigNumberish,
            BigNumberish,
            BigNumberish
        ], _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, _foreignGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        jurors(account: string, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber
        ] & {
            stakedTokens: BigNumber;
            lockedTokens: BigNumber;
        }>;
        lastDelayedSetStake(overrides?: CallOverrides): Promise<[BigNumber]>;
        lastPhaseChange(overrides?: CallOverrides): Promise<[BigNumber]>;
        lockInsolventTransfers(overrides?: CallOverrides): Promise<[boolean]>;
        maxDrawingTime(overrides?: CallOverrides): Promise<[BigNumber]>;
        minStakingTime(overrides?: CallOverrides): Promise<[BigNumber]>;
        nextDelayedSetStake(overrides?: CallOverrides): Promise<[BigNumber]>;
        onApprove(_owner: string, _spender: string, _amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        onTransfer(_from: string, _to: string, _amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        phase(overrides?: CallOverrides): Promise<[number]>;
        pinakion(overrides?: CallOverrides): Promise<[string]>;
        proxyPayment(_owner: string, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setStake(_subcourtID: BigNumberish, _stake: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        stakeOf(_account: string, _subcourtID: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber] & {
            stake: BigNumber;
        }>;
        totalDisputes(overrides?: CallOverrides): Promise<[BigNumber]>;
    };
    ALPHA_DIVISOR(overrides?: CallOverrides): Promise<BigNumber>;
    DEFAULT_NB_OF_JURORS(overrides?: CallOverrides): Promise<BigNumber>;
    MAX_STAKE_PATHS(overrides?: CallOverrides): Promise<BigNumber>;
    NON_PAYABLE_AMOUNT(overrides?: CallOverrides): Promise<BigNumber>;
    RN(overrides?: CallOverrides): Promise<BigNumber>;
    RNBlock(overrides?: CallOverrides): Promise<BigNumber>;
    RNGenerator(overrides?: CallOverrides): Promise<string>;
    "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
    "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    changeForeignGateway(_foreignGateway: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeGovernor(_governor: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changePinakion(_pinakion: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeRNGenerator(_RNGenerator: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeSubcourtAlpha(_subcourtID: BigNumberish, _alpha: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeSubcourtJurorFee(_subcourtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeSubcourtJurorsForJump(_subcourtID: BigNumberish, _jurorsForCourtJump: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeSubcourtMinStake(_subcourtID: BigNumberish, _minStake: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    changeSubcourtTimesPerPeriod(_subcourtID: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    courts(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        boolean,
        BigNumber,
        BigNumber,
        BigNumber,
        BigNumber
    ] & {
        parent: BigNumber;
        hiddenVotes: boolean;
        minStake: BigNumber;
        alpha: BigNumber;
        feeForJuror: BigNumber;
        jurorsForCourtJump: BigNumber;
    }>;
    "createDispute(uint256,bytes)"(_numberOfChoices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    createSubcourt(_parent: BigNumberish, _hiddenVotes: boolean, _minStake: BigNumberish, _alpha: BigNumberish, _feeForJuror: BigNumberish, _jurorsForCourtJump: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    currentRuling(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        boolean,
        boolean
    ] & {
        ruling: BigNumber;
        tied: boolean;
    }>;
    delayedSetStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
        string,
        BigNumber,
        BigNumber
    ] & {
        account: string;
        subcourtID: BigNumber;
        stake: BigNumber;
    }>;
    disputes(disputeId: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        string,
        BigNumber,
        number,
        BigNumber,
        BigNumber,
        BigNumber,
        boolean
    ] & {
        subcourtID: BigNumber;
        arbitrated: string;
        numberOfChoices: BigNumber;
        period: number;
        lastPeriodChange: BigNumber;
        drawsInRound: BigNumber;
        commitsInRound: BigNumber;
        ruled: boolean;
    }>;
    disputesRuling(disputeId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    disputesWithoutJurors(overrides?: CallOverrides): Promise<BigNumber>;
    executeDelayedSetStakes(_iterations: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    foreignGateway(overrides?: CallOverrides): Promise<string>;
    getDispute(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber[],
        BigNumber[],
        BigNumber[],
        BigNumber[],
        BigNumber[],
        BigNumber[]
    ] & {
        votesLengths: BigNumber[];
        tokensAtStakePerJuror: BigNumber[];
        totalFeesForJurors: BigNumber[];
        votesInEachRound: BigNumber[];
        repartitionsInEachRound: BigNumber[];
        penaltiesInEachRound: BigNumber[];
    }>;
    getJuror(_account: string, overrides?: CallOverrides): Promise<BigNumber[]>;
    getSubcourt(_subcourtID: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber[],
        [BigNumber, BigNumber, BigNumber, BigNumber]
    ] & {
        children: BigNumber[];
        timesPerPeriod: [BigNumber, BigNumber, BigNumber, BigNumber];
    }>;
    getVote(_disputeID: BigNumberish, _appeal: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[
        string,
        string,
        BigNumber,
        boolean
    ] & {
        account: string;
        commit: string;
        choice: BigNumber;
        voted: boolean;
    }>;
    getVoteCounter(_disputeID: BigNumberish, _appeal: BigNumberish, overrides?: CallOverrides): Promise<[
        BigNumber,
        BigNumber[],
        boolean
    ] & {
        winningChoice: BigNumber;
        counts: BigNumber[];
        tied: boolean;
    }>;
    governor(overrides?: CallOverrides): Promise<string>;
    initialize(_governor: string, _pinakion: string, _RNGenerator: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _hiddenVotes: boolean, _courtParameters: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, _foreignGateway: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    jurors(account: string, overrides?: CallOverrides): Promise<[
        BigNumber,
        BigNumber
    ] & {
        stakedTokens: BigNumber;
        lockedTokens: BigNumber;
    }>;
    lastDelayedSetStake(overrides?: CallOverrides): Promise<BigNumber>;
    lastPhaseChange(overrides?: CallOverrides): Promise<BigNumber>;
    lockInsolventTransfers(overrides?: CallOverrides): Promise<boolean>;
    maxDrawingTime(overrides?: CallOverrides): Promise<BigNumber>;
    minStakingTime(overrides?: CallOverrides): Promise<BigNumber>;
    nextDelayedSetStake(overrides?: CallOverrides): Promise<BigNumber>;
    onApprove(_owner: string, _spender: string, _amount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    onTransfer(_from: string, _to: string, _amount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    phase(overrides?: CallOverrides): Promise<number>;
    pinakion(overrides?: CallOverrides): Promise<string>;
    proxyPayment(_owner: string, overrides?: PayableOverrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setStake(_subcourtID: BigNumberish, _stake: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    stakeOf(_account: string, _subcourtID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    totalDisputes(overrides?: CallOverrides): Promise<BigNumber>;
    callStatic: {
        ALPHA_DIVISOR(overrides?: CallOverrides): Promise<BigNumber>;
        DEFAULT_NB_OF_JURORS(overrides?: CallOverrides): Promise<BigNumber>;
        MAX_STAKE_PATHS(overrides?: CallOverrides): Promise<BigNumber>;
        NON_PAYABLE_AMOUNT(overrides?: CallOverrides): Promise<BigNumber>;
        RN(overrides?: CallOverrides): Promise<BigNumber>;
        RNBlock(overrides?: CallOverrides): Promise<BigNumber>;
        RNGenerator(overrides?: CallOverrides): Promise<string>;
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
        "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        changeForeignGateway(_foreignGateway: string, overrides?: CallOverrides): Promise<void>;
        changeGovernor(_governor: string, overrides?: CallOverrides): Promise<void>;
        changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changePinakion(_pinakion: string, overrides?: CallOverrides): Promise<void>;
        changeRNGenerator(_RNGenerator: string, overrides?: CallOverrides): Promise<void>;
        changeSubcourtAlpha(_subcourtID: BigNumberish, _alpha: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeSubcourtJurorFee(_subcourtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeSubcourtJurorsForJump(_subcourtID: BigNumberish, _jurorsForCourtJump: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeSubcourtMinStake(_subcourtID: BigNumberish, _minStake: BigNumberish, overrides?: CallOverrides): Promise<void>;
        changeSubcourtTimesPerPeriod(_subcourtID: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], overrides?: CallOverrides): Promise<void>;
        courts(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            BigNumber,
            BigNumber,
            BigNumber,
            BigNumber
        ] & {
            parent: BigNumber;
            hiddenVotes: boolean;
            minStake: BigNumber;
            alpha: BigNumber;
            feeForJuror: BigNumber;
            jurorsForCourtJump: BigNumber;
        }>;
        "createDispute(uint256,bytes)"(_numberOfChoices: BigNumberish, _extraData: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        createSubcourt(_parent: BigNumberish, _hiddenVotes: boolean, _minStake: BigNumberish, _alpha: BigNumberish, _feeForJuror: BigNumberish, _jurorsForCourtJump: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, overrides?: CallOverrides): Promise<void>;
        currentRuling(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            boolean,
            boolean
        ] & {
            ruling: BigNumber;
            tied: boolean;
        }>;
        delayedSetStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            BigNumber,
            BigNumber
        ] & {
            account: string;
            subcourtID: BigNumber;
            stake: BigNumber;
        }>;
        disputes(disputeId: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            string,
            BigNumber,
            number,
            BigNumber,
            BigNumber,
            BigNumber,
            boolean
        ] & {
            subcourtID: BigNumber;
            arbitrated: string;
            numberOfChoices: BigNumber;
            period: number;
            lastPeriodChange: BigNumber;
            drawsInRound: BigNumber;
            commitsInRound: BigNumber;
            ruled: boolean;
        }>;
        disputesRuling(disputeId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<BigNumber>;
        executeDelayedSetStakes(_iterations: BigNumberish, overrides?: CallOverrides): Promise<void>;
        executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: CallOverrides): Promise<void>;
        foreignGateway(overrides?: CallOverrides): Promise<string>;
        getDispute(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber[],
            BigNumber[],
            BigNumber[],
            BigNumber[],
            BigNumber[],
            BigNumber[]
        ] & {
            votesLengths: BigNumber[];
            tokensAtStakePerJuror: BigNumber[];
            totalFeesForJurors: BigNumber[];
            votesInEachRound: BigNumber[];
            repartitionsInEachRound: BigNumber[];
            penaltiesInEachRound: BigNumber[];
        }>;
        getJuror(_account: string, overrides?: CallOverrides): Promise<BigNumber[]>;
        getSubcourt(_subcourtID: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber[],
            [BigNumber, BigNumber, BigNumber, BigNumber]
        ] & {
            children: BigNumber[];
            timesPerPeriod: [BigNumber, BigNumber, BigNumber, BigNumber];
        }>;
        getVote(_disputeID: BigNumberish, _appeal: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<[
            string,
            string,
            BigNumber,
            boolean
        ] & {
            account: string;
            commit: string;
            choice: BigNumber;
            voted: boolean;
        }>;
        getVoteCounter(_disputeID: BigNumberish, _appeal: BigNumberish, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber[],
            boolean
        ] & {
            winningChoice: BigNumber;
            counts: BigNumber[];
            tied: boolean;
        }>;
        governor(overrides?: CallOverrides): Promise<string>;
        initialize(_governor: string, _pinakion: string, _RNGenerator: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _hiddenVotes: boolean, _courtParameters: [
            BigNumberish,
            BigNumberish,
            BigNumberish,
            BigNumberish
        ], _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, _foreignGateway: string, overrides?: CallOverrides): Promise<void>;
        jurors(account: string, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber
        ] & {
            stakedTokens: BigNumber;
            lockedTokens: BigNumber;
        }>;
        lastDelayedSetStake(overrides?: CallOverrides): Promise<BigNumber>;
        lastPhaseChange(overrides?: CallOverrides): Promise<BigNumber>;
        lockInsolventTransfers(overrides?: CallOverrides): Promise<boolean>;
        maxDrawingTime(overrides?: CallOverrides): Promise<BigNumber>;
        minStakingTime(overrides?: CallOverrides): Promise<BigNumber>;
        nextDelayedSetStake(overrides?: CallOverrides): Promise<BigNumber>;
        onApprove(_owner: string, _spender: string, _amount: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        onTransfer(_from: string, _to: string, _amount: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        phase(overrides?: CallOverrides): Promise<number>;
        pinakion(overrides?: CallOverrides): Promise<string>;
        proxyPayment(_owner: string, overrides?: CallOverrides): Promise<boolean>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setStake(_subcourtID: BigNumberish, _stake: BigNumberish, overrides?: CallOverrides): Promise<void>;
        stakeOf(_account: string, _subcourtID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        totalDisputes(overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {
        "AcceptedFeeToken(address,bool)"(_token?: string | null, _accepted?: boolean | null): AcceptedFeeTokenEventFilter;
        AcceptedFeeToken(_token?: string | null, _accepted?: boolean | null): AcceptedFeeTokenEventFilter;
        "DisputeCreation(uint256,address)"(_disputeID?: BigNumberish | null, _arbitrable?: string | null): DisputeCreationEventFilter;
        DisputeCreation(_disputeID?: BigNumberish | null, _arbitrable?: string | null): DisputeCreationEventFilter;
        "Draw(address,uint256,uint256,uint256)"(_address?: string | null, _disputeID?: BigNumberish | null, _appeal?: null, _voteID?: null): DrawEventFilter;
        Draw(_address?: string | null, _disputeID?: BigNumberish | null, _appeal?: null, _voteID?: null): DrawEventFilter;
        "Initialized(uint64)"(version?: null): InitializedEventFilter;
        Initialized(version?: null): InitializedEventFilter;
        "NewCurrencyRate(address,uint64,uint8)"(_feeToken?: string | null, _rateInEth?: null, _rateDecimals?: null): NewCurrencyRateEventFilter;
        NewCurrencyRate(_feeToken?: string | null, _rateInEth?: null, _rateDecimals?: null): NewCurrencyRateEventFilter;
        "NewPeriod(uint256,uint8)"(_disputeID?: BigNumberish | null, _period?: null): NewPeriodEventFilter;
        NewPeriod(_disputeID?: BigNumberish | null, _period?: null): NewPeriodEventFilter;
        "NewPhase(uint8)"(_phase?: null): NewPhaseEventFilter;
        NewPhase(_phase?: null): NewPhaseEventFilter;
        "Ruling(address,uint256,uint256)"(_arbitrable?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        Ruling(_arbitrable?: string | null, _disputeID?: BigNumberish | null, _ruling?: null): RulingEventFilter;
        "StakeSet(address,uint256,uint128,uint256)"(_address?: string | null, _subcourtID?: null, _stake?: null, _newTotalStake?: null): StakeSetEventFilter;
        StakeSet(_address?: string | null, _subcourtID?: null, _stake?: null, _newTotalStake?: null): StakeSetEventFilter;
        "TokenAndETHShift(address,uint256,int256,int256)"(_address?: string | null, _disputeID?: BigNumberish | null, _tokenAmount?: null, _ETHAmount?: null): TokenAndETHShiftEventFilter;
        TokenAndETHShift(_address?: string | null, _disputeID?: BigNumberish | null, _tokenAmount?: null, _ETHAmount?: null): TokenAndETHShiftEventFilter;
    };
    estimateGas: {
        ALPHA_DIVISOR(overrides?: CallOverrides): Promise<BigNumber>;
        DEFAULT_NB_OF_JURORS(overrides?: CallOverrides): Promise<BigNumber>;
        MAX_STAKE_PATHS(overrides?: CallOverrides): Promise<BigNumber>;
        NON_PAYABLE_AMOUNT(overrides?: CallOverrides): Promise<BigNumber>;
        RN(overrides?: CallOverrides): Promise<BigNumber>;
        RNBlock(overrides?: CallOverrides): Promise<BigNumber>;
        RNGenerator(overrides?: CallOverrides): Promise<BigNumber>;
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
        "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        changeForeignGateway(_foreignGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changePinakion(_pinakion: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeRNGenerator(_RNGenerator: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeSubcourtAlpha(_subcourtID: BigNumberish, _alpha: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeSubcourtJurorFee(_subcourtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeSubcourtJurorsForJump(_subcourtID: BigNumberish, _jurorsForCourtJump: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeSubcourtMinStake(_subcourtID: BigNumberish, _minStake: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        changeSubcourtTimesPerPeriod(_subcourtID: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        courts(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        "createDispute(uint256,bytes)"(_numberOfChoices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        createSubcourt(_parent: BigNumberish, _hiddenVotes: boolean, _minStake: BigNumberish, _alpha: BigNumberish, _feeForJuror: BigNumberish, _jurorsForCourtJump: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        currentRuling(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        delayedSetStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        disputes(disputeId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        disputesRuling(disputeId: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<BigNumber>;
        executeDelayedSetStakes(_iterations: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        foreignGateway(overrides?: CallOverrides): Promise<BigNumber>;
        getDispute(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getJuror(_account: string, overrides?: CallOverrides): Promise<BigNumber>;
        getSubcourt(_subcourtID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getVote(_disputeID: BigNumberish, _appeal: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        getVoteCounter(_disputeID: BigNumberish, _appeal: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        governor(overrides?: CallOverrides): Promise<BigNumber>;
        initialize(_governor: string, _pinakion: string, _RNGenerator: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _hiddenVotes: boolean, _courtParameters: [
            BigNumberish,
            BigNumberish,
            BigNumberish,
            BigNumberish
        ], _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, _foreignGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        jurors(account: string, overrides?: CallOverrides): Promise<BigNumber>;
        lastDelayedSetStake(overrides?: CallOverrides): Promise<BigNumber>;
        lastPhaseChange(overrides?: CallOverrides): Promise<BigNumber>;
        lockInsolventTransfers(overrides?: CallOverrides): Promise<BigNumber>;
        maxDrawingTime(overrides?: CallOverrides): Promise<BigNumber>;
        minStakingTime(overrides?: CallOverrides): Promise<BigNumber>;
        nextDelayedSetStake(overrides?: CallOverrides): Promise<BigNumber>;
        onApprove(_owner: string, _spender: string, _amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        onTransfer(_from: string, _to: string, _amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        phase(overrides?: CallOverrides): Promise<BigNumber>;
        pinakion(overrides?: CallOverrides): Promise<BigNumber>;
        proxyPayment(_owner: string, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<BigNumber>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setStake(_subcourtID: BigNumberish, _stake: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        stakeOf(_account: string, _subcourtID: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        totalDisputes(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        ALPHA_DIVISOR(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        DEFAULT_NB_OF_JURORS(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        MAX_STAKE_PATHS(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        NON_PAYABLE_AMOUNT(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        RN(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        RNBlock(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        RNGenerator(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "arbitrationCost(bytes,address)"(arg0: BytesLike, arg1: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "arbitrationCost(bytes)"(_extraData: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        changeForeignGateway(_foreignGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeGovernor(_governor: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeMaxDrawingTime(_maxDrawingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeMinStakingTime(_minStakingTime: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changePinakion(_pinakion: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeRNGenerator(_RNGenerator: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeSubcourtAlpha(_subcourtID: BigNumberish, _alpha: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeSubcourtJurorFee(_subcourtID: BigNumberish, _feeForJuror: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeSubcourtJurorsForJump(_subcourtID: BigNumberish, _jurorsForCourtJump: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeSubcourtMinStake(_subcourtID: BigNumberish, _minStake: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        changeSubcourtTimesPerPeriod(_subcourtID: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        courts(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "createDispute(uint256,bytes)"(_numberOfChoices: BigNumberish, _extraData: BytesLike, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        "createDispute(uint256,bytes,address,uint256)"(arg0: BigNumberish, arg1: BytesLike, arg2: string, arg3: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        createSubcourt(_parent: BigNumberish, _hiddenVotes: boolean, _minStake: BigNumberish, _alpha: BigNumberish, _feeForJuror: BigNumberish, _jurorsForCourtJump: BigNumberish, _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        currentRuling(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        delayedSetStakes(arg0: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputes(disputeId: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputesRuling(disputeId: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        disputesWithoutJurors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        executeDelayedSetStakes(_iterations: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        executeGovernorProposal(_destination: string, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        foreignGateway(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getDispute(_disputeID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getJuror(_account: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getSubcourt(_subcourtID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getVote(_disputeID: BigNumberish, _appeal: BigNumberish, _voteID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getVoteCounter(_disputeID: BigNumberish, _appeal: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        governor(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        initialize(_governor: string, _pinakion: string, _RNGenerator: string, _minStakingTime: BigNumberish, _maxDrawingTime: BigNumberish, _hiddenVotes: boolean, _courtParameters: [
            BigNumberish,
            BigNumberish,
            BigNumberish,
            BigNumberish
        ], _timesPerPeriod: [BigNumberish, BigNumberish, BigNumberish, BigNumberish], _sortitionSumTreeK: BigNumberish, _foreignGateway: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        jurors(account: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lastDelayedSetStake(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lastPhaseChange(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lockInsolventTransfers(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        maxDrawingTime(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        minStakingTime(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        nextDelayedSetStake(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        onApprove(_owner: string, _spender: string, _amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        onTransfer(_from: string, _to: string, _amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        phase(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        pinakion(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        proxyPayment(_owner: string, overrides?: PayableOverrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        rule(_disputeID: BigNumberish, _ruling: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setStake(_subcourtID: BigNumberish, _stake: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        stakeOf(_account: string, _subcourtID: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        totalDisputes(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
