import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../../common";
export interface IRandomAuRaInterface extends utils.Interface {
    functions: {
        "collectRoundLength()": FunctionFragment;
        "currentSeed()": FunctionFragment;
        "isCommitPhase()": FunctionFragment;
        "nextCommitPhaseStartBlock()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "collectRoundLength" | "currentSeed" | "isCommitPhase" | "nextCommitPhaseStartBlock"): FunctionFragment;
    encodeFunctionData(functionFragment: "collectRoundLength", values?: undefined): string;
    encodeFunctionData(functionFragment: "currentSeed", values?: undefined): string;
    encodeFunctionData(functionFragment: "isCommitPhase", values?: undefined): string;
    encodeFunctionData(functionFragment: "nextCommitPhaseStartBlock", values?: undefined): string;
    decodeFunctionResult(functionFragment: "collectRoundLength", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "currentSeed", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isCommitPhase", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "nextCommitPhaseStartBlock", data: BytesLike): Result;
    events: {};
}
export interface IRandomAuRa extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IRandomAuRaInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        collectRoundLength(overrides?: CallOverrides): Promise<[BigNumber]>;
        currentSeed(overrides?: CallOverrides): Promise<[BigNumber]>;
        isCommitPhase(overrides?: CallOverrides): Promise<[boolean]>;
        nextCommitPhaseStartBlock(overrides?: CallOverrides): Promise<[BigNumber]>;
    };
    collectRoundLength(overrides?: CallOverrides): Promise<BigNumber>;
    currentSeed(overrides?: CallOverrides): Promise<BigNumber>;
    isCommitPhase(overrides?: CallOverrides): Promise<boolean>;
    nextCommitPhaseStartBlock(overrides?: CallOverrides): Promise<BigNumber>;
    callStatic: {
        collectRoundLength(overrides?: CallOverrides): Promise<BigNumber>;
        currentSeed(overrides?: CallOverrides): Promise<BigNumber>;
        isCommitPhase(overrides?: CallOverrides): Promise<boolean>;
        nextCommitPhaseStartBlock(overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {};
    estimateGas: {
        collectRoundLength(overrides?: CallOverrides): Promise<BigNumber>;
        currentSeed(overrides?: CallOverrides): Promise<BigNumber>;
        isCommitPhase(overrides?: CallOverrides): Promise<BigNumber>;
        nextCommitPhaseStartBlock(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        collectRoundLength(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        currentSeed(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isCommitPhase(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        nextCommitPhaseStartBlock(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
