import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../../common";
export interface IPinakionInterface extends utils.Interface {
    functions: {
        "balanceOf(address)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "balanceOf"): FunctionFragment;
    encodeFunctionData(functionFragment: "balanceOf", values: [string]): string;
    decodeFunctionResult(functionFragment: "balanceOf", data: BytesLike): Result;
    events: {};
}
export interface IPinakion extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IPinakionInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        balanceOf(who: string, overrides?: CallOverrides): Promise<[BigNumber]>;
    };
    balanceOf(who: string, overrides?: CallOverrides): Promise<BigNumber>;
    callStatic: {
        balanceOf(who: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {};
    estimateGas: {
        balanceOf(who: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        balanceOf(who: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
