"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    name: "arbitrum",
    chainId: "42161",
    contracts: {
        DAI: {
            address: "0xDA10009cBd5D07dd0CeCc66161FC93D7c9000da1",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "Approval",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "usr",
                            type: "address",
                        },
                    ],
                    name: "Deny",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "usr",
                            type: "address",
                        },
                    ],
                    name: "Rely",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "Transfer",
                    type: "event",
                },
                {
                    inputs: [],
                    name: "DOMAIN_SEPARATOR",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "PERMIT_TYPEHASH",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "allowance",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "approve",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "balanceOf",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "burn",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "decimals",
                    outputs: [
                        {
                            internalType: "uint8",
                            name: "",
                            type: "uint8",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "subtractedValue",
                            type: "uint256",
                        },
                    ],
                    name: "decreaseAllowance",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "usr",
                            type: "address",
                        },
                    ],
                    name: "deny",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "deploymentChainId",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "addedValue",
                            type: "uint256",
                        },
                    ],
                    name: "increaseAllowance",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "mint",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "name",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "nonces",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "deadline",
                            type: "uint256",
                        },
                        {
                            internalType: "uint8",
                            name: "v",
                            type: "uint8",
                        },
                        {
                            internalType: "bytes32",
                            name: "r",
                            type: "bytes32",
                        },
                        {
                            internalType: "bytes32",
                            name: "s",
                            type: "bytes32",
                        },
                    ],
                    name: "permit",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "usr",
                            type: "address",
                        },
                    ],
                    name: "rely",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "symbol",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "totalSupply",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "transfer",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "transferFrom",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "version",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "wards",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
            ],
        },
        DisputeKitClassicNeo: {
            address: "0xb7c292cD9Fd3d20De84a71AE1caF054eEB6374A9",
            abi: [
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                    ],
                    name: "ChoiceFunded",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[]",
                            name: "_voteIDs",
                            type: "uint256[]",
                        },
                        {
                            indexed: false,
                            internalType: "bytes32",
                            name: "_commit",
                            type: "bytes32",
                        },
                    ],
                    name: "CommitCast",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_contributor",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "Contribution",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "DisputeCreation",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[]",
                            name: "_voteIDs",
                            type: "uint256[]",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_justification",
                            type: "string",
                        },
                    ],
                    name: "VoteCast",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_contributor",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "Withdrawal",
                    type: "event",
                },
                {
                    inputs: [],
                    name: "LOSER_APPEAL_PERIOD_MULTIPLIER",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "LOSER_STAKE_MULTIPLIER",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "ONE_BASIS_POINT",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "WINNER_STAKE_MULTIPLIER",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                    ],
                    name: "areCommitsAllCast",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                    ],
                    name: "areVotesAllCast",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256[]",
                            name: "_voteIDs",
                            type: "uint256[]",
                        },
                        {
                            internalType: "bytes32",
                            name: "_commit",
                            type: "bytes32",
                        },
                    ],
                    name: "castCommit",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256[]",
                            name: "_voteIDs",
                            type: "uint256[]",
                        },
                        {
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_salt",
                            type: "uint256",
                        },
                        {
                            internalType: "string",
                            name: "_justification",
                            type: "string",
                        },
                    ],
                    name: "castVote",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_core",
                            type: "address",
                        },
                    ],
                    name: "changeCore",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address payable",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "core",
                    outputs: [
                        {
                            internalType: "contract KlerosCore",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "coreDisputeIDToLocal",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                        {
                            internalType: "uint256",
                            name: "_nbVotes",
                            type: "uint256",
                        },
                    ],
                    name: "createDispute",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                    ],
                    name: "currentRuling",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "ruling",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "tied",
                            type: "bool",
                        },
                        {
                            internalType: "bool",
                            name: "overridden",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "disputes",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "jumped",
                            type: "bool",
                        },
                        {
                            internalType: "bytes",
                            name: "extraData",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_nonce",
                            type: "uint256",
                        },
                    ],
                    name: "draw",
                    outputs: [
                        {
                            internalType: "address",
                            name: "drawnAddress",
                            type: "address",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_destination",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    name: "executeGovernorProposal",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                    ],
                    name: "fundAppeal",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                    ],
                    name: "getCoherentCount",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_voteID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "getDegreeOfCoherence",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                    ],
                    name: "getFundedChoices",
                    outputs: [
                        {
                            internalType: "uint256[]",
                            name: "fundedChoices",
                            type: "uint256[]",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                    ],
                    name: "getRoundInfo",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "winningChoice",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "tied",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "totalVoted",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "totalCommited",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "nbVoters",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "choiceCount",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_voteID",
                            type: "uint256",
                        },
                    ],
                    name: "getVoteInfo",
                    outputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                        {
                            internalType: "bytes32",
                            name: "commit",
                            type: "bytes32",
                        },
                        {
                            internalType: "uint256",
                            name: "choice",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "voted",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                        {
                            internalType: "contract KlerosCore",
                            name: "_core",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_voteID",
                            type: "uint256",
                        },
                    ],
                    name: "isVoteActive",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "address payable",
                            name: "_beneficiary",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                    ],
                    name: "withdrawFeesAndRewards",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "amount",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
            ],
        },
        DisputeKitClassicNeo_Implementation: {
            address: "0x86Ac67e5550F837a650B4B0Cd4778D4293a2bDe3",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                    ],
                    name: "ChoiceFunded",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[]",
                            name: "_voteIDs",
                            type: "uint256[]",
                        },
                        {
                            indexed: false,
                            internalType: "bytes32",
                            name: "_commit",
                            type: "bytes32",
                        },
                    ],
                    name: "CommitCast",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_contributor",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "Contribution",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "DisputeCreation",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[]",
                            name: "_voteIDs",
                            type: "uint256[]",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_justification",
                            type: "string",
                        },
                    ],
                    name: "VoteCast",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_contributor",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "Withdrawal",
                    type: "event",
                },
                {
                    inputs: [],
                    name: "LOSER_APPEAL_PERIOD_MULTIPLIER",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "LOSER_STAKE_MULTIPLIER",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "ONE_BASIS_POINT",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "WINNER_STAKE_MULTIPLIER",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                    ],
                    name: "areCommitsAllCast",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                    ],
                    name: "areVotesAllCast",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256[]",
                            name: "_voteIDs",
                            type: "uint256[]",
                        },
                        {
                            internalType: "bytes32",
                            name: "_commit",
                            type: "bytes32",
                        },
                    ],
                    name: "castCommit",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256[]",
                            name: "_voteIDs",
                            type: "uint256[]",
                        },
                        {
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_salt",
                            type: "uint256",
                        },
                        {
                            internalType: "string",
                            name: "_justification",
                            type: "string",
                        },
                    ],
                    name: "castVote",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_core",
                            type: "address",
                        },
                    ],
                    name: "changeCore",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address payable",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "core",
                    outputs: [
                        {
                            internalType: "contract KlerosCore",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "coreDisputeIDToLocal",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                        {
                            internalType: "uint256",
                            name: "_nbVotes",
                            type: "uint256",
                        },
                    ],
                    name: "createDispute",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                    ],
                    name: "currentRuling",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "ruling",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "tied",
                            type: "bool",
                        },
                        {
                            internalType: "bool",
                            name: "overridden",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "disputes",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "jumped",
                            type: "bool",
                        },
                        {
                            internalType: "bytes",
                            name: "extraData",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_nonce",
                            type: "uint256",
                        },
                    ],
                    name: "draw",
                    outputs: [
                        {
                            internalType: "address",
                            name: "drawnAddress",
                            type: "address",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_destination",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    name: "executeGovernorProposal",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                    ],
                    name: "fundAppeal",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                    ],
                    name: "getCoherentCount",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_voteID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "getDegreeOfCoherence",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                    ],
                    name: "getFundedChoices",
                    outputs: [
                        {
                            internalType: "uint256[]",
                            name: "fundedChoices",
                            type: "uint256[]",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                    ],
                    name: "getRoundInfo",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "winningChoice",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "tied",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "totalVoted",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "totalCommited",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "nbVoters",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "choiceCount",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_voteID",
                            type: "uint256",
                        },
                    ],
                    name: "getVoteInfo",
                    outputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                        {
                            internalType: "bytes32",
                            name: "commit",
                            type: "bytes32",
                        },
                        {
                            internalType: "uint256",
                            name: "choice",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "voted",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                        {
                            internalType: "contract KlerosCore",
                            name: "_core",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_voteID",
                            type: "uint256",
                        },
                    ],
                    name: "isVoteActive",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "address payable",
                            name: "_beneficiary",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreRoundID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_choice",
                            type: "uint256",
                        },
                    ],
                    name: "withdrawFeesAndRewards",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "amount",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
            ],
        },
        DisputeKitClassicNeo_Proxy: {
            address: "0xb7c292cD9Fd3d20De84a71AE1caF054eEB6374A9",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
            ],
        },
        DisputeResolverNeo: {
            address: "0x95eCE455bD817D6adB92F2383617d36eBE10D6EB",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "contract IArbitratorV2",
                            name: "_arbitrator",
                            type: "address",
                        },
                        {
                            internalType: "contract IDisputeTemplateRegistry",
                            name: "_templateRegistry",
                            type: "address",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "contract IArbitratorV2",
                            name: "_arbitrator",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_arbitrableDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_externalDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_templateId",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_templateUri",
                            type: "string",
                        },
                    ],
                    name: "DisputeRequest",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "contract IArbitratorV2",
                            name: "_arbitrator",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_ruling",
                            type: "uint256",
                        },
                    ],
                    name: "Ruling",
                    type: "event",
                },
                {
                    inputs: [],
                    name: "arbitrator",
                    outputs: [
                        {
                            internalType: "contract IArbitratorV2",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "arbitratorDisputeIDToLocalID",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IArbitratorV2",
                            name: "_arbitrator",
                            type: "address",
                        },
                    ],
                    name: "changeArbitrator",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IDisputeTemplateRegistry",
                            name: "_templateRegistry",
                            type: "address",
                        },
                    ],
                    name: "changeTemplateRegistry",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes",
                            name: "_arbitratorExtraData",
                            type: "bytes",
                        },
                        {
                            internalType: "string",
                            name: "_disputeTemplate",
                            type: "string",
                        },
                        {
                            internalType: "string",
                            name: "_disputeTemplateDataMappings",
                            type: "string",
                        },
                        {
                            internalType: "uint256",
                            name: "_numberOfRulingOptions",
                            type: "uint256",
                        },
                    ],
                    name: "createDisputeForTemplate",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "disputeID",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes",
                            name: "_arbitratorExtraData",
                            type: "bytes",
                        },
                        {
                            internalType: "string",
                            name: "_disputeTemplateUri",
                            type: "string",
                        },
                        {
                            internalType: "uint256",
                            name: "_numberOfRulingOptions",
                            type: "uint256",
                        },
                    ],
                    name: "createDisputeForTemplateUri",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "disputeID",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "disputes",
                    outputs: [
                        {
                            internalType: "bytes",
                            name: "arbitratorExtraData",
                            type: "bytes",
                        },
                        {
                            internalType: "bool",
                            name: "isRuled",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "ruling",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "numberOfRulingOptions",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_arbitratorDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_ruling",
                            type: "uint256",
                        },
                    ],
                    name: "rule",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "templateRegistry",
                    outputs: [
                        {
                            internalType: "contract IDisputeTemplateRegistry",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
            ],
        },
        DisputeTemplateRegistry: {
            address: "0x52c9f5634361eD3641016e5d9783310f9EFf9e25",
            abi: [
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_templateId",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "string",
                            name: "_templateTag",
                            type: "string",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_templateData",
                            type: "string",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_templateDataMappings",
                            type: "string",
                        },
                    ],
                    name: "DisputeTemplate",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "string",
                            name: "_templateTag",
                            type: "string",
                        },
                        {
                            internalType: "string",
                            name: "_templateData",
                            type: "string",
                        },
                        {
                            internalType: "string",
                            name: "_templateDataMappings",
                            type: "string",
                        },
                    ],
                    name: "setDisputeTemplate",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "templateId",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "templates",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
            ],
        },
        DisputeTemplateRegistry_Implementation: {
            address: "0x4Ce87329d40f15509D5F9bF4D9Ce1A081A80CeFb",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_templateId",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "string",
                            name: "_templateTag",
                            type: "string",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_templateData",
                            type: "string",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_templateDataMappings",
                            type: "string",
                        },
                    ],
                    name: "DisputeTemplate",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "string",
                            name: "_templateTag",
                            type: "string",
                        },
                        {
                            internalType: "string",
                            name: "_templateData",
                            type: "string",
                        },
                        {
                            internalType: "string",
                            name: "_templateDataMappings",
                            type: "string",
                        },
                    ],
                    name: "setDisputeTemplate",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "templateId",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "templates",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
            ],
        },
        DisputeTemplateRegistry_Proxy: {
            address: "0x52c9f5634361eD3641016e5d9783310f9EFf9e25",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
            ],
        },
        EvidenceModule: {
            address: "0xe62B776498F48061ef9425fCEf30F3d1370DB005",
            abi: [
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_externalDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_party",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_evidence",
                            type: "string",
                        },
                    ],
                    name: "Evidence",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_externalDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "string",
                            name: "_evidence",
                            type: "string",
                        },
                    ],
                    name: "submitEvidence",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
            ],
        },
        EvidenceModule_Implementation: {
            address: "0x827411b3e98bAe8c441efBf26842A1670f8f378F",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_externalDisputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_party",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_evidence",
                            type: "string",
                        },
                    ],
                    name: "Evidence",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_externalDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "string",
                            name: "_evidence",
                            type: "string",
                        },
                    ],
                    name: "submitEvidence",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
            ],
        },
        EvidenceModule_Proxy: {
            address: "0xe62B776498F48061ef9425fCEf30F3d1370DB005",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
            ],
        },
        KlerosCoreNeo: {
            address: "0xCd415C03dfa85B02646C7e2977F22a480c4354F1",
            abi: [
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "AppealFeesNotEnough",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "AppealPeriodNotPassed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "ArbitrableNotWhitelisted",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "ArbitrationFeesNotEnough",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "ArraysLengthMismatch",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "CannotDisableClassicDK",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "CommitPeriodNotPassed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DepthLevelMax",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputeKitNotSupportedByCourt",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputeKitOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputeNotAppealable",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputePeriodIsFinal",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputeStillDrawing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "EvidenceNotPassedAndNotAppeal",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "GovernorOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "GuardianOrGovernorOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "InvalidDisputKitParent",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "InvalidForkingCourtAsParent",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "MinStakeLowerThanParentCourt",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "MustSupportDisputeKitClassic",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotEligibleForStaking",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotEvidencePeriod",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotExecutionPeriod",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "RulingAlreadyExecuted",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "SortitionModuleOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingInTooManyCourts",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingLessThanCourtMinStake",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingMoreThanMaxStakePerJuror",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingMoreThanMaxTotalStaked",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingNotPossibeInThisCourt",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingTransferFailed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "TokenNotAccepted",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "TransferFailed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UnstakingTransferFailed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UnsuccessfulCall",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UnsupportedDisputeKit",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "VotePeriodNotPassed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "WhenNotPausedOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "WhenPausedOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "WrongDisputeKitIndex",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "contract IERC20",
                            name: "_token",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "bool",
                            name: "_accepted",
                            type: "bool",
                        },
                    ],
                    name: "AcceptedFeeToken",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "contract IArbitrableV2",
                            name: "_arbitrable",
                            type: "address",
                        },
                    ],
                    name: "AppealDecision",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "contract IArbitrableV2",
                            name: "_arbitrable",
                            type: "address",
                        },
                    ],
                    name: "AppealPossible",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_parent",
                            type: "uint96",
                        },
                        {
                            indexed: false,
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_minStake",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_alpha",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_feeForJuror",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[]",
                            name: "_supportedDisputeKits",
                            type: "uint256[]",
                        },
                    ],
                    name: "CourtCreated",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_fromCourtID",
                            type: "uint96",
                        },
                        {
                            indexed: false,
                            internalType: "uint96",
                            name: "_toCourtID",
                            type: "uint96",
                        },
                    ],
                    name: "CourtJump",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            indexed: false,
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_minStake",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_alpha",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_feeForJuror",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                    ],
                    name: "CourtModified",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "contract IArbitrableV2",
                            name: "_arbitrable",
                            type: "address",
                        },
                    ],
                    name: "DisputeCreation",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeKitID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "contract IDisputeKit",
                            name: "_disputeKitAddress",
                            type: "address",
                        },
                    ],
                    name: "DisputeKitCreated",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeKitID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "bool",
                            name: "_enable",
                            type: "bool",
                        },
                    ],
                    name: "DisputeKitEnabled",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_fromDisputeKitID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_toDisputeKitID",
                            type: "uint256",
                        },
                    ],
                    name: "DisputeKitJump",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_voteID",
                            type: "uint256",
                        },
                    ],
                    name: "Draw",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_pnkAmount",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_feeAmount",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                    ],
                    name: "LeftoverRewardSent",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "_rateInEth",
                            type: "uint64",
                        },
                        {
                            indexed: false,
                            internalType: "uint8",
                            name: "_rateDecimals",
                            type: "uint8",
                        },
                    ],
                    name: "NewCurrencyRate",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "enum KlerosCoreBase.Period",
                            name: "_period",
                            type: "uint8",
                        },
                    ],
                    name: "NewPeriod",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [],
                    name: "Paused",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "contract IArbitrableV2",
                            name: "_arbitrable",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_ruling",
                            type: "uint256",
                        },
                    ],
                    name: "Ruling",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_degreeOfCoherency",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "int256",
                            name: "_pnkAmount",
                            type: "int256",
                        },
                        {
                            indexed: false,
                            internalType: "int256",
                            name: "_feeAmount",
                            type: "int256",
                        },
                        {
                            indexed: false,
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                    ],
                    name: "TokenAndETHShift",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [],
                    name: "Unpaused",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IDisputeKit",
                            name: "_disputeKitAddress",
                            type: "address",
                        },
                    ],
                    name: "addNewDisputeKit",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "appeal",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "appealCost",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "cost",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "appealPeriod",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "start",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "end",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "arbitrableWhitelist",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                        {
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                    ],
                    name: "arbitrationCost",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "cost",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "arbitrationCost",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "cost",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                        {
                            internalType: "bool",
                            name: "_accepted",
                            type: "bool",
                        },
                    ],
                    name: "changeAcceptedFeeTokens",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_arbitrable",
                            type: "address",
                        },
                        {
                            internalType: "bool",
                            name: "_allowed",
                            type: "bool",
                        },
                    ],
                    name: "changeArbitrableWhitelist",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "_minStake",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_alpha",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_feeForJuror",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                    ],
                    name: "changeCourtParameters",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                        {
                            internalType: "uint64",
                            name: "_rateInEth",
                            type: "uint64",
                        },
                        {
                            internalType: "uint8",
                            name: "_rateDecimals",
                            type: "uint8",
                        },
                    ],
                    name: "changeCurrencyRates",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address payable",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_guardian",
                            type: "address",
                        },
                    ],
                    name: "changeGuardian",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC721",
                            name: "_jurorNft",
                            type: "address",
                        },
                    ],
                    name: "changeJurorNft",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_jurorProsecutionModule",
                            type: "address",
                        },
                    ],
                    name: "changeJurorProsecutionModule",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "_pinakion",
                            type: "address",
                        },
                    ],
                    name: "changePinakion",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract ISortitionModule",
                            name: "_sortitionModule",
                            type: "address",
                        },
                    ],
                    name: "changeSortitionModule",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "_toToken",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_amountInEth",
                            type: "uint256",
                        },
                    ],
                    name: "convertEthToTokenAmount",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "courts",
                    outputs: [
                        {
                            internalType: "uint96",
                            name: "parent",
                            type: "uint96",
                        },
                        {
                            internalType: "bool",
                            name: "hiddenVotes",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "minStake",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "alpha",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "feeForJuror",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "disabled",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_parent",
                            type: "uint96",
                        },
                        {
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "_minStake",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_alpha",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_feeForJuror",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                        {
                            internalType: "bytes",
                            name: "_sortitionExtraData",
                            type: "bytes",
                        },
                        {
                            internalType: "uint256[]",
                            name: "_supportedDisputeKits",
                            type: "uint256[]",
                        },
                    ],
                    name: "createCourt",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "createDispute",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "disputeID",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                        {
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_feeAmount",
                            type: "uint256",
                        },
                    ],
                    name: "createDispute",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "disputeID",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "currencyRates",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "feePaymentAccepted",
                            type: "bool",
                        },
                        {
                            internalType: "uint64",
                            name: "rateInEth",
                            type: "uint64",
                        },
                        {
                            internalType: "uint8",
                            name: "rateDecimals",
                            type: "uint8",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "currentRuling",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "ruling",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "tied",
                            type: "bool",
                        },
                        {
                            internalType: "bool",
                            name: "overridden",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "disputeKits",
                    outputs: [
                        {
                            internalType: "contract IDisputeKit",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "disputes",
                    outputs: [
                        {
                            internalType: "uint96",
                            name: "courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "contract IArbitrableV2",
                            name: "arbitrated",
                            type: "address",
                        },
                        {
                            internalType: "enum KlerosCoreBase.Period",
                            name: "period",
                            type: "uint8",
                        },
                        {
                            internalType: "bool",
                            name: "ruled",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "lastPeriodChange",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_iterations",
                            type: "uint256",
                        },
                    ],
                    name: "draw",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256[]",
                            name: "_disputeKitIDs",
                            type: "uint256[]",
                        },
                        {
                            internalType: "bool",
                            name: "_enable",
                            type: "bool",
                        },
                    ],
                    name: "enableDisputeKits",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_round",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_iterations",
                            type: "uint256",
                        },
                    ],
                    name: "execute",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_destination",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    name: "executeGovernorProposal",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "executeRuling",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "getDisputeKitsLength",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "getNumberOfRounds",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "getNumberOfVotes",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_round",
                            type: "uint256",
                        },
                    ],
                    name: "getRoundInfo",
                    outputs: [
                        {
                            components: [
                                {
                                    internalType: "uint256",
                                    name: "disputeKitID",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "pnkAtStakePerJuror",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "totalFeesForJurors",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "nbVotes",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "repartitions",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "pnkPenalties",
                                    type: "uint256",
                                },
                                {
                                    internalType: "address[]",
                                    name: "drawnJurors",
                                    type: "address[]",
                                },
                                {
                                    internalType: "uint256",
                                    name: "sumFeeRewardPaid",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "sumPnkRewardPaid",
                                    type: "uint256",
                                },
                                {
                                    internalType: "contract IERC20",
                                    name: "feeToken",
                                    type: "address",
                                },
                                {
                                    internalType: "uint256",
                                    name: "drawIterations",
                                    type: "uint256",
                                },
                            ],
                            internalType: "struct KlerosCoreBase.Round",
                            name: "",
                            type: "tuple",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                    ],
                    name: "getTimesPerPeriod",
                    outputs: [
                        {
                            internalType: "uint256[4]",
                            name: "timesPerPeriod",
                            type: "uint256[4]",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "guardian",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "_guardian",
                            type: "address",
                        },
                        {
                            internalType: "contract IERC20",
                            name: "_pinakion",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "_jurorProsecutionModule",
                            type: "address",
                        },
                        {
                            internalType: "contract IDisputeKit",
                            name: "_disputeKit",
                            type: "address",
                        },
                        {
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            internalType: "uint256[4]",
                            name: "_courtParameters",
                            type: "uint256[4]",
                        },
                        {
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                        {
                            internalType: "bytes",
                            name: "_sortitionExtraData",
                            type: "bytes",
                        },
                        {
                            internalType: "contract ISortitionModule",
                            name: "_sortitionModuleAddress",
                            type: "address",
                        },
                        {
                            internalType: "contract IERC721",
                            name: "_jurorNft",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "isDisputeKitJumping",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "_disputeKitID",
                            type: "uint256",
                        },
                    ],
                    name: "isSupported",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "jurorNft",
                    outputs: [
                        {
                            internalType: "contract IERC721",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "jurorProsecutionModule",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "passPeriod",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "pause",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "paused",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "pinakion",
                    outputs: [
                        {
                            internalType: "contract IERC20",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "_newStake",
                            type: "uint256",
                        },
                    ],
                    name: "setStake",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "_newStake",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "_alreadyTransferred",
                            type: "bool",
                        },
                    ],
                    name: "setStakeBySortitionModule",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "sortitionModule",
                    outputs: [
                        {
                            internalType: "contract ISortitionModule",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "unpause",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
            ],
        },
        KlerosCoreNeo_Implementation: {
            address: "0x4DD8B69958eF1D7d5dA9347E9d9F57ADFC3dc284",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "AppealFeesNotEnough",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "AppealPeriodNotPassed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "ArbitrableNotWhitelisted",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "ArbitrationFeesNotEnough",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "ArraysLengthMismatch",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "CannotDisableClassicDK",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "CommitPeriodNotPassed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DepthLevelMax",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputeKitNotSupportedByCourt",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputeKitOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputeNotAppealable",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputePeriodIsFinal",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "DisputeStillDrawing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "EvidenceNotPassedAndNotAppeal",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "GovernorOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "GuardianOrGovernorOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "InvalidDisputKitParent",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "InvalidForkingCourtAsParent",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "MinStakeLowerThanParentCourt",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "MustSupportDisputeKitClassic",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotEligibleForStaking",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotEvidencePeriod",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotExecutionPeriod",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "RulingAlreadyExecuted",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "SortitionModuleOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingInTooManyCourts",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingLessThanCourtMinStake",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingMoreThanMaxStakePerJuror",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingMoreThanMaxTotalStaked",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingNotPossibeInThisCourt",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "StakingTransferFailed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "TokenNotAccepted",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "TransferFailed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UnstakingTransferFailed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UnsuccessfulCall",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UnsupportedDisputeKit",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "VotePeriodNotPassed",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "WhenNotPausedOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "WhenPausedOnly",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "WrongDisputeKitIndex",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "contract IERC20",
                            name: "_token",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "bool",
                            name: "_accepted",
                            type: "bool",
                        },
                    ],
                    name: "AcceptedFeeToken",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "contract IArbitrableV2",
                            name: "_arbitrable",
                            type: "address",
                        },
                    ],
                    name: "AppealDecision",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "contract IArbitrableV2",
                            name: "_arbitrable",
                            type: "address",
                        },
                    ],
                    name: "AppealPossible",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_parent",
                            type: "uint96",
                        },
                        {
                            indexed: false,
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_minStake",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_alpha",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_feeForJuror",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[]",
                            name: "_supportedDisputeKits",
                            type: "uint256[]",
                        },
                    ],
                    name: "CourtCreated",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_fromCourtID",
                            type: "uint96",
                        },
                        {
                            indexed: false,
                            internalType: "uint96",
                            name: "_toCourtID",
                            type: "uint96",
                        },
                    ],
                    name: "CourtJump",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            indexed: false,
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_minStake",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_alpha",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_feeForJuror",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                    ],
                    name: "CourtModified",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "contract IArbitrableV2",
                            name: "_arbitrable",
                            type: "address",
                        },
                    ],
                    name: "DisputeCreation",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeKitID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "contract IDisputeKit",
                            name: "_disputeKitAddress",
                            type: "address",
                        },
                    ],
                    name: "DisputeKitCreated",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeKitID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "bool",
                            name: "_enable",
                            type: "bool",
                        },
                    ],
                    name: "DisputeKitEnabled",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_fromDisputeKitID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_toDisputeKitID",
                            type: "uint256",
                        },
                    ],
                    name: "DisputeKitJump",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_voteID",
                            type: "uint256",
                        },
                    ],
                    name: "Draw",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_pnkAmount",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_feeAmount",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                    ],
                    name: "LeftoverRewardSent",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "_rateInEth",
                            type: "uint64",
                        },
                        {
                            indexed: false,
                            internalType: "uint8",
                            name: "_rateDecimals",
                            type: "uint8",
                        },
                    ],
                    name: "NewCurrencyRate",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "enum KlerosCoreBase.Period",
                            name: "_period",
                            type: "uint8",
                        },
                    ],
                    name: "NewPeriod",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [],
                    name: "Paused",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "contract IArbitrableV2",
                            name: "_arbitrable",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_ruling",
                            type: "uint256",
                        },
                    ],
                    name: "Ruling",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_roundID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_degreeOfCoherency",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "int256",
                            name: "_pnkAmount",
                            type: "int256",
                        },
                        {
                            indexed: false,
                            internalType: "int256",
                            name: "_feeAmount",
                            type: "int256",
                        },
                        {
                            indexed: false,
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                    ],
                    name: "TokenAndETHShift",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [],
                    name: "Unpaused",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IDisputeKit",
                            name: "_disputeKitAddress",
                            type: "address",
                        },
                    ],
                    name: "addNewDisputeKit",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "appeal",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "appealCost",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "cost",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "appealPeriod",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "start",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "end",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "arbitrableWhitelist",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                        {
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                    ],
                    name: "arbitrationCost",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "cost",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "arbitrationCost",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "cost",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                        {
                            internalType: "bool",
                            name: "_accepted",
                            type: "bool",
                        },
                    ],
                    name: "changeAcceptedFeeTokens",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_arbitrable",
                            type: "address",
                        },
                        {
                            internalType: "bool",
                            name: "_allowed",
                            type: "bool",
                        },
                    ],
                    name: "changeArbitrableWhitelist",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "_minStake",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_alpha",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_feeForJuror",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                    ],
                    name: "changeCourtParameters",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                        {
                            internalType: "uint64",
                            name: "_rateInEth",
                            type: "uint64",
                        },
                        {
                            internalType: "uint8",
                            name: "_rateDecimals",
                            type: "uint8",
                        },
                    ],
                    name: "changeCurrencyRates",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address payable",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_guardian",
                            type: "address",
                        },
                    ],
                    name: "changeGuardian",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC721",
                            name: "_jurorNft",
                            type: "address",
                        },
                    ],
                    name: "changeJurorNft",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_jurorProsecutionModule",
                            type: "address",
                        },
                    ],
                    name: "changeJurorProsecutionModule",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "_pinakion",
                            type: "address",
                        },
                    ],
                    name: "changePinakion",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract ISortitionModule",
                            name: "_sortitionModule",
                            type: "address",
                        },
                    ],
                    name: "changeSortitionModule",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "_toToken",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_amountInEth",
                            type: "uint256",
                        },
                    ],
                    name: "convertEthToTokenAmount",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "courts",
                    outputs: [
                        {
                            internalType: "uint96",
                            name: "parent",
                            type: "uint96",
                        },
                        {
                            internalType: "bool",
                            name: "hiddenVotes",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "minStake",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "alpha",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "feeForJuror",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "disabled",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_parent",
                            type: "uint96",
                        },
                        {
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "_minStake",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_alpha",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_feeForJuror",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_jurorsForCourtJump",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                        {
                            internalType: "bytes",
                            name: "_sortitionExtraData",
                            type: "bytes",
                        },
                        {
                            internalType: "uint256[]",
                            name: "_supportedDisputeKits",
                            type: "uint256[]",
                        },
                    ],
                    name: "createCourt",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "createDispute",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "disputeID",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_numberOfChoices",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                        {
                            internalType: "contract IERC20",
                            name: "_feeToken",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_feeAmount",
                            type: "uint256",
                        },
                    ],
                    name: "createDispute",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "disputeID",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "currencyRates",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "feePaymentAccepted",
                            type: "bool",
                        },
                        {
                            internalType: "uint64",
                            name: "rateInEth",
                            type: "uint64",
                        },
                        {
                            internalType: "uint8",
                            name: "rateDecimals",
                            type: "uint8",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "currentRuling",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "ruling",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "tied",
                            type: "bool",
                        },
                        {
                            internalType: "bool",
                            name: "overridden",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "disputeKits",
                    outputs: [
                        {
                            internalType: "contract IDisputeKit",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "disputes",
                    outputs: [
                        {
                            internalType: "uint96",
                            name: "courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "contract IArbitrableV2",
                            name: "arbitrated",
                            type: "address",
                        },
                        {
                            internalType: "enum KlerosCoreBase.Period",
                            name: "period",
                            type: "uint8",
                        },
                        {
                            internalType: "bool",
                            name: "ruled",
                            type: "bool",
                        },
                        {
                            internalType: "uint256",
                            name: "lastPeriodChange",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_iterations",
                            type: "uint256",
                        },
                    ],
                    name: "draw",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256[]",
                            name: "_disputeKitIDs",
                            type: "uint256[]",
                        },
                        {
                            internalType: "bool",
                            name: "_enable",
                            type: "bool",
                        },
                    ],
                    name: "enableDisputeKits",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_round",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_iterations",
                            type: "uint256",
                        },
                    ],
                    name: "execute",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_destination",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    name: "executeGovernorProposal",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "executeRuling",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "getDisputeKitsLength",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "getNumberOfRounds",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "getNumberOfVotes",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_round",
                            type: "uint256",
                        },
                    ],
                    name: "getRoundInfo",
                    outputs: [
                        {
                            components: [
                                {
                                    internalType: "uint256",
                                    name: "disputeKitID",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "pnkAtStakePerJuror",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "totalFeesForJurors",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "nbVotes",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "repartitions",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "pnkPenalties",
                                    type: "uint256",
                                },
                                {
                                    internalType: "address[]",
                                    name: "drawnJurors",
                                    type: "address[]",
                                },
                                {
                                    internalType: "uint256",
                                    name: "sumFeeRewardPaid",
                                    type: "uint256",
                                },
                                {
                                    internalType: "uint256",
                                    name: "sumPnkRewardPaid",
                                    type: "uint256",
                                },
                                {
                                    internalType: "contract IERC20",
                                    name: "feeToken",
                                    type: "address",
                                },
                                {
                                    internalType: "uint256",
                                    name: "drawIterations",
                                    type: "uint256",
                                },
                            ],
                            internalType: "struct KlerosCoreBase.Round",
                            name: "",
                            type: "tuple",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                    ],
                    name: "getTimesPerPeriod",
                    outputs: [
                        {
                            internalType: "uint256[4]",
                            name: "timesPerPeriod",
                            type: "uint256[4]",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "guardian",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "_guardian",
                            type: "address",
                        },
                        {
                            internalType: "contract IERC20",
                            name: "_pinakion",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "_jurorProsecutionModule",
                            type: "address",
                        },
                        {
                            internalType: "contract IDisputeKit",
                            name: "_disputeKit",
                            type: "address",
                        },
                        {
                            internalType: "bool",
                            name: "_hiddenVotes",
                            type: "bool",
                        },
                        {
                            internalType: "uint256[4]",
                            name: "_courtParameters",
                            type: "uint256[4]",
                        },
                        {
                            internalType: "uint256[4]",
                            name: "_timesPerPeriod",
                            type: "uint256[4]",
                        },
                        {
                            internalType: "bytes",
                            name: "_sortitionExtraData",
                            type: "bytes",
                        },
                        {
                            internalType: "contract ISortitionModule",
                            name: "_sortitionModuleAddress",
                            type: "address",
                        },
                        {
                            internalType: "contract IERC721",
                            name: "_jurorNft",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "isDisputeKitJumping",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "_disputeKitID",
                            type: "uint256",
                        },
                    ],
                    name: "isSupported",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "jurorNft",
                    outputs: [
                        {
                            internalType: "contract IERC721",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "jurorProsecutionModule",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_disputeID",
                            type: "uint256",
                        },
                    ],
                    name: "passPeriod",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "pause",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "paused",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "pinakion",
                    outputs: [
                        {
                            internalType: "contract IERC20",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "_newStake",
                            type: "uint256",
                        },
                    ],
                    name: "setStake",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "_newStake",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "_alreadyTransferred",
                            type: "bool",
                        },
                    ],
                    name: "setStakeBySortitionModule",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "sortitionModule",
                    outputs: [
                        {
                            internalType: "contract ISortitionModule",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "unpause",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
            ],
        },
        KlerosCoreNeo_Proxy: {
            address: "0xCd415C03dfa85B02646C7e2977F22a480c4354F1",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
            ],
        },
        KlerosV2NeoEarlyUser: {
            address: "0xfE34a72c55e512601E7d491A9c5b36373cE34d63",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "approved",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                    ],
                    name: "Approval",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "operator",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "bool",
                            name: "approved",
                            type: "bool",
                        },
                    ],
                    name: "ApprovalForAll",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newMinter",
                            type: "address",
                        },
                    ],
                    name: "EventMinterAdded",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "oldMinter",
                            type: "address",
                        },
                    ],
                    name: "EventMinterRemoved",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "previousOwner",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newOwner",
                            type: "address",
                        },
                    ],
                    name: "OwnershipTransferred",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                    ],
                    name: "Transfer",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "minter",
                            type: "address",
                        },
                    ],
                    name: "addMinter",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                    ],
                    name: "approve",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                    ],
                    name: "balanceOf",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "baseURI",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "id",
                            type: "uint256",
                        },
                    ],
                    name: "burn",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                        {
                            internalType: "uint256[]",
                            name: "ids",
                            type: "uint256[]",
                        },
                    ],
                    name: "burnBatch",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                    ],
                    name: "cid",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                    ],
                    name: "getApproved",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "getNumMinted",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "operator",
                            type: "address",
                        },
                    ],
                    name: "isApprovedForAll",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "id",
                            type: "uint256",
                        },
                    ],
                    name: "isOwnerOf",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "cid",
                            type: "uint256",
                        },
                    ],
                    name: "mint",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "amount",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256[]",
                            name: "cidArr",
                            type: "uint256[]",
                        },
                    ],
                    name: "mintBatch",
                    outputs: [
                        {
                            internalType: "uint256[]",
                            name: "",
                            type: "uint256[]",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                    ],
                    name: "minters",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "name",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "owner",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                    ],
                    name: "ownerOf",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "minter",
                            type: "address",
                        },
                    ],
                    name: "removeMinter",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "renounceOwnership",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                    ],
                    name: "safeTransferFrom",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    name: "safeTransferFrom",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "operator",
                            type: "address",
                        },
                        {
                            internalType: "bool",
                            name: "approved",
                            type: "bool",
                        },
                    ],
                    name: "setApprovalForAll",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "string",
                            name: "newName",
                            type: "string",
                        },
                    ],
                    name: "setName",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "string",
                            name: "newSymbol",
                            type: "string",
                        },
                    ],
                    name: "setSymbol",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bool",
                            name: "transferable",
                            type: "bool",
                        },
                    ],
                    name: "setTransferable",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "string",
                            name: "newURI",
                            type: "string",
                        },
                    ],
                    name: "setURI",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes4",
                            name: "interfaceId",
                            type: "bytes4",
                        },
                    ],
                    name: "supportsInterface",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "symbol",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "index",
                            type: "uint256",
                        },
                    ],
                    name: "tokenOfOwnerByIndex",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                    ],
                    name: "tokenURI",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "totalSupply",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "tokenId",
                            type: "uint256",
                        },
                    ],
                    name: "transferFrom",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newOwner",
                            type: "address",
                        },
                    ],
                    name: "transferOwnership",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "transferable",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
            ],
        },
        PNK: {
            address: "0x330bD769382cFc6d50175903434CCC8D206DCAE5",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "Approval",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "Transfer",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                    ],
                    name: "allowance",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "amount",
                            type: "uint256",
                        },
                    ],
                    name: "approve",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                    ],
                    name: "balanceOf",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "decimals",
                    outputs: [
                        {
                            internalType: "uint8",
                            name: "",
                            type: "uint8",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "subtractedValue",
                            type: "uint256",
                        },
                    ],
                    name: "decreaseAllowance",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "addedValue",
                            type: "uint256",
                        },
                    ],
                    name: "increaseAllowance",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "name",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "symbol",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "totalSupply",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "amount",
                            type: "uint256",
                        },
                    ],
                    name: "transfer",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "amount",
                            type: "uint256",
                        },
                    ],
                    name: "transferFrom",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
            ],
        },
        PNKFaucet: {
            address: "0x0000000000000000000000000000000000000000",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "contract IERC20",
                            name: "_token",
                            type: "address",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    inputs: [],
                    name: "amount",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "balance",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "changeAmount",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "request",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "token",
                    outputs: [
                        {
                            internalType: "contract IERC20",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "withdraw",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "withdrewAlready",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
            ],
        },
        Pinakion: {
            address: "0x330bD769382cFc6d50175903434CCC8D206DCAE5",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "Approval",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "value",
                            type: "uint256",
                        },
                    ],
                    name: "Transfer",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "owner",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                    ],
                    name: "allowance",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "amount",
                            type: "uint256",
                        },
                    ],
                    name: "approve",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                    ],
                    name: "balanceOf",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "decimals",
                    outputs: [
                        {
                            internalType: "uint8",
                            name: "",
                            type: "uint8",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "subtractedValue",
                            type: "uint256",
                        },
                    ],
                    name: "decreaseAllowance",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "spender",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "addedValue",
                            type: "uint256",
                        },
                    ],
                    name: "increaseAllowance",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "name",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "symbol",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "totalSupply",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "amount",
                            type: "uint256",
                        },
                    ],
                    name: "transfer",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "from",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "to",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "amount",
                            type: "uint256",
                        },
                    ],
                    name: "transferFrom",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
            ],
        },
        PolicyRegistry: {
            address: "0x26c1980120F1C82cF611D666CE81D2b54d018547",
            abi: [
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_courtName",
                            type: "string",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_policy",
                            type: "string",
                        },
                    ],
                    name: "PolicyUpdate",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "policies",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            internalType: "string",
                            name: "_courtName",
                            type: "string",
                        },
                        {
                            internalType: "string",
                            name: "_policy",
                            type: "string",
                        },
                    ],
                    name: "setPolicy",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
            ],
        },
        PolicyRegistry_Implementation: {
            address: "0x2AC2EdFD336732bc6963f1AD03ED98B22dB949da",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_courtName",
                            type: "string",
                        },
                        {
                            indexed: false,
                            internalType: "string",
                            name: "_policy",
                            type: "string",
                        },
                    ],
                    name: "PolicyUpdate",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "policies",
                    outputs: [
                        {
                            internalType: "string",
                            name: "",
                            type: "string",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            internalType: "string",
                            name: "_courtName",
                            type: "string",
                        },
                        {
                            internalType: "string",
                            name: "_policy",
                            type: "string",
                        },
                    ],
                    name: "setPolicy",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
            ],
        },
        PolicyRegistry_Proxy: {
            address: "0x26c1980120F1C82cF611D666CE81D2b54d018547",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
            ],
        },
        RandomizerOracle: {
            address: "0x5b8bB80f2d72D0C85caB8fB169e8170A05C94bAF",
            abi: [],
        },
        RandomizerRNG: {
            address: "0xC3dB344755b15c8Edfd834db79af4f8860029FB4",
            abi: [
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [],
                    name: "callbackGasLimit",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IRandomizer",
                            name: "_randomizer",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "randomNumbers",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "randomizer",
                    outputs: [
                        {
                            internalType: "contract IRandomizer",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_id",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes32",
                            name: "_value",
                            type: "bytes32",
                        },
                    ],
                    name: "randomizerCallback",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "randomizerWithdraw",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "receiveRandomness",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "randomNumber",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "requestRandomness",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "requesterToID",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_callbackGasLimit",
                            type: "uint256",
                        },
                    ],
                    name: "setCallbackGasLimit",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_randomizer",
                            type: "address",
                        },
                    ],
                    name: "setRandomizer",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
            ],
        },
        RandomizerRNG_Implementation: {
            address: "0xA995C172d286f8F4eE137CC662e2844E59Cf4836",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [],
                    name: "callbackGasLimit",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "changeGovernor",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract IRandomizer",
                            name: "_randomizer",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "randomNumbers",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "randomizer",
                    outputs: [
                        {
                            internalType: "contract IRandomizer",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_id",
                            type: "uint256",
                        },
                        {
                            internalType: "bytes32",
                            name: "_value",
                            type: "bytes32",
                        },
                    ],
                    name: "randomizerCallback",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "randomizerWithdraw",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "receiveRandomness",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "randomNumber",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "requestRandomness",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "requesterToID",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_callbackGasLimit",
                            type: "uint256",
                        },
                    ],
                    name: "setCallbackGasLimit",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_randomizer",
                            type: "address",
                        },
                    ],
                    name: "setRandomizer",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
            ],
        },
        RandomizerRNG_Proxy: {
            address: "0xC3dB344755b15c8Edfd834db79af4f8860029FB4",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
            ],
        },
        SortitionModuleNeo: {
            address: "0x614498118850184c62f82d08261109334bFB050f",
            abi: [
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "enum ISortitionModule.Phase",
                            name: "_phase",
                            type: "uint8",
                        },
                    ],
                    name: "NewPhase",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "StakeDelayedAlreadyTransferred",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "StakeDelayedAlreadyTransferredWithdrawn",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "StakeDelayedNotTransferred",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_relativeAmount",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "bool",
                            name: "_unlock",
                            type: "bool",
                        },
                    ],
                    name: "StakeLocked",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "StakeSet",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_maxDrawingTime",
                            type: "uint256",
                        },
                    ],
                    name: "changeMaxDrawingTime",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_maxStakePerJuror",
                            type: "uint256",
                        },
                    ],
                    name: "changeMaxStakePerJuror",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_maxTotalStaked",
                            type: "uint256",
                        },
                    ],
                    name: "changeMaxTotalStaked",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_minStakingTime",
                            type: "uint256",
                        },
                    ],
                    name: "changeMinStakingTime",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract RNG",
                            name: "_rng",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_rngLookahead",
                            type: "uint256",
                        },
                    ],
                    name: "changeRandomNumberGenerator",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "core",
                    outputs: [
                        {
                            internalType: "contract KlerosCore",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "createDisputeHook",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "_key",
                            type: "bytes32",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "createTree",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "delayedStakeReadIndex",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "delayedStakeWriteIndex",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "delayedStakes",
                    outputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "stake",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "alreadyTransferred",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "disputesWithoutJurors",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "_key",
                            type: "bytes32",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_nonce",
                            type: "uint256",
                        },
                    ],
                    name: "draw",
                    outputs: [
                        {
                            internalType: "address",
                            name: "drawnAddress",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_iterations",
                            type: "uint256",
                        },
                    ],
                    name: "executeDelayedStakes",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                    ],
                    name: "getJurorBalance",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "totalStaked",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "totalLocked",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "stakedInCourt",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "nbCourts",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                    ],
                    name: "getJurorCourtIDs",
                    outputs: [
                        {
                            internalType: "uint96[]",
                            name: "",
                            type: "uint96[]",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                        {
                            internalType: "contract KlerosCore",
                            name: "_core",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_minStakingTime",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_maxDrawingTime",
                            type: "uint256",
                        },
                        {
                            internalType: "contract RNG",
                            name: "_rng",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_rngLookahead",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_maxStakePerJuror",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_maxTotalStaked",
                            type: "uint256",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                    ],
                    name: "isJurorStaked",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "jurors",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "stakedPnk",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "lockedPnk",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "lastPhaseChange",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "",
                            type: "uint96",
                        },
                    ],
                    name: "latestDelayedStakeIndex",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_relativeAmount",
                            type: "uint256",
                        },
                    ],
                    name: "lockStake",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "maxDrawingTime",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "maxStakePerJuror",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "maxTotalStaked",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "minStakingTime",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_randomNumber",
                            type: "uint256",
                        },
                    ],
                    name: "notifyRandomNumber",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "passPhase",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_relativeAmount",
                            type: "uint256",
                        },
                    ],
                    name: "penalizeStake",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "phase",
                    outputs: [
                        {
                            internalType: "enum ISortitionModule.Phase",
                            name: "",
                            type: "uint8",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "postDrawHook",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "randomNumber",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "randomNumberRequestBlock",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "rng",
                    outputs: [
                        {
                            internalType: "contract RNG",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "rngLookahead",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                    ],
                    name: "setJurorInactive",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "_newStake",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "_alreadyTransferred",
                            type: "bool",
                        },
                    ],
                    name: "setStake",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "pnkDeposit",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "pnkWithdrawal",
                            type: "uint256",
                        },
                        {
                            internalType: "enum StakingResult",
                            name: "stakingResult",
                            type: "uint8",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "_key",
                            type: "bytes32",
                        },
                        {
                            internalType: "bytes32",
                            name: "_ID",
                            type: "bytes32",
                        },
                    ],
                    name: "stakeOf",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                    ],
                    name: "stakeOf",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "totalStaked",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_relativeAmount",
                            type: "uint256",
                        },
                    ],
                    name: "unlockStake",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
            ],
        },
        SortitionModuleNeo_Implementation: {
            address: "0xf327200420F21BAafce8F1C03B1EEdF926074B95",
            abi: [
                {
                    inputs: [],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    inputs: [],
                    name: "AlreadyInitialized",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "FailedDelegateCall",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "InvalidImplementation",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "NotInitializing",
                    type: "error",
                },
                {
                    inputs: [],
                    name: "UUPSUnauthorizedCallContext",
                    type: "error",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "slot",
                            type: "bytes32",
                        },
                    ],
                    name: "UUPSUnsupportedProxiableUUID",
                    type: "error",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "uint64",
                            name: "version",
                            type: "uint64",
                        },
                    ],
                    name: "Initialized",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "enum ISortitionModule.Phase",
                            name: "_phase",
                            type: "uint8",
                        },
                    ],
                    name: "NewPhase",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "StakeDelayedAlreadyTransferred",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: true,
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "StakeDelayedAlreadyTransferredWithdrawn",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "StakeDelayedNotTransferred",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_relativeAmount",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "bool",
                            name: "_unlock",
                            type: "bool",
                        },
                    ],
                    name: "StakeLocked",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "_address",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_courtID",
                            type: "uint256",
                        },
                        {
                            indexed: false,
                            internalType: "uint256",
                            name: "_amount",
                            type: "uint256",
                        },
                    ],
                    name: "StakeSet",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_maxDrawingTime",
                            type: "uint256",
                        },
                    ],
                    name: "changeMaxDrawingTime",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_maxStakePerJuror",
                            type: "uint256",
                        },
                    ],
                    name: "changeMaxStakePerJuror",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_maxTotalStaked",
                            type: "uint256",
                        },
                    ],
                    name: "changeMaxTotalStaked",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_minStakingTime",
                            type: "uint256",
                        },
                    ],
                    name: "changeMinStakingTime",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "contract RNG",
                            name: "_rng",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_rngLookahead",
                            type: "uint256",
                        },
                    ],
                    name: "changeRandomNumberGenerator",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "core",
                    outputs: [
                        {
                            internalType: "contract KlerosCore",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "createDisputeHook",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "_key",
                            type: "bytes32",
                        },
                        {
                            internalType: "bytes",
                            name: "_extraData",
                            type: "bytes",
                        },
                    ],
                    name: "createTree",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "delayedStakeReadIndex",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "delayedStakeWriteIndex",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "delayedStakes",
                    outputs: [
                        {
                            internalType: "address",
                            name: "account",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "stake",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "alreadyTransferred",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "disputesWithoutJurors",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "_key",
                            type: "bytes32",
                        },
                        {
                            internalType: "uint256",
                            name: "_coreDisputeID",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_nonce",
                            type: "uint256",
                        },
                    ],
                    name: "draw",
                    outputs: [
                        {
                            internalType: "address",
                            name: "drawnAddress",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_iterations",
                            type: "uint256",
                        },
                    ],
                    name: "executeDelayedStakes",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                    ],
                    name: "getJurorBalance",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "totalStaked",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "totalLocked",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "stakedInCourt",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "nbCourts",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                    ],
                    name: "getJurorCourtIDs",
                    outputs: [
                        {
                            internalType: "uint96[]",
                            name: "",
                            type: "uint96[]",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "governor",
                    outputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_governor",
                            type: "address",
                        },
                        {
                            internalType: "contract KlerosCore",
                            name: "_core",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_minStakingTime",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_maxDrawingTime",
                            type: "uint256",
                        },
                        {
                            internalType: "contract RNG",
                            name: "_rng",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_rngLookahead",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_maxStakePerJuror",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "_maxTotalStaked",
                            type: "uint256",
                        },
                    ],
                    name: "initialize",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                    ],
                    name: "isJurorStaked",
                    outputs: [
                        {
                            internalType: "bool",
                            name: "",
                            type: "bool",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                    ],
                    name: "jurors",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "stakedPnk",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "lockedPnk",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "lastPhaseChange",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "",
                            type: "uint96",
                        },
                    ],
                    name: "latestDelayedStakeIndex",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_relativeAmount",
                            type: "uint256",
                        },
                    ],
                    name: "lockStake",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "maxDrawingTime",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "maxStakePerJuror",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "maxTotalStaked",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "minStakingTime",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "_randomNumber",
                            type: "uint256",
                        },
                    ],
                    name: "notifyRandomNumber",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "passPhase",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_relativeAmount",
                            type: "uint256",
                        },
                    ],
                    name: "penalizeStake",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "phase",
                    outputs: [
                        {
                            internalType: "enum ISortitionModule.Phase",
                            name: "",
                            type: "uint8",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    name: "postDrawHook",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "proxiableUUID",
                    outputs: [
                        {
                            internalType: "bytes32",
                            name: "",
                            type: "bytes32",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "randomNumber",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "randomNumberRequestBlock",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "rng",
                    outputs: [
                        {
                            internalType: "contract RNG",
                            name: "",
                            type: "address",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "rngLookahead",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                    ],
                    name: "setJurorInactive",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                        {
                            internalType: "uint256",
                            name: "_newStake",
                            type: "uint256",
                        },
                        {
                            internalType: "bool",
                            name: "_alreadyTransferred",
                            type: "bool",
                        },
                    ],
                    name: "setStake",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "pnkDeposit",
                            type: "uint256",
                        },
                        {
                            internalType: "uint256",
                            name: "pnkWithdrawal",
                            type: "uint256",
                        },
                        {
                            internalType: "enum StakingResult",
                            name: "stakingResult",
                            type: "uint8",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "bytes32",
                            name: "_key",
                            type: "bytes32",
                        },
                        {
                            internalType: "bytes32",
                            name: "_ID",
                            type: "bytes32",
                        },
                    ],
                    name: "stakeOf",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_juror",
                            type: "address",
                        },
                        {
                            internalType: "uint96",
                            name: "_courtID",
                            type: "uint96",
                        },
                    ],
                    name: "stakeOf",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "totalStaked",
                    outputs: [
                        {
                            internalType: "uint256",
                            name: "",
                            type: "uint256",
                        },
                    ],
                    stateMutability: "view",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_account",
                            type: "address",
                        },
                        {
                            internalType: "uint256",
                            name: "_relativeAmount",
                            type: "uint256",
                        },
                    ],
                    name: "unlockStake",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
            ],
        },
        SortitionModuleNeo_Proxy: {
            address: "0x614498118850184c62f82d08261109334bFB050f",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_implementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "constructor",
                },
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
            ],
        },
        WETH: {
            address: "0x82aF49447D8a07e3bd95BD0d56f35241523fBab1",
            abi: [
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "_logic",
                            type: "address",
                        },
                        {
                            internalType: "address",
                            name: "admin_",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "_data",
                            type: "bytes",
                        },
                    ],
                    stateMutability: "payable",
                    type: "constructor",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: false,
                            internalType: "address",
                            name: "previousAdmin",
                            type: "address",
                        },
                        {
                            indexed: false,
                            internalType: "address",
                            name: "newAdmin",
                            type: "address",
                        },
                    ],
                    name: "AdminChanged",
                    type: "event",
                },
                {
                    anonymous: false,
                    inputs: [
                        {
                            indexed: true,
                            internalType: "address",
                            name: "implementation",
                            type: "address",
                        },
                    ],
                    name: "Upgraded",
                    type: "event",
                },
                {
                    stateMutability: "payable",
                    type: "fallback",
                },
                {
                    inputs: [],
                    name: "admin",
                    outputs: [
                        {
                            internalType: "address",
                            name: "admin_",
                            type: "address",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newAdmin",
                            type: "address",
                        },
                    ],
                    name: "changeAdmin",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [],
                    name: "implementation",
                    outputs: [
                        {
                            internalType: "address",
                            name: "implementation_",
                            type: "address",
                        },
                    ],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                    ],
                    name: "upgradeTo",
                    outputs: [],
                    stateMutability: "nonpayable",
                    type: "function",
                },
                {
                    inputs: [
                        {
                            internalType: "address",
                            name: "newImplementation",
                            type: "address",
                        },
                        {
                            internalType: "bytes",
                            name: "data",
                            type: "bytes",
                        },
                    ],
                    name: "upgradeToAndCall",
                    outputs: [],
                    stateMutability: "payable",
                    type: "function",
                },
                {
                    stateMutability: "payable",
                    type: "receive",
                },
            ],
        },
    },
};
//# sourceMappingURL=arbitrum.js.map