declare const _default: {
    readonly name: "arbitrumSepolia";
    readonly chainId: "421614";
    readonly contracts: {
        readonly ArbitrableExample: {
            readonly address: "0xE22500Fa27f696d06702367246bd17Bd2C8a4c5d";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateData";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateDataMappings";
                    readonly type: "string";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_arbitratorExtraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "contract IDisputeTemplateRegistry";
                    readonly name: "_templateRegistry";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract IERC20";
                    readonly name: "_weth";
                    readonly type: "address";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "string";
                    readonly name: "_action";
                    readonly type: "string";
                }];
                readonly name: "Action";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_arbitrableDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_externalDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_templateId";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_templateUri";
                    readonly type: "string";
                }];
                readonly name: "DisputeRequest";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_ruling";
                    readonly type: "uint256";
                }];
                readonly name: "Ruling";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "arbitrator";
                readonly outputs: readonly [{
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "arbitratorExtraData";
                readonly outputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }];
                readonly name: "changeArbitrator";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "_arbitratorExtraData";
                    readonly type: "bytes";
                }];
                readonly name: "changeArbitratorExtraData";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "_templateData";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateDataMappings";
                    readonly type: "string";
                }];
                readonly name: "changeDisputeTemplate";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IDisputeTemplateRegistry";
                    readonly name: "_templateRegistry";
                    readonly type: "address";
                }];
                readonly name: "changeTemplateRegistry";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "_action";
                    readonly type: "string";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_feeInWeth";
                    readonly type: "uint256";
                }];
                readonly name: "createDispute";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "disputeID";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "_action";
                    readonly type: "string";
                }];
                readonly name: "createDispute";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "disputeID";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "disputes";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "isRuled";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "ruling";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "numberOfRulingOptions";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "externalIDtoLocalID";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_externalDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_ruling";
                    readonly type: "uint256";
                }];
                readonly name: "rule";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "templateId";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "templateRegistry";
                readonly outputs: readonly [{
                    readonly internalType: "contract IDisputeTemplateRegistry";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "weth";
                readonly outputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }];
        };
        readonly BlockHashRNG: {
            readonly address: "0x991d2df165670b9cac3B022f4B68D65b664222ea";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "randomNumbers";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_block";
                    readonly type: "uint256";
                }];
                readonly name: "receiveRandomness";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "randomNumber";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_block";
                    readonly type: "uint256";
                }];
                readonly name: "requestRandomness";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }];
        };
        readonly DAI: {
            readonly address: "0xc34aeFEa232956542C5b2f2EE55fD5c378B35c03";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "_name";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_symbol";
                    readonly type: "string";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "owner";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "value";
                    readonly type: "uint256";
                }];
                readonly name: "Approval";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "from";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "value";
                    readonly type: "uint256";
                }];
                readonly name: "Transfer";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "owner";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }];
                readonly name: "allowance";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "approve";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "account";
                    readonly type: "address";
                }];
                readonly name: "balanceOf";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "decimals";
                readonly outputs: readonly [{
                    readonly internalType: "uint8";
                    readonly name: "";
                    readonly type: "uint8";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "subtractedValue";
                    readonly type: "uint256";
                }];
                readonly name: "decreaseAllowance";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "addedValue";
                    readonly type: "uint256";
                }];
                readonly name: "increaseAllowance";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "name";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "symbol";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "totalSupply";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "transfer";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "from";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "transferFrom";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }];
        };
        readonly DAIFaucet: {
            readonly address: "0x1Fa58B52326488D62A406E71DBaD839560e810fF";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_token";
                    readonly type: "address";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "amount";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "balance";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "changeAmount";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "request";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "token";
                readonly outputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "withdraw";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly name: "withdrewAlready";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }];
        };
        readonly DisputeKitClassic: {
            readonly address: "0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e";
            readonly abi: readonly [{
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }];
                readonly name: "ChoiceFunded";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[]";
                    readonly name: "_voteIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bytes32";
                    readonly name: "_commit";
                    readonly type: "bytes32";
                }];
                readonly name: "CommitCast";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_contributor";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "Contribution";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "DisputeCreation";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[]";
                    readonly name: "_voteIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_justification";
                    readonly type: "string";
                }];
                readonly name: "VoteCast";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_contributor";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "Withdrawal";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "LOSER_APPEAL_PERIOD_MULTIPLIER";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "LOSER_STAKE_MULTIPLIER";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "ONE_BASIS_POINT";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "WINNER_STAKE_MULTIPLIER";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }];
                readonly name: "areCommitsAllCast";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }];
                readonly name: "areVotesAllCast";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256[]";
                    readonly name: "_voteIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly internalType: "bytes32";
                    readonly name: "_commit";
                    readonly type: "bytes32";
                }];
                readonly name: "castCommit";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256[]";
                    readonly name: "_voteIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_salt";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "string";
                    readonly name: "_justification";
                    readonly type: "string";
                }];
                readonly name: "castVote";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_core";
                    readonly type: "address";
                }];
                readonly name: "changeCore";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address payable";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "core";
                readonly outputs: readonly [{
                    readonly internalType: "contract KlerosCore";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "coreDisputeIDToLocal";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_nbVotes";
                    readonly type: "uint256";
                }];
                readonly name: "createDispute";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }];
                readonly name: "currentRuling";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "ruling";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "tied";
                    readonly type: "bool";
                }, {
                    readonly internalType: "bool";
                    readonly name: "overridden";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "disputes";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "jumped";
                    readonly type: "bool";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "extraData";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_nonce";
                    readonly type: "uint256";
                }];
                readonly name: "draw";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "drawnAddress";
                    readonly type: "address";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_destination";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly name: "executeGovernorProposal";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }];
                readonly name: "fundAppeal";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }];
                readonly name: "getCoherentCount";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_voteID";
                    readonly type: "uint256";
                }];
                readonly name: "getDegreeOfCoherence";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }];
                readonly name: "getFundedChoices";
                readonly outputs: readonly [{
                    readonly internalType: "uint256[]";
                    readonly name: "fundedChoices";
                    readonly type: "uint256[]";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }];
                readonly name: "getRoundInfo";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "winningChoice";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "tied";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "totalVoted";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "totalCommited";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "nbVoters";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "choiceCount";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_voteID";
                    readonly type: "uint256";
                }];
                readonly name: "getVoteInfo";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "account";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes32";
                    readonly name: "commit";
                    readonly type: "bytes32";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "choice";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "voted";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract KlerosCore";
                    readonly name: "_core";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_voteID";
                    readonly type: "uint256";
                }];
                readonly name: "isVoteActive";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "address payable";
                    readonly name: "_beneficiary";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }];
                readonly name: "withdrawFeesAndRewards";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }];
        };
        readonly DisputeKitClassic_Implementation: {
            readonly address: "0x2507018D785CE92115CfebE0d92CC496C42e99b7";
            readonly abi: readonly [{
                readonly inputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }];
                readonly name: "ChoiceFunded";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[]";
                    readonly name: "_voteIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bytes32";
                    readonly name: "_commit";
                    readonly type: "bytes32";
                }];
                readonly name: "CommitCast";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_contributor";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "Contribution";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "DisputeCreation";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[]";
                    readonly name: "_voteIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_justification";
                    readonly type: "string";
                }];
                readonly name: "VoteCast";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_contributor";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "Withdrawal";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "LOSER_APPEAL_PERIOD_MULTIPLIER";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "LOSER_STAKE_MULTIPLIER";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "ONE_BASIS_POINT";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "WINNER_STAKE_MULTIPLIER";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }];
                readonly name: "areCommitsAllCast";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }];
                readonly name: "areVotesAllCast";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256[]";
                    readonly name: "_voteIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly internalType: "bytes32";
                    readonly name: "_commit";
                    readonly type: "bytes32";
                }];
                readonly name: "castCommit";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256[]";
                    readonly name: "_voteIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_salt";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "string";
                    readonly name: "_justification";
                    readonly type: "string";
                }];
                readonly name: "castVote";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_core";
                    readonly type: "address";
                }];
                readonly name: "changeCore";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address payable";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "core";
                readonly outputs: readonly [{
                    readonly internalType: "contract KlerosCore";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "coreDisputeIDToLocal";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_nbVotes";
                    readonly type: "uint256";
                }];
                readonly name: "createDispute";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }];
                readonly name: "currentRuling";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "ruling";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "tied";
                    readonly type: "bool";
                }, {
                    readonly internalType: "bool";
                    readonly name: "overridden";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "disputes";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "jumped";
                    readonly type: "bool";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "extraData";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_nonce";
                    readonly type: "uint256";
                }];
                readonly name: "draw";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "drawnAddress";
                    readonly type: "address";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_destination";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly name: "executeGovernorProposal";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }];
                readonly name: "fundAppeal";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }];
                readonly name: "getCoherentCount";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_voteID";
                    readonly type: "uint256";
                }];
                readonly name: "getDegreeOfCoherence";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }];
                readonly name: "getFundedChoices";
                readonly outputs: readonly [{
                    readonly internalType: "uint256[]";
                    readonly name: "fundedChoices";
                    readonly type: "uint256[]";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }];
                readonly name: "getRoundInfo";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "winningChoice";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "tied";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "totalVoted";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "totalCommited";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "nbVoters";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "choiceCount";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_voteID";
                    readonly type: "uint256";
                }];
                readonly name: "getVoteInfo";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "account";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes32";
                    readonly name: "commit";
                    readonly type: "bytes32";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "choice";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "voted";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract KlerosCore";
                    readonly name: "_core";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_voteID";
                    readonly type: "uint256";
                }];
                readonly name: "isVoteActive";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "address payable";
                    readonly name: "_beneficiary";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreRoundID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_choice";
                    readonly type: "uint256";
                }];
                readonly name: "withdrawFeesAndRewards";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }];
        };
        readonly DisputeKitClassic_Proxy: {
            readonly address: "0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }];
        };
        readonly DisputeResolver: {
            readonly address: "0x48e052B4A6dC4F30e90930F1CeaAFd83b3981EB3";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract IDisputeTemplateRegistry";
                    readonly name: "_templateRegistry";
                    readonly type: "address";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_arbitrableDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_externalDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_templateId";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_templateUri";
                    readonly type: "string";
                }];
                readonly name: "DisputeRequest";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_ruling";
                    readonly type: "uint256";
                }];
                readonly name: "Ruling";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "arbitrator";
                readonly outputs: readonly [{
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "arbitratorDisputeIDToLocalID";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }];
                readonly name: "changeArbitrator";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IDisputeTemplateRegistry";
                    readonly name: "_templateRegistry";
                    readonly type: "address";
                }];
                readonly name: "changeTemplateRegistry";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "_arbitratorExtraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "string";
                    readonly name: "_disputeTemplate";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_disputeTemplateDataMappings";
                    readonly type: "string";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_numberOfRulingOptions";
                    readonly type: "uint256";
                }];
                readonly name: "createDisputeForTemplate";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "disputeID";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "_arbitratorExtraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "string";
                    readonly name: "_disputeTemplateUri";
                    readonly type: "string";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_numberOfRulingOptions";
                    readonly type: "uint256";
                }];
                readonly name: "createDisputeForTemplateUri";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "disputeID";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "disputes";
                readonly outputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "arbitratorExtraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "bool";
                    readonly name: "isRuled";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "ruling";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "numberOfRulingOptions";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_externalDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_ruling";
                    readonly type: "uint256";
                }];
                readonly name: "rule";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "templateRegistry";
                readonly outputs: readonly [{
                    readonly internalType: "contract IDisputeTemplateRegistry";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }];
        };
        readonly DisputeTemplateRegistry: {
            readonly address: "0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c";
            readonly abi: readonly [{
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_templateId";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "string";
                    readonly name: "_templateTag";
                    readonly type: "string";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_templateData";
                    readonly type: "string";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_templateDataMappings";
                    readonly type: "string";
                }];
                readonly name: "DisputeTemplate";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "_templateTag";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateData";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateDataMappings";
                    readonly type: "string";
                }];
                readonly name: "setDisputeTemplate";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "templateId";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "templates";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }];
        };
        readonly DisputeTemplateRegistry_Implementation: {
            readonly address: "0x15E5964C7751dF8563eA4bC000301582C79BC454";
            readonly abi: readonly [{
                readonly inputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_templateId";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "string";
                    readonly name: "_templateTag";
                    readonly type: "string";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_templateData";
                    readonly type: "string";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_templateDataMappings";
                    readonly type: "string";
                }];
                readonly name: "DisputeTemplate";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "_templateTag";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateData";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateDataMappings";
                    readonly type: "string";
                }];
                readonly name: "setDisputeTemplate";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "templateId";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "templates";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }];
        };
        readonly DisputeTemplateRegistry_Proxy: {
            readonly address: "0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }];
        };
        readonly Escrow: {
            readonly address: "0xF1a7Cd3115F5852966430f8E3877D2221F074A2e";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_arbitratorExtraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateData";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateDataMappings";
                    readonly type: "string";
                }, {
                    readonly internalType: "contract IDisputeTemplateRegistry";
                    readonly name: "_templateRegistry";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_feeTimeout";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "ArbitratorOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "BuyerFeeNotCoverArbitrationCosts";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "BuyerOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DeadlineNotPassed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeAlreadyCreatedOrTransactionAlreadyExecuted";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeAlreadyResolved";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "GovernorOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "InvalidRuling";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "MaximumPaymentAmountExceeded";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotWaitingForBuyerFees";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotWaitingForSellerFees";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "SellerFeeNotCoverArbitrationCosts";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "SellerOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "TimeoutNotPassed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "TransactionDisputed";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_arbitrableDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_externalDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_templateId";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_templateUri";
                    readonly type: "string";
                }];
                readonly name: "DisputeRequest";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "enum Escrow.Party";
                    readonly name: "_party";
                    readonly type: "uint8";
                }];
                readonly name: "HasToPayFee";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "address";
                    readonly name: "_party";
                    readonly type: "address";
                }];
                readonly name: "Payment";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_ruling";
                    readonly type: "uint256";
                }];
                readonly name: "Ruling";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_buyer";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_seller";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "TransactionCreated";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "enum Escrow.Resolution";
                    readonly name: "_resolution";
                    readonly type: "uint8";
                }];
                readonly name: "TransactionResolved";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "AMOUNT_OF_CHOICES";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "arbitrator";
                readonly outputs: readonly [{
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "arbitratorExtraData";
                readonly outputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IArbitratorV2";
                    readonly name: "_arbitrator";
                    readonly type: "address";
                }];
                readonly name: "changeArbitrator";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "_arbitratorExtraData";
                    readonly type: "bytes";
                }];
                readonly name: "changeArbitratorExtraData";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "_templateData";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateDataMappings";
                    readonly type: "string";
                }];
                readonly name: "changeDisputeTemplate";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IDisputeTemplateRegistry";
                    readonly name: "_templateRegistry";
                    readonly type: "address";
                }];
                readonly name: "changeTemplateRegistry";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_timeoutPayment";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "address payable";
                    readonly name: "_seller";
                    readonly type: "address";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateData";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_templateDataMappings";
                    readonly type: "string";
                }];
                readonly name: "createTransaction";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "transactionID";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "disputeIDtoTransactionID";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }];
                readonly name: "executeTransaction";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "feeTimeout";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "getCountTransactions";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "pay";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }];
                readonly name: "payArbitrationFeeByBuyer";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }];
                readonly name: "payArbitrationFeeBySeller";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_amountReimbursed";
                    readonly type: "uint256";
                }];
                readonly name: "reimburse";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_ruling";
                    readonly type: "uint256";
                }];
                readonly name: "rule";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "templateId";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "templateRegistry";
                readonly outputs: readonly [{
                    readonly internalType: "contract IDisputeTemplateRegistry";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }];
                readonly name: "timeOutByBuyer";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_transactionID";
                    readonly type: "uint256";
                }];
                readonly name: "timeOutBySeller";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "transactions";
                readonly outputs: readonly [{
                    readonly internalType: "address payable";
                    readonly name: "buyer";
                    readonly type: "address";
                }, {
                    readonly internalType: "address payable";
                    readonly name: "seller";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "deadline";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "buyerFee";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "sellerFee";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "lastFeePaymentTime";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "string";
                    readonly name: "templateData";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "templateDataMappings";
                    readonly type: "string";
                }, {
                    readonly internalType: "enum Escrow.Status";
                    readonly name: "status";
                    readonly type: "uint8";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }];
        };
        readonly EvidenceModule: {
            readonly address: "0xE4066AE16685F66e30fb22e932B67E49220095c0";
            readonly abi: readonly [{
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_externalDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_party";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_evidence";
                    readonly type: "string";
                }];
                readonly name: "Evidence";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_externalDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "string";
                    readonly name: "_evidence";
                    readonly type: "string";
                }];
                readonly name: "submitEvidence";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }];
        };
        readonly EvidenceModule_Implementation: {
            readonly address: "0xD8609345DEe222051337b3A8335581Cc630Df2E9";
            readonly abi: readonly [{
                readonly inputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_externalDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_party";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_evidence";
                    readonly type: "string";
                }];
                readonly name: "Evidence";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_externalDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "string";
                    readonly name: "_evidence";
                    readonly type: "string";
                }];
                readonly name: "submitEvidence";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }];
        };
        readonly EvidenceModule_Proxy: {
            readonly address: "0xE4066AE16685F66e30fb22e932B67E49220095c0";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }];
        };
        readonly KlerosCore: {
            readonly address: "0x33d0b8879368acD8ca868e656Ade97bB97b90468";
            readonly abi: readonly [{
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "AppealFeesNotEnough";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "AppealPeriodNotPassed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "ArbitrationFeesNotEnough";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "ArraysLengthMismatch";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "CannotDisableClassicDK";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "CommitPeriodNotPassed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DepthLevelMax";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeKitNotSupportedByCourt";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeKitOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeNotAppealable";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputePeriodIsFinal";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeStillDrawing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "EvidenceNotPassedAndNotAppeal";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "GovernorOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "InvalidDisputKitParent";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "InvalidForkingCourtAsParent";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "MinStakeLowerThanParentCourt";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "MustSupportDisputeKitClassic";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotEvidencePeriod";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotExecutionPeriod";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "RulingAlreadyExecuted";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "SortitionModuleOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "StakingFailed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "TokenNotAccepted";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "TransferFailed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UnsuccessfulCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UnsupportedDisputeKit";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "VotePeriodNotPassed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "WrongDisputeKitIndex";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IERC20";
                    readonly name: "_token";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "bool";
                    readonly name: "_accepted";
                    readonly type: "bool";
                }];
                readonly name: "AcceptedFeeToken";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "_arbitrable";
                    readonly type: "address";
                }];
                readonly name: "AppealDecision";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "_arbitrable";
                    readonly type: "address";
                }];
                readonly name: "AppealPossible";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_parent";
                    readonly type: "uint96";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_minStake";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_alpha";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[]";
                    readonly name: "_supportedDisputeKits";
                    readonly type: "uint256[]";
                }];
                readonly name: "CourtCreated";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_fromCourtID";
                    readonly type: "uint96";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint96";
                    readonly name: "_toCourtID";
                    readonly type: "uint96";
                }];
                readonly name: "CourtJump";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_minStake";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_alpha";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }];
                readonly name: "CourtModified";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "_arbitrable";
                    readonly type: "address";
                }];
                readonly name: "DisputeCreation";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeKitID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "contract IDisputeKit";
                    readonly name: "_disputeKitAddress";
                    readonly type: "address";
                }];
                readonly name: "DisputeKitCreated";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeKitID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "bool";
                    readonly name: "_enable";
                    readonly type: "bool";
                }];
                readonly name: "DisputeKitEnabled";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_fromDisputeKitID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_toDisputeKitID";
                    readonly type: "uint256";
                }];
                readonly name: "DisputeKitJump";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_voteID";
                    readonly type: "uint256";
                }];
                readonly name: "Draw";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_pnkAmount";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_feeAmount";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }];
                readonly name: "LeftoverRewardSent";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "_rateInEth";
                    readonly type: "uint64";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint8";
                    readonly name: "_rateDecimals";
                    readonly type: "uint8";
                }];
                readonly name: "NewCurrencyRate";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "enum KlerosCore.Period";
                    readonly name: "_period";
                    readonly type: "uint8";
                }];
                readonly name: "NewPeriod";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "_arbitrable";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_ruling";
                    readonly type: "uint256";
                }];
                readonly name: "Ruling";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_degreeOfCoherency";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "int256";
                    readonly name: "_pnkAmount";
                    readonly type: "int256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "int256";
                    readonly name: "_feeAmount";
                    readonly type: "int256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }];
                readonly name: "TokenAndETHShift";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IDisputeKit";
                    readonly name: "_disputeKitAddress";
                    readonly type: "address";
                }];
                readonly name: "addNewDisputeKit";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "appeal";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "appealCost";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "cost";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "appealPeriod";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "start";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "end";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }];
                readonly name: "arbitrationCost";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "cost";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "arbitrationCost";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "cost";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_accepted";
                    readonly type: "bool";
                }];
                readonly name: "changeAcceptedFeeTokens";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_minStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_alpha";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }];
                readonly name: "changeCourtParameters";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint64";
                    readonly name: "_rateInEth";
                    readonly type: "uint64";
                }, {
                    readonly internalType: "uint8";
                    readonly name: "_rateDecimals";
                    readonly type: "uint8";
                }];
                readonly name: "changeCurrencyRates";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address payable";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_jurorProsecutionModule";
                    readonly type: "address";
                }];
                readonly name: "changeJurorProsecutionModule";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_pinakion";
                    readonly type: "address";
                }];
                readonly name: "changePinakion";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract ISortitionModule";
                    readonly name: "_sortitionModule";
                    readonly type: "address";
                }];
                readonly name: "changeSortitionModule";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_toToken";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_amountInEth";
                    readonly type: "uint256";
                }];
                readonly name: "convertEthToTokenAmount";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "courts";
                readonly outputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "parent";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "bool";
                    readonly name: "hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "minStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "alpha";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "disabled";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_parent";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_minStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_alpha";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_sortitionExtraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "uint256[]";
                    readonly name: "_supportedDisputeKits";
                    readonly type: "uint256[]";
                }];
                readonly name: "createCourt";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "createDispute";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "disputeID";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_feeAmount";
                    readonly type: "uint256";
                }];
                readonly name: "createDispute";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "disputeID";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly name: "currencyRates";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "feePaymentAccepted";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint64";
                    readonly name: "rateInEth";
                    readonly type: "uint64";
                }, {
                    readonly internalType: "uint8";
                    readonly name: "rateDecimals";
                    readonly type: "uint8";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "currentRuling";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "ruling";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "tied";
                    readonly type: "bool";
                }, {
                    readonly internalType: "bool";
                    readonly name: "overridden";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "disputeKits";
                readonly outputs: readonly [{
                    readonly internalType: "contract IDisputeKit";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "disputes";
                readonly outputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "arbitrated";
                    readonly type: "address";
                }, {
                    readonly internalType: "enum KlerosCore.Period";
                    readonly name: "period";
                    readonly type: "uint8";
                }, {
                    readonly internalType: "bool";
                    readonly name: "ruled";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "lastPeriodChange";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_iterations";
                    readonly type: "uint256";
                }];
                readonly name: "draw";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256[]";
                    readonly name: "_disputeKitIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_enable";
                    readonly type: "bool";
                }];
                readonly name: "enableDisputeKits";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_round";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_iterations";
                    readonly type: "uint256";
                }];
                readonly name: "execute";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_destination";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly name: "executeGovernorProposal";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "executeRuling";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "getDisputeKitsLength";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "getNumberOfRounds";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "getNumberOfVotes";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_round";
                    readonly type: "uint256";
                }];
                readonly name: "getRoundInfo";
                readonly outputs: readonly [{
                    readonly components: readonly [{
                        readonly internalType: "uint256";
                        readonly name: "disputeKitID";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "pnkAtStakePerJuror";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "totalFeesForJurors";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "nbVotes";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "repartitions";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "pnkPenalties";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "address[]";
                        readonly name: "drawnJurors";
                        readonly type: "address[]";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "sumFeeRewardPaid";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "sumPnkRewardPaid";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "contract IERC20";
                        readonly name: "feeToken";
                        readonly type: "address";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "drawIterations";
                        readonly type: "uint256";
                    }];
                    readonly internalType: "struct KlerosCore.Round";
                    readonly name: "";
                    readonly type: "tuple";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }];
                readonly name: "getTimesPerPeriod";
                readonly outputs: readonly [{
                    readonly internalType: "uint256[4]";
                    readonly name: "timesPerPeriod";
                    readonly type: "uint256[4]";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract IERC20";
                    readonly name: "_pinakion";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "_jurorProsecutionModule";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract IDisputeKit";
                    readonly name: "_disputeKit";
                    readonly type: "address";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256[4]";
                    readonly name: "_courtParameters";
                    readonly type: "uint256[4]";
                }, {
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_sortitionExtraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "contract ISortitionModule";
                    readonly name: "_sortitionModuleAddress";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "isDisputeKitJumping";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_disputeKitID";
                    readonly type: "uint256";
                }];
                readonly name: "isSupported";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "jurorProsecutionModule";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "passPeriod";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "pinakion";
                readonly outputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_newStake";
                    readonly type: "uint256";
                }];
                readonly name: "setStake";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_newStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_alreadyTransferred";
                    readonly type: "bool";
                }];
                readonly name: "setStakeBySortitionModule";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "sortitionModule";
                readonly outputs: readonly [{
                    readonly internalType: "contract ISortitionModule";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }];
        };
        readonly KlerosCore_Implementation: {
            readonly address: "0x6FDc191b55a03e840b36793e433A932EeCEa40BE";
            readonly abi: readonly [{
                readonly inputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "AppealFeesNotEnough";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "AppealPeriodNotPassed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "ArbitrationFeesNotEnough";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "ArraysLengthMismatch";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "CannotDisableClassicDK";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "CommitPeriodNotPassed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DepthLevelMax";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeKitNotSupportedByCourt";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeKitOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeNotAppealable";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputePeriodIsFinal";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "DisputeStillDrawing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "EvidenceNotPassedAndNotAppeal";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "GovernorOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "InvalidDisputKitParent";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "InvalidForkingCourtAsParent";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "MinStakeLowerThanParentCourt";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "MustSupportDisputeKitClassic";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotEvidencePeriod";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotExecutionPeriod";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "RulingAlreadyExecuted";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "SortitionModuleOnly";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "StakingFailed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "TokenNotAccepted";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "TransferFailed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UnsuccessfulCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UnsupportedDisputeKit";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "VotePeriodNotPassed";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "WrongDisputeKitIndex";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IERC20";
                    readonly name: "_token";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "bool";
                    readonly name: "_accepted";
                    readonly type: "bool";
                }];
                readonly name: "AcceptedFeeToken";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "_arbitrable";
                    readonly type: "address";
                }];
                readonly name: "AppealDecision";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "_arbitrable";
                    readonly type: "address";
                }];
                readonly name: "AppealPossible";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_parent";
                    readonly type: "uint96";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_minStake";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_alpha";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[]";
                    readonly name: "_supportedDisputeKits";
                    readonly type: "uint256[]";
                }];
                readonly name: "CourtCreated";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_fromCourtID";
                    readonly type: "uint96";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint96";
                    readonly name: "_toCourtID";
                    readonly type: "uint96";
                }];
                readonly name: "CourtJump";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_minStake";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_alpha";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }];
                readonly name: "CourtModified";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "_arbitrable";
                    readonly type: "address";
                }];
                readonly name: "DisputeCreation";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeKitID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "contract IDisputeKit";
                    readonly name: "_disputeKitAddress";
                    readonly type: "address";
                }];
                readonly name: "DisputeKitCreated";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeKitID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "bool";
                    readonly name: "_enable";
                    readonly type: "bool";
                }];
                readonly name: "DisputeKitEnabled";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_fromDisputeKitID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_toDisputeKitID";
                    readonly type: "uint256";
                }];
                readonly name: "DisputeKitJump";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_voteID";
                    readonly type: "uint256";
                }];
                readonly name: "Draw";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_pnkAmount";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_feeAmount";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }];
                readonly name: "LeftoverRewardSent";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "_rateInEth";
                    readonly type: "uint64";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint8";
                    readonly name: "_rateDecimals";
                    readonly type: "uint8";
                }];
                readonly name: "NewCurrencyRate";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "enum KlerosCore.Period";
                    readonly name: "_period";
                    readonly type: "uint8";
                }];
                readonly name: "NewPeriod";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "_arbitrable";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_ruling";
                    readonly type: "uint256";
                }];
                readonly name: "Ruling";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_roundID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_degreeOfCoherency";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "int256";
                    readonly name: "_pnkAmount";
                    readonly type: "int256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "int256";
                    readonly name: "_feeAmount";
                    readonly type: "int256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }];
                readonly name: "TokenAndETHShift";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IDisputeKit";
                    readonly name: "_disputeKitAddress";
                    readonly type: "address";
                }];
                readonly name: "addNewDisputeKit";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "appeal";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "appealCost";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "cost";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "appealPeriod";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "start";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "end";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }];
                readonly name: "arbitrationCost";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "cost";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "arbitrationCost";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "cost";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_accepted";
                    readonly type: "bool";
                }];
                readonly name: "changeAcceptedFeeTokens";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_minStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_alpha";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }];
                readonly name: "changeCourtParameters";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint64";
                    readonly name: "_rateInEth";
                    readonly type: "uint64";
                }, {
                    readonly internalType: "uint8";
                    readonly name: "_rateDecimals";
                    readonly type: "uint8";
                }];
                readonly name: "changeCurrencyRates";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address payable";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_jurorProsecutionModule";
                    readonly type: "address";
                }];
                readonly name: "changeJurorProsecutionModule";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_pinakion";
                    readonly type: "address";
                }];
                readonly name: "changePinakion";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract ISortitionModule";
                    readonly name: "_sortitionModule";
                    readonly type: "address";
                }];
                readonly name: "changeSortitionModule";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_toToken";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_amountInEth";
                    readonly type: "uint256";
                }];
                readonly name: "convertEthToTokenAmount";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "courts";
                readonly outputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "parent";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "bool";
                    readonly name: "hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "minStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "alpha";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "disabled";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_parent";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_minStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_alpha";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_feeForJuror";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_jurorsForCourtJump";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_sortitionExtraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "uint256[]";
                    readonly name: "_supportedDisputeKits";
                    readonly type: "uint256[]";
                }];
                readonly name: "createCourt";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "createDispute";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "disputeID";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_numberOfChoices";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "contract IERC20";
                    readonly name: "_feeToken";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_feeAmount";
                    readonly type: "uint256";
                }];
                readonly name: "createDispute";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "disputeID";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly name: "currencyRates";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "feePaymentAccepted";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint64";
                    readonly name: "rateInEth";
                    readonly type: "uint64";
                }, {
                    readonly internalType: "uint8";
                    readonly name: "rateDecimals";
                    readonly type: "uint8";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "currentRuling";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "ruling";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "tied";
                    readonly type: "bool";
                }, {
                    readonly internalType: "bool";
                    readonly name: "overridden";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "disputeKits";
                readonly outputs: readonly [{
                    readonly internalType: "contract IDisputeKit";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "disputes";
                readonly outputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "contract IArbitrableV2";
                    readonly name: "arbitrated";
                    readonly type: "address";
                }, {
                    readonly internalType: "enum KlerosCore.Period";
                    readonly name: "period";
                    readonly type: "uint8";
                }, {
                    readonly internalType: "bool";
                    readonly name: "ruled";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "lastPeriodChange";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_iterations";
                    readonly type: "uint256";
                }];
                readonly name: "draw";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256[]";
                    readonly name: "_disputeKitIDs";
                    readonly type: "uint256[]";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_enable";
                    readonly type: "bool";
                }];
                readonly name: "enableDisputeKits";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_round";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_iterations";
                    readonly type: "uint256";
                }];
                readonly name: "execute";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_destination";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly name: "executeGovernorProposal";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "executeRuling";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "getDisputeKitsLength";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "getNumberOfRounds";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "getNumberOfVotes";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_round";
                    readonly type: "uint256";
                }];
                readonly name: "getRoundInfo";
                readonly outputs: readonly [{
                    readonly components: readonly [{
                        readonly internalType: "uint256";
                        readonly name: "disputeKitID";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "pnkAtStakePerJuror";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "totalFeesForJurors";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "nbVotes";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "repartitions";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "pnkPenalties";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "address[]";
                        readonly name: "drawnJurors";
                        readonly type: "address[]";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "sumFeeRewardPaid";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "sumPnkRewardPaid";
                        readonly type: "uint256";
                    }, {
                        readonly internalType: "contract IERC20";
                        readonly name: "feeToken";
                        readonly type: "address";
                    }, {
                        readonly internalType: "uint256";
                        readonly name: "drawIterations";
                        readonly type: "uint256";
                    }];
                    readonly internalType: "struct KlerosCore.Round";
                    readonly name: "";
                    readonly type: "tuple";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }];
                readonly name: "getTimesPerPeriod";
                readonly outputs: readonly [{
                    readonly internalType: "uint256[4]";
                    readonly name: "timesPerPeriod";
                    readonly type: "uint256[4]";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract IERC20";
                    readonly name: "_pinakion";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "_jurorProsecutionModule";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract IDisputeKit";
                    readonly name: "_disputeKit";
                    readonly type: "address";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_hiddenVotes";
                    readonly type: "bool";
                }, {
                    readonly internalType: "uint256[4]";
                    readonly name: "_courtParameters";
                    readonly type: "uint256[4]";
                }, {
                    readonly internalType: "uint256[4]";
                    readonly name: "_timesPerPeriod";
                    readonly type: "uint256[4]";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_sortitionExtraData";
                    readonly type: "bytes";
                }, {
                    readonly internalType: "contract ISortitionModule";
                    readonly name: "_sortitionModuleAddress";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "isDisputeKitJumping";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_disputeKitID";
                    readonly type: "uint256";
                }];
                readonly name: "isSupported";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "jurorProsecutionModule";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_disputeID";
                    readonly type: "uint256";
                }];
                readonly name: "passPeriod";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "pinakion";
                readonly outputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_newStake";
                    readonly type: "uint256";
                }];
                readonly name: "setStake";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_newStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_alreadyTransferred";
                    readonly type: "bool";
                }];
                readonly name: "setStakeBySortitionModule";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "sortitionModule";
                readonly outputs: readonly [{
                    readonly internalType: "contract ISortitionModule";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }];
        };
        readonly KlerosCore_Proxy: {
            readonly address: "0x33d0b8879368acD8ca868e656Ade97bB97b90468";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }];
        };
        readonly PNK: {
            readonly address: "0x34B944D42cAcfC8266955D07A80181D2054aa225";
            readonly abi: readonly [{
                readonly inputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "owner";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "value";
                    readonly type: "uint256";
                }];
                readonly name: "Approval";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "from";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "value";
                    readonly type: "uint256";
                }];
                readonly name: "Transfer";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "owner";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }];
                readonly name: "allowance";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "approve";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "account";
                    readonly type: "address";
                }];
                readonly name: "balanceOf";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "decimals";
                readonly outputs: readonly [{
                    readonly internalType: "uint8";
                    readonly name: "";
                    readonly type: "uint8";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "subtractedValue";
                    readonly type: "uint256";
                }];
                readonly name: "decreaseAllowance";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "addedValue";
                    readonly type: "uint256";
                }];
                readonly name: "increaseAllowance";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "name";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "symbol";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "totalSupply";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "transfer";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "from";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "transferFrom";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }];
        };
        readonly PNKFaucet: {
            readonly address: "0x0273512759B5E80031725332da12E91E9F8Bf667";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_token";
                    readonly type: "address";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "amount";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "balance";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "changeAmount";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "request";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "token";
                readonly outputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "withdraw";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly name: "withdrewAlready";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }];
        };
        readonly PinakionV2: {
            readonly address: "0x34B944D42cAcfC8266955D07A80181D2054aa225";
            readonly abi: readonly [{
                readonly inputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "owner";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "value";
                    readonly type: "uint256";
                }];
                readonly name: "Approval";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "from";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "value";
                    readonly type: "uint256";
                }];
                readonly name: "Transfer";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "owner";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }];
                readonly name: "allowance";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "approve";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "account";
                    readonly type: "address";
                }];
                readonly name: "balanceOf";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "decimals";
                readonly outputs: readonly [{
                    readonly internalType: "uint8";
                    readonly name: "";
                    readonly type: "uint8";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "subtractedValue";
                    readonly type: "uint256";
                }];
                readonly name: "decreaseAllowance";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "addedValue";
                    readonly type: "uint256";
                }];
                readonly name: "increaseAllowance";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "name";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "symbol";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "totalSupply";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "transfer";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "from";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "transferFrom";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }];
        };
        readonly PolicyRegistry: {
            readonly address: "0xb177AC8827146AC74C412688c6b10676ca170096";
            readonly abi: readonly [{
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_courtName";
                    readonly type: "string";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_policy";
                    readonly type: "string";
                }];
                readonly name: "PolicyUpdate";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "policies";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "string";
                    readonly name: "_courtName";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_policy";
                    readonly type: "string";
                }];
                readonly name: "setPolicy";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }];
        };
        readonly PolicyRegistry_Implementation: {
            readonly address: "0xd543D50dcba2c3E067296210D64c8F91206Df908";
            readonly abi: readonly [{
                readonly inputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_courtName";
                    readonly type: "string";
                }, {
                    readonly indexed: false;
                    readonly internalType: "string";
                    readonly name: "_policy";
                    readonly type: "string";
                }];
                readonly name: "PolicyUpdate";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "policies";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "string";
                    readonly name: "_courtName";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_policy";
                    readonly type: "string";
                }];
                readonly name: "setPolicy";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }];
        };
        readonly PolicyRegistry_Proxy: {
            readonly address: "0xb177AC8827146AC74C412688c6b10676ca170096";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }];
        };
        readonly RandomizerOracle: {
            readonly address: "0xE775D7fde1d0D09ae627C0131040012ccBcC4b9b";
            readonly abi: readonly [];
        };
        readonly RandomizerRNG: {
            readonly address: "0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC";
            readonly abi: readonly [{
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "callbackGasLimit";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IRandomizer";
                    readonly name: "_randomizer";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "randomNumbers";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "randomizer";
                readonly outputs: readonly [{
                    readonly internalType: "contract IRandomizer";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_id";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes32";
                    readonly name: "_value";
                    readonly type: "bytes32";
                }];
                readonly name: "randomizerCallback";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "randomizerWithdraw";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "receiveRandomness";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "randomNumber";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "requestRandomness";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly name: "requesterToID";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_callbackGasLimit";
                    readonly type: "uint256";
                }];
                readonly name: "setCallbackGasLimit";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_randomizer";
                    readonly type: "address";
                }];
                readonly name: "setRandomizer";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }];
        };
        readonly RandomizerRNG_Implementation: {
            readonly address: "0x121F321f8F803fb88A895b969D6E26C672121149";
            readonly abi: readonly [{
                readonly inputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "callbackGasLimit";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract IRandomizer";
                    readonly name: "_randomizer";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "randomNumbers";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "randomizer";
                readonly outputs: readonly [{
                    readonly internalType: "contract IRandomizer";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_id";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bytes32";
                    readonly name: "_value";
                    readonly type: "bytes32";
                }];
                readonly name: "randomizerCallback";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "randomizerWithdraw";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "receiveRandomness";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "randomNumber";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "requestRandomness";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly name: "requesterToID";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_callbackGasLimit";
                    readonly type: "uint256";
                }];
                readonly name: "setCallbackGasLimit";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_randomizer";
                    readonly type: "address";
                }];
                readonly name: "setRandomizer";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }];
        };
        readonly RandomizerRNG_Proxy: {
            readonly address: "0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }];
        };
        readonly SortitionModule: {
            readonly address: "0x3645F9e08D80E47c82aD9E33fCB4EA703822C831";
            readonly abi: readonly [{
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "enum ISortitionModule.Phase";
                    readonly name: "_phase";
                    readonly type: "uint8";
                }];
                readonly name: "NewPhase";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "StakeDelayedAlreadyTransferred";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "StakeDelayedAlreadyTransferredWithdrawn";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "StakeDelayedNotTransferred";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_relativeAmount";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bool";
                    readonly name: "_unlock";
                    readonly type: "bool";
                }];
                readonly name: "StakeLocked";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "StakeSet";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "DEFAULT_K";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "MAX_STAKE_PATHS";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_maxDrawingTime";
                    readonly type: "uint256";
                }];
                readonly name: "changeMaxDrawingTime";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_minStakingTime";
                    readonly type: "uint256";
                }];
                readonly name: "changeMinStakingTime";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract RNG";
                    readonly name: "_rng";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_rngLookahead";
                    readonly type: "uint256";
                }];
                readonly name: "changeRandomNumberGenerator";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "core";
                readonly outputs: readonly [{
                    readonly internalType: "contract KlerosCore";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "createDisputeHook";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "_key";
                    readonly type: "bytes32";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "createTree";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "delayedStakeReadIndex";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "delayedStakeWriteIndex";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "delayedStakes";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "stake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "alreadyTransferred";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "disputesWithoutJurors";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "_key";
                    readonly type: "bytes32";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_nonce";
                    readonly type: "uint256";
                }];
                readonly name: "draw";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "drawnAddress";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_iterations";
                    readonly type: "uint256";
                }];
                readonly name: "executeDelayedStakes";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }];
                readonly name: "getJurorBalance";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "totalStaked";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "totalLocked";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "stakedInCourt";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "nbCourts";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }];
                readonly name: "getJurorCourtIDs";
                readonly outputs: readonly [{
                    readonly internalType: "uint96[]";
                    readonly name: "";
                    readonly type: "uint96[]";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract KlerosCore";
                    readonly name: "_core";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_minStakingTime";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_maxDrawingTime";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "contract RNG";
                    readonly name: "_rng";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_rngLookahead";
                    readonly type: "uint256";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }];
                readonly name: "isJurorStaked";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly name: "jurors";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "stakedPnk";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "lockedPnk";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "lastPhaseChange";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "";
                    readonly type: "uint96";
                }];
                readonly name: "latestDelayedStakeIndex";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_relativeAmount";
                    readonly type: "uint256";
                }];
                readonly name: "lockStake";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "maxDrawingTime";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "minStakingTime";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_randomNumber";
                    readonly type: "uint256";
                }];
                readonly name: "notifyRandomNumber";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "passPhase";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_relativeAmount";
                    readonly type: "uint256";
                }];
                readonly name: "penalizeStake";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "phase";
                readonly outputs: readonly [{
                    readonly internalType: "enum ISortitionModule.Phase";
                    readonly name: "";
                    readonly type: "uint8";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "postDrawHook";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "randomNumber";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "randomNumberRequestBlock";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "rng";
                readonly outputs: readonly [{
                    readonly internalType: "contract RNG";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "rngLookahead";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }];
                readonly name: "setJurorInactive";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_newStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_alreadyTransferred";
                    readonly type: "bool";
                }];
                readonly name: "setStake";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "pnkDeposit";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "pnkWithdrawal";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "succeeded";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "_key";
                    readonly type: "bytes32";
                }, {
                    readonly internalType: "bytes32";
                    readonly name: "_ID";
                    readonly type: "bytes32";
                }];
                readonly name: "stakeOf";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }];
                readonly name: "stakeOf";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_relativeAmount";
                    readonly type: "uint256";
                }];
                readonly name: "unlockStake";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }];
        };
        readonly SortitionModule_Implementation: {
            readonly address: "0xAf48e32f89339438572a04455b1C4B2fF1659c8f";
            readonly abi: readonly [{
                readonly inputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "AlreadyInitialized";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "FailedDelegateCall";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "implementation";
                    readonly type: "address";
                }];
                readonly name: "InvalidImplementation";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "NotInitializing";
                readonly type: "error";
            }, {
                readonly inputs: readonly [];
                readonly name: "UUPSUnauthorizedCallContext";
                readonly type: "error";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "slot";
                    readonly type: "bytes32";
                }];
                readonly name: "UUPSUnsupportedProxiableUUID";
                readonly type: "error";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "version";
                    readonly type: "uint64";
                }];
                readonly name: "Initialized";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "enum ISortitionModule.Phase";
                    readonly name: "_phase";
                    readonly type: "uint8";
                }];
                readonly name: "NewPhase";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "StakeDelayedAlreadyTransferred";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "StakeDelayedAlreadyTransferredWithdrawn";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "StakeDelayedNotTransferred";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_relativeAmount";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bool";
                    readonly name: "_unlock";
                    readonly type: "bool";
                }];
                readonly name: "StakeLocked";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "_address";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_courtID";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "StakeSet";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }];
                readonly name: "Upgraded";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "DEFAULT_K";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "MAX_STAKE_PATHS";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_maxDrawingTime";
                    readonly type: "uint256";
                }];
                readonly name: "changeMaxDrawingTime";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_minStakingTime";
                    readonly type: "uint256";
                }];
                readonly name: "changeMinStakingTime";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "contract RNG";
                    readonly name: "_rng";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_rngLookahead";
                    readonly type: "uint256";
                }];
                readonly name: "changeRandomNumberGenerator";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "core";
                readonly outputs: readonly [{
                    readonly internalType: "contract KlerosCore";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "createDisputeHook";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "_key";
                    readonly type: "bytes32";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_extraData";
                    readonly type: "bytes";
                }];
                readonly name: "createTree";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "delayedStakeReadIndex";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "delayedStakeWriteIndex";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "delayedStakes";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "stake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "alreadyTransferred";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "disputesWithoutJurors";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "_key";
                    readonly type: "bytes32";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_coreDisputeID";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_nonce";
                    readonly type: "uint256";
                }];
                readonly name: "draw";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "drawnAddress";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_iterations";
                    readonly type: "uint256";
                }];
                readonly name: "executeDelayedStakes";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }];
                readonly name: "getJurorBalance";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "totalStaked";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "totalLocked";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "stakedInCourt";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "nbCourts";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }];
                readonly name: "getJurorCourtIDs";
                readonly outputs: readonly [{
                    readonly internalType: "uint96[]";
                    readonly name: "";
                    readonly type: "uint96[]";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }, {
                    readonly internalType: "contract KlerosCore";
                    readonly name: "_core";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_minStakingTime";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_maxDrawingTime";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "contract RNG";
                    readonly name: "_rng";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_rngLookahead";
                    readonly type: "uint256";
                }];
                readonly name: "initialize";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }];
                readonly name: "isJurorStaked";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly name: "jurors";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "stakedPnk";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "lockedPnk";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "lastPhaseChange";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "";
                    readonly type: "uint96";
                }];
                readonly name: "latestDelayedStakeIndex";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_relativeAmount";
                    readonly type: "uint256";
                }];
                readonly name: "lockStake";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "maxDrawingTime";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "minStakingTime";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_randomNumber";
                    readonly type: "uint256";
                }];
                readonly name: "notifyRandomNumber";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "passPhase";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_relativeAmount";
                    readonly type: "uint256";
                }];
                readonly name: "penalizeStake";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "phase";
                readonly outputs: readonly [{
                    readonly internalType: "enum ISortitionModule.Phase";
                    readonly name: "";
                    readonly type: "uint8";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "postDrawHook";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "proxiableUUID";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "randomNumber";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "randomNumberRequestBlock";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "rng";
                readonly outputs: readonly [{
                    readonly internalType: "contract RNG";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "rngLookahead";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }];
                readonly name: "setJurorInactive";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_newStake";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "_alreadyTransferred";
                    readonly type: "bool";
                }];
                readonly name: "setStake";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "pnkDeposit";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "pnkWithdrawal";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "bool";
                    readonly name: "succeeded";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "_key";
                    readonly type: "bytes32";
                }, {
                    readonly internalType: "bytes32";
                    readonly name: "_ID";
                    readonly type: "bytes32";
                }];
                readonly name: "stakeOf";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_juror";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint96";
                    readonly name: "_courtID";
                    readonly type: "uint96";
                }];
                readonly name: "stakeOf";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_account";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "_relativeAmount";
                    readonly type: "uint256";
                }];
                readonly name: "unlockStake";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "newImplementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "data";
                    readonly type: "bytes";
                }];
                readonly name: "upgradeToAndCall";
                readonly outputs: readonly [];
                readonly stateMutability: "payable";
                readonly type: "function";
            }];
        };
        readonly SortitionModule_Proxy: {
            readonly address: "0x3645F9e08D80E47c82aD9E33fCB4EA703822C831";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_implementation";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly stateMutability: "payable";
                readonly type: "fallback";
            }, {
                readonly stateMutability: "payable";
                readonly type: "receive";
            }];
        };
        readonly WETH: {
            readonly address: "0xAEE953CC26DbDeA52beBE3F97f281981f2B9d511";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "_name";
                    readonly type: "string";
                }, {
                    readonly internalType: "string";
                    readonly name: "_symbol";
                    readonly type: "string";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "owner";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "value";
                    readonly type: "uint256";
                }];
                readonly name: "Approval";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "from";
                    readonly type: "address";
                }, {
                    readonly indexed: true;
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "value";
                    readonly type: "uint256";
                }];
                readonly name: "Transfer";
                readonly type: "event";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "owner";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }];
                readonly name: "allowance";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "approve";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "account";
                    readonly type: "address";
                }];
                readonly name: "balanceOf";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "decimals";
                readonly outputs: readonly [{
                    readonly internalType: "uint8";
                    readonly name: "";
                    readonly type: "uint8";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "subtractedValue";
                    readonly type: "uint256";
                }];
                readonly name: "decreaseAllowance";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "spender";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "addedValue";
                    readonly type: "uint256";
                }];
                readonly name: "increaseAllowance";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "name";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "symbol";
                readonly outputs: readonly [{
                    readonly internalType: "string";
                    readonly name: "";
                    readonly type: "string";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "totalSupply";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "transfer";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "from";
                    readonly type: "address";
                }, {
                    readonly internalType: "address";
                    readonly name: "to";
                    readonly type: "address";
                }, {
                    readonly internalType: "uint256";
                    readonly name: "amount";
                    readonly type: "uint256";
                }];
                readonly name: "transferFrom";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }];
        };
        readonly WETHFaucet: {
            readonly address: "0x922B84134e41BC5c9EDE7D5EFCE22Ba3D0e71835";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "_token";
                    readonly type: "address";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly inputs: readonly [];
                readonly name: "amount";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "balance";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_amount";
                    readonly type: "uint256";
                }];
                readonly name: "changeAmount";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_governor";
                    readonly type: "address";
                }];
                readonly name: "changeGovernor";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "governor";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "request";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "token";
                readonly outputs: readonly [{
                    readonly internalType: "contract IERC20";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "withdraw";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly name: "withdrewAlready";
                readonly outputs: readonly [{
                    readonly internalType: "bool";
                    readonly name: "";
                    readonly type: "bool";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }];
        };
        readonly VeaInboxArbToEthDevnet: {
            readonly address: "0x77e95F54032f467eC45c48C6affc203f93858783";
            readonly abi: readonly [{
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_epochPeriod";
                    readonly type: "uint256";
                }, {
                    readonly internalType: "address";
                    readonly name: "_veaOutboxArbToEth";
                    readonly type: "address";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "constructor";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "bytes";
                    readonly name: "_nodeData";
                    readonly type: "bytes";
                }];
                readonly name: "MessageSent";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: false;
                    readonly internalType: "bytes32";
                    readonly name: "_snapshot";
                    readonly type: "bytes32";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint256";
                    readonly name: "_epoch";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "uint64";
                    readonly name: "_count";
                    readonly type: "uint64";
                }];
                readonly name: "SnapshotSaved";
                readonly type: "event";
            }, {
                readonly anonymous: false;
                readonly inputs: readonly [{
                    readonly indexed: true;
                    readonly internalType: "uint256";
                    readonly name: "_epochSent";
                    readonly type: "uint256";
                }, {
                    readonly indexed: false;
                    readonly internalType: "bytes32";
                    readonly name: "_ticketId";
                    readonly type: "bytes32";
                }];
                readonly name: "SnapshotSent";
                readonly type: "event";
            }, {
                readonly inputs: readonly [];
                readonly name: "count";
                readonly outputs: readonly [{
                    readonly internalType: "uint64";
                    readonly name: "";
                    readonly type: "uint64";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_timestamp";
                    readonly type: "uint256";
                }];
                readonly name: "epochAt";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "epoch";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "epochFinalized";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "epoch";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "epochNow";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "epoch";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "epochPeriod";
                readonly outputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "saveSnapshot";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "_to";
                    readonly type: "address";
                }, {
                    readonly internalType: "bytes4";
                    readonly name: "_fnSelector";
                    readonly type: "bytes4";
                }, {
                    readonly internalType: "bytes";
                    readonly name: "_data";
                    readonly type: "bytes";
                }];
                readonly name: "sendMessage";
                readonly outputs: readonly [{
                    readonly internalType: "uint64";
                    readonly name: "";
                    readonly type: "uint64";
                }];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "_epoch";
                    readonly type: "uint256";
                }, {
                    readonly components: readonly [{
                        readonly internalType: "bytes32";
                        readonly name: "stateRoot";
                        readonly type: "bytes32";
                    }, {
                        readonly internalType: "address";
                        readonly name: "claimer";
                        readonly type: "address";
                    }, {
                        readonly internalType: "uint32";
                        readonly name: "timestampClaimed";
                        readonly type: "uint32";
                    }, {
                        readonly internalType: "uint32";
                        readonly name: "timestampVerification";
                        readonly type: "uint32";
                    }, {
                        readonly internalType: "uint32";
                        readonly name: "blocknumberVerification";
                        readonly type: "uint32";
                    }, {
                        readonly internalType: "enum Party";
                        readonly name: "honest";
                        readonly type: "uint8";
                    }, {
                        readonly internalType: "address";
                        readonly name: "challenger";
                        readonly type: "address";
                    }];
                    readonly internalType: "struct Claim";
                    readonly name: "_claim";
                    readonly type: "tuple";
                }];
                readonly name: "sendSnapshot";
                readonly outputs: readonly [];
                readonly stateMutability: "nonpayable";
                readonly type: "function";
            }, {
                readonly inputs: readonly [{
                    readonly internalType: "uint256";
                    readonly name: "";
                    readonly type: "uint256";
                }];
                readonly name: "snapshots";
                readonly outputs: readonly [{
                    readonly internalType: "bytes32";
                    readonly name: "";
                    readonly type: "bytes32";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }, {
                readonly inputs: readonly [];
                readonly name: "veaOutboxArbToEth";
                readonly outputs: readonly [{
                    readonly internalType: "address";
                    readonly name: "";
                    readonly type: "address";
                }];
                readonly stateMutability: "view";
                readonly type: "function";
            }];
        };
    };
};
export default _default;
