/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x438ca5337AE771dF926B7f4fDE1A21D72a315bDC)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE22500Fa27f696d06702367246bd17Bd2C8a4c5d)
 */
export declare const arbitrableExampleAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
    }, {
        readonly name: "_templateData";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_arbitratorExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_templateRegistry";
        readonly internalType: "contract IDisputeTemplateRegistry";
        readonly type: "address";
    }, {
        readonly name: "_weth";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_action";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: true;
    }];
    readonly name: "Action";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrableDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateId";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateUri";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "DisputeRequest";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Ruling";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "arbitrator";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "arbitratorExtraData";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
    }];
    readonly name: "changeArbitrator";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_arbitratorExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "changeArbitratorExtraData";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_templateData";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "changeDisputeTemplate";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_templateRegistry";
        readonly internalType: "contract IDisputeTemplateRegistry";
        readonly type: "address";
    }];
    readonly name: "changeTemplateRegistry";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_action";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_feeInWeth";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_action";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputes";
    readonly outputs: readonly [{
        readonly name: "isRuled";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "numberOfRulingOptions";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "externalIDtoLocalID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "rule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "templateId";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "templateRegistry";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IDisputeTemplateRegistry";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "weth";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}];
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x438ca5337AE771dF926B7f4fDE1A21D72a315bDC)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE22500Fa27f696d06702367246bd17Bd2C8a4c5d)
 */
export declare const arbitrableExampleAddress: {
    readonly 10200: "0x438ca5337AE771dF926B7f4fDE1A21D72a315bDC";
    readonly 421614: "0xE22500Fa27f696d06702367246bd17Bd2C8a4c5d";
};
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x438ca5337AE771dF926B7f4fDE1A21D72a315bDC)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE22500Fa27f696d06702367246bd17Bd2C8a4c5d)
 */
export declare const arbitrableExampleConfig: {
    readonly address: {
        readonly 10200: "0x438ca5337AE771dF926B7f4fDE1A21D72a315bDC";
        readonly 421614: "0xE22500Fa27f696d06702367246bd17Bd2C8a4c5d";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
        }, {
            readonly name: "_templateData";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_arbitratorExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_templateRegistry";
            readonly internalType: "contract IDisputeTemplateRegistry";
            readonly type: "address";
        }, {
            readonly name: "_weth";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_action";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: true;
        }];
        readonly name: "Action";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrableDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_templateId";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_templateUri";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "DisputeRequest";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Ruling";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "arbitrator";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "arbitratorExtraData";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
        }];
        readonly name: "changeArbitrator";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_arbitratorExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "changeArbitratorExtraData";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_templateData";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "changeDisputeTemplate";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_templateRegistry";
            readonly internalType: "contract IDisputeTemplateRegistry";
            readonly type: "address";
        }];
        readonly name: "changeTemplateRegistry";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_action";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_feeInWeth";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_action";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputes";
        readonly outputs: readonly [{
            readonly name: "isRuled";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "numberOfRulingOptions";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "externalIDtoLocalID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "rule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "templateId";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "templateRegistry";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IDisputeTemplateRegistry";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "weth";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x991d2df165670b9cac3B022f4B68D65b664222ea)
 */
export declare const blockHashRngAbi: readonly [{
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "randomNumbers";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_block";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "receiveRandomness";
    readonly outputs: readonly [{
        readonly name: "randomNumber";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_block";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "requestRandomness";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x991d2df165670b9cac3B022f4B68D65b664222ea)
 */
export declare const blockHashRngAddress: {
    readonly 421614: "0x991d2df165670b9cac3B022f4B68D65b664222ea";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x991d2df165670b9cac3B022f4B68D65b664222ea)
 */
export declare const blockHashRngConfig: {
    readonly address: {
        readonly 421614: "0x991d2df165670b9cac3B022f4B68D65b664222ea";
    };
    readonly abi: readonly [{
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "randomNumbers";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_block";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "receiveRandomness";
        readonly outputs: readonly [{
            readonly name: "randomNumber";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_block";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "requestRandomness";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xc34aeFEa232956542C5b2f2EE55fD5c378B35c03)
 */
export declare const daiAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_name";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_symbol";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Approval";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Transfer";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "allowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "approve";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "balanceOf";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "decimals";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint8";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "subtractedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "decreaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "addedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "increaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "name";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "symbol";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "totalSupply";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transfer";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transferFrom";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xc34aeFEa232956542C5b2f2EE55fD5c378B35c03)
 */
export declare const daiAddress: {
    readonly 421614: "0xc34aeFEa232956542C5b2f2EE55fD5c378B35c03";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xc34aeFEa232956542C5b2f2EE55fD5c378B35c03)
 */
export declare const daiConfig: {
    readonly address: {
        readonly 421614: "0xc34aeFEa232956542C5b2f2EE55fD5c378B35c03";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_name";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_symbol";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Approval";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Transfer";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "allowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "approve";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "balanceOf";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "decimals";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint8";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "subtractedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "decreaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "addedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "increaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "name";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "symbol";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "totalSupply";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transfer";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transferFrom";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x1Fa58B52326488D62A406E71DBaD839560e810fF)
 */
export declare const daiFaucetAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_token";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "amount";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "balance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeAmount";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "request";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "token";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "withdraw";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "withdrewAlready";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x1Fa58B52326488D62A406E71DBaD839560e810fF)
 */
export declare const daiFaucetAddress: {
    readonly 421614: "0x1Fa58B52326488D62A406E71DBaD839560e810fF";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x1Fa58B52326488D62A406E71DBaD839560e810fF)
 */
export declare const daiFaucetConfig: {
    readonly address: {
        readonly 421614: "0x1Fa58B52326488D62A406E71DBaD839560e810fF";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_token";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "amount";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "balance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeAmount";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "request";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "token";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "withdraw";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "withdrewAlready";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e)
 */
export declare const disputeKitClassicAbi: readonly [{
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }];
    readonly name: "ChoiceFunded";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_voteIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
        readonly indexed: false;
    }, {
        readonly name: "_commit";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
        readonly indexed: false;
    }];
    readonly name: "CommitCast";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_contributor";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Contribution";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
        readonly indexed: false;
    }];
    readonly name: "DisputeCreation";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_voteIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
        readonly indexed: false;
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_justification";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "VoteCast";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_contributor";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Withdrawal";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "LOSER_APPEAL_PERIOD_MULTIPLIER";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "LOSER_STAKE_MULTIPLIER";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "ONE_BASIS_POINT";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "WINNER_STAKE_MULTIPLIER";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "areCommitsAllCast";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "areVotesAllCast";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "_commit";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "castCommit";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_salt";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_justification";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "castVote";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_core";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeCore";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address payable";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "core";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract KlerosCore";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "coreDisputeIDToLocal";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_nbVotes";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "currentRuling";
    readonly outputs: readonly [{
        readonly name: "ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "tied";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "overridden";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputes";
    readonly outputs: readonly [{
        readonly name: "numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "jumped";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_nonce";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "draw";
    readonly outputs: readonly [{
        readonly name: "drawnAddress";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_destination";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "executeGovernorProposal";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "fundAppeal";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getCoherentCount";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getDegreeOfCoherence";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getFundedChoices";
    readonly outputs: readonly [{
        readonly name: "fundedChoices";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getRoundInfo";
    readonly outputs: readonly [{
        readonly name: "winningChoice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "tied";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "totalVoted";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "totalCommited";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "nbVoters";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "choiceCount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getVoteInfo";
    readonly outputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "commit";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "voted";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_core";
        readonly internalType: "contract KlerosCore";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "isVoteActive";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_beneficiary";
        readonly internalType: "address payable";
        readonly type: "address";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "withdrawFeesAndRewards";
    readonly outputs: readonly [{
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e)
 */
export declare const disputeKitClassicAddress: {
    readonly 421614: "0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e)
 */
export declare const disputeKitClassicConfig: {
    readonly address: {
        readonly 421614: "0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e";
    };
    readonly abi: readonly [{
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }];
        readonly name: "ChoiceFunded";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_voteIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
            readonly indexed: false;
        }, {
            readonly name: "_commit";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
            readonly indexed: false;
        }];
        readonly name: "CommitCast";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_contributor";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Contribution";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
            readonly indexed: false;
        }];
        readonly name: "DisputeCreation";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_voteIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
            readonly indexed: false;
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_justification";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "VoteCast";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_contributor";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Withdrawal";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "LOSER_APPEAL_PERIOD_MULTIPLIER";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "LOSER_STAKE_MULTIPLIER";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "ONE_BASIS_POINT";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "WINNER_STAKE_MULTIPLIER";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "areCommitsAllCast";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "areVotesAllCast";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "_commit";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "castCommit";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_salt";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_justification";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "castVote";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_core";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeCore";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address payable";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "core";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract KlerosCore";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "coreDisputeIDToLocal";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_nbVotes";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "currentRuling";
        readonly outputs: readonly [{
            readonly name: "ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "tied";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "overridden";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputes";
        readonly outputs: readonly [{
            readonly name: "numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "jumped";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_nonce";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "draw";
        readonly outputs: readonly [{
            readonly name: "drawnAddress";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_destination";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "executeGovernorProposal";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "fundAppeal";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getCoherentCount";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getDegreeOfCoherence";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getFundedChoices";
        readonly outputs: readonly [{
            readonly name: "fundedChoices";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getRoundInfo";
        readonly outputs: readonly [{
            readonly name: "winningChoice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "tied";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "totalVoted";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "totalCommited";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "nbVoters";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "choiceCount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getVoteInfo";
        readonly outputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "commit";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "voted";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_core";
            readonly internalType: "contract KlerosCore";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "isVoteActive";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_beneficiary";
            readonly internalType: "address payable";
            readonly type: "address";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "withdrawFeesAndRewards";
        readonly outputs: readonly [{
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x2507018D785CE92115CfebE0d92CC496C42e99b7)
 */
export declare const disputeKitClassicImplementationAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }];
    readonly name: "ChoiceFunded";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_voteIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
        readonly indexed: false;
    }, {
        readonly name: "_commit";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
        readonly indexed: false;
    }];
    readonly name: "CommitCast";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_contributor";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Contribution";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
        readonly indexed: false;
    }];
    readonly name: "DisputeCreation";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_voteIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
        readonly indexed: false;
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_justification";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "VoteCast";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_contributor";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Withdrawal";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "LOSER_APPEAL_PERIOD_MULTIPLIER";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "LOSER_STAKE_MULTIPLIER";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "ONE_BASIS_POINT";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "WINNER_STAKE_MULTIPLIER";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "areCommitsAllCast";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "areVotesAllCast";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "_commit";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "castCommit";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_salt";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_justification";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "castVote";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_core";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeCore";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address payable";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "core";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract KlerosCore";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "coreDisputeIDToLocal";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_nbVotes";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "currentRuling";
    readonly outputs: readonly [{
        readonly name: "ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "tied";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "overridden";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputes";
    readonly outputs: readonly [{
        readonly name: "numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "jumped";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_nonce";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "draw";
    readonly outputs: readonly [{
        readonly name: "drawnAddress";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_destination";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "executeGovernorProposal";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "fundAppeal";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getCoherentCount";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getDegreeOfCoherence";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getFundedChoices";
    readonly outputs: readonly [{
        readonly name: "fundedChoices";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getRoundInfo";
    readonly outputs: readonly [{
        readonly name: "winningChoice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "tied";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "totalVoted";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "totalCommited";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "nbVoters";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "choiceCount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getVoteInfo";
    readonly outputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "commit";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "voted";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_core";
        readonly internalType: "contract KlerosCore";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "isVoteActive";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_beneficiary";
        readonly internalType: "address payable";
        readonly type: "address";
    }, {
        readonly name: "_coreRoundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "withdrawFeesAndRewards";
    readonly outputs: readonly [{
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x2507018D785CE92115CfebE0d92CC496C42e99b7)
 */
export declare const disputeKitClassicImplementationAddress: {
    readonly 421614: "0x2507018D785CE92115CfebE0d92CC496C42e99b7";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x2507018D785CE92115CfebE0d92CC496C42e99b7)
 */
export declare const disputeKitClassicImplementationConfig: {
    readonly address: {
        readonly 421614: "0x2507018D785CE92115CfebE0d92CC496C42e99b7";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }];
        readonly name: "ChoiceFunded";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_voteIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
            readonly indexed: false;
        }, {
            readonly name: "_commit";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
            readonly indexed: false;
        }];
        readonly name: "CommitCast";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_contributor";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Contribution";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
            readonly indexed: false;
        }];
        readonly name: "DisputeCreation";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_voteIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
            readonly indexed: false;
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_justification";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "VoteCast";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_contributor";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Withdrawal";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "LOSER_APPEAL_PERIOD_MULTIPLIER";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "LOSER_STAKE_MULTIPLIER";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "ONE_BASIS_POINT";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "WINNER_STAKE_MULTIPLIER";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "areCommitsAllCast";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "areVotesAllCast";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "_commit";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "castCommit";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_salt";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_justification";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "castVote";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_core";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeCore";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address payable";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "core";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract KlerosCore";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "coreDisputeIDToLocal";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_nbVotes";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "currentRuling";
        readonly outputs: readonly [{
            readonly name: "ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "tied";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "overridden";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputes";
        readonly outputs: readonly [{
            readonly name: "numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "jumped";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_nonce";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "draw";
        readonly outputs: readonly [{
            readonly name: "drawnAddress";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_destination";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "executeGovernorProposal";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "fundAppeal";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getCoherentCount";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getDegreeOfCoherence";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getFundedChoices";
        readonly outputs: readonly [{
            readonly name: "fundedChoices";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getRoundInfo";
        readonly outputs: readonly [{
            readonly name: "winningChoice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "tied";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "totalVoted";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "totalCommited";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "nbVoters";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "choiceCount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getVoteInfo";
        readonly outputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "commit";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "voted";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_core";
            readonly internalType: "contract KlerosCore";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "isVoteActive";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_beneficiary";
            readonly internalType: "address payable";
            readonly type: "address";
        }, {
            readonly name: "_coreRoundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "withdrawFeesAndRewards";
        readonly outputs: readonly [{
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e)
 */
export declare const disputeKitClassicProxyAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e)
 */
export declare const disputeKitClassicProxyAddress: {
    readonly 421614: "0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e)
 */
export declare const disputeKitClassicProxyConfig: {
    readonly address: {
        readonly 421614: "0x8078C2A3bf93f6f69BDD4D38233E7e219eA1914e";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }];
};
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x5f79737f65320bA12440aA88087281cC8e71A781)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x48e052B4A6dC4F30e90930F1CeaAFd83b3981EB3)
 */
export declare const disputeResolverAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
    }, {
        readonly name: "_templateRegistry";
        readonly internalType: "contract IDisputeTemplateRegistry";
        readonly type: "address";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrableDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateId";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateUri";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "DisputeRequest";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Ruling";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "arbitrator";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "arbitratorDisputeIDToLocalID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
    }];
    readonly name: "changeArbitrator";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_templateRegistry";
        readonly internalType: "contract IDisputeTemplateRegistry";
        readonly type: "address";
    }];
    readonly name: "changeTemplateRegistry";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_arbitratorExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_disputeTemplate";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_disputeTemplateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_numberOfRulingOptions";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDisputeForTemplate";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_arbitratorExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_disputeTemplateUri";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_numberOfRulingOptions";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDisputeForTemplateUri";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputes";
    readonly outputs: readonly [{
        readonly name: "arbitratorExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "isRuled";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "numberOfRulingOptions";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "rule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "templateRegistry";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IDisputeTemplateRegistry";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}];
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x5f79737f65320bA12440aA88087281cC8e71A781)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x48e052B4A6dC4F30e90930F1CeaAFd83b3981EB3)
 */
export declare const disputeResolverAddress: {
    readonly 10200: "0x5f79737f65320bA12440aA88087281cC8e71A781";
    readonly 421614: "0x48e052B4A6dC4F30e90930F1CeaAFd83b3981EB3";
};
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x5f79737f65320bA12440aA88087281cC8e71A781)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x48e052B4A6dC4F30e90930F1CeaAFd83b3981EB3)
 */
export declare const disputeResolverConfig: {
    readonly address: {
        readonly 10200: "0x5f79737f65320bA12440aA88087281cC8e71A781";
        readonly 421614: "0x48e052B4A6dC4F30e90930F1CeaAFd83b3981EB3";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
        }, {
            readonly name: "_templateRegistry";
            readonly internalType: "contract IDisputeTemplateRegistry";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrableDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_templateId";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_templateUri";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "DisputeRequest";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Ruling";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "arbitrator";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "arbitratorDisputeIDToLocalID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
        }];
        readonly name: "changeArbitrator";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_templateRegistry";
            readonly internalType: "contract IDisputeTemplateRegistry";
            readonly type: "address";
        }];
        readonly name: "changeTemplateRegistry";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_arbitratorExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_disputeTemplate";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_disputeTemplateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_numberOfRulingOptions";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDisputeForTemplate";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_arbitratorExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_disputeTemplateUri";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_numberOfRulingOptions";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDisputeForTemplateUri";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputes";
        readonly outputs: readonly [{
            readonly name: "arbitratorExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "isRuled";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "numberOfRulingOptions";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "rule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "templateRegistry";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IDisputeTemplateRegistry";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }];
};
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xA55D4b90c1F8D1fD0408232bF6FA498dD6786385)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c)
 */
export declare const disputeTemplateRegistryAbi: readonly [{
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_templateId";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_templateTag";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: true;
    }, {
        readonly name: "_templateData";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }, {
        readonly name: "_templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "DisputeTemplate";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_templateTag";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateData";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "setDisputeTemplate";
    readonly outputs: readonly [{
        readonly name: "templateId";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "templates";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xA55D4b90c1F8D1fD0408232bF6FA498dD6786385)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c)
 */
export declare const disputeTemplateRegistryAddress: {
    readonly 10200: "0xA55D4b90c1F8D1fD0408232bF6FA498dD6786385";
    readonly 421614: "0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c";
};
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xA55D4b90c1F8D1fD0408232bF6FA498dD6786385)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c)
 */
export declare const disputeTemplateRegistryConfig: {
    readonly address: {
        readonly 10200: "0xA55D4b90c1F8D1fD0408232bF6FA498dD6786385";
        readonly 421614: "0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c";
    };
    readonly abi: readonly [{
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_templateId";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_templateTag";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: true;
        }, {
            readonly name: "_templateData";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }, {
            readonly name: "_templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "DisputeTemplate";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_templateTag";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateData";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "setDisputeTemplate";
        readonly outputs: readonly [{
            readonly name: "templateId";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "templates";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x15E5964C7751dF8563eA4bC000301582C79BC454)
 */
export declare const disputeTemplateRegistryImplementationAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_templateId";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_templateTag";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: true;
    }, {
        readonly name: "_templateData";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }, {
        readonly name: "_templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "DisputeTemplate";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_templateTag";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateData";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "setDisputeTemplate";
    readonly outputs: readonly [{
        readonly name: "templateId";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "templates";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x15E5964C7751dF8563eA4bC000301582C79BC454)
 */
export declare const disputeTemplateRegistryImplementationAddress: {
    readonly 421614: "0x15E5964C7751dF8563eA4bC000301582C79BC454";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x15E5964C7751dF8563eA4bC000301582C79BC454)
 */
export declare const disputeTemplateRegistryImplementationConfig: {
    readonly address: {
        readonly 421614: "0x15E5964C7751dF8563eA4bC000301582C79BC454";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_templateId";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_templateTag";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: true;
        }, {
            readonly name: "_templateData";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }, {
            readonly name: "_templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "DisputeTemplate";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_templateTag";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateData";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "setDisputeTemplate";
        readonly outputs: readonly [{
            readonly name: "templateId";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "templates";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c)
 */
export declare const disputeTemplateRegistryProxyAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c)
 */
export declare const disputeTemplateRegistryProxyAddress: {
    readonly 421614: "0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c)
 */
export declare const disputeTemplateRegistryProxyConfig: {
    readonly address: {
        readonly 421614: "0x553dcbF6aB3aE06a1064b5200Df1B5A9fB403d3c";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xF1a7Cd3115F5852966430f8E3877D2221F074A2e)
 */
export declare const escrowAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
    }, {
        readonly name: "_arbitratorExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_templateData";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateRegistry";
        readonly internalType: "contract IDisputeTemplateRegistry";
        readonly type: "address";
    }, {
        readonly name: "_feeTimeout";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "ArbitratorOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "BuyerFeeNotCoverArbitrationCosts";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "BuyerOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DeadlineNotPassed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeAlreadyCreatedOrTransactionAlreadyExecuted";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeAlreadyResolved";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "GovernorOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "InvalidRuling";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "MaximumPaymentAmountExceeded";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotWaitingForBuyerFees";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotWaitingForSellerFees";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "SellerFeeNotCoverArbitrationCosts";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "SellerOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "TimeoutNotPassed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "TransactionDisputed";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrableDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateId";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateUri";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "DisputeRequest";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_party";
        readonly internalType: "enum Escrow.Party";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "HasToPayFee";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_party";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: false;
    }];
    readonly name: "Payment";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Ruling";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_buyer";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_seller";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "TransactionCreated";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_resolution";
        readonly internalType: "enum Escrow.Resolution";
        readonly type: "uint8";
        readonly indexed: true;
    }];
    readonly name: "TransactionResolved";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "AMOUNT_OF_CHOICES";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "arbitrator";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "arbitratorExtraData";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
    }];
    readonly name: "changeArbitrator";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_arbitratorExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "changeArbitratorExtraData";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_templateData";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "changeDisputeTemplate";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_templateRegistry";
        readonly internalType: "contract IDisputeTemplateRegistry";
        readonly type: "address";
    }];
    readonly name: "changeTemplateRegistry";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_timeoutPayment";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_seller";
        readonly internalType: "address payable";
        readonly type: "address";
    }, {
        readonly name: "_templateData";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "createTransaction";
    readonly outputs: readonly [{
        readonly name: "transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputeIDtoTransactionID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "executeTransaction";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "feeTimeout";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "getCountTransactions";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "pay";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "payArbitrationFeeByBuyer";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "payArbitrationFeeBySeller";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_amountReimbursed";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "reimburse";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "rule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "templateId";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "templateRegistry";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IDisputeTemplateRegistry";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "timeOutByBuyer";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_transactionID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "timeOutBySeller";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transactions";
    readonly outputs: readonly [{
        readonly name: "buyer";
        readonly internalType: "address payable";
        readonly type: "address";
    }, {
        readonly name: "seller";
        readonly internalType: "address payable";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "deadline";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "buyerFee";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "sellerFee";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "lastFeePaymentTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "templateData";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "templateDataMappings";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "status";
        readonly internalType: "enum Escrow.Status";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xF1a7Cd3115F5852966430f8E3877D2221F074A2e)
 */
export declare const escrowAddress: {
    readonly 421614: "0xF1a7Cd3115F5852966430f8E3877D2221F074A2e";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xF1a7Cd3115F5852966430f8E3877D2221F074A2e)
 */
export declare const escrowConfig: {
    readonly address: {
        readonly 421614: "0xF1a7Cd3115F5852966430f8E3877D2221F074A2e";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
        }, {
            readonly name: "_arbitratorExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_templateData";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateRegistry";
            readonly internalType: "contract IDisputeTemplateRegistry";
            readonly type: "address";
        }, {
            readonly name: "_feeTimeout";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "ArbitratorOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "BuyerFeeNotCoverArbitrationCosts";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "BuyerOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DeadlineNotPassed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeAlreadyCreatedOrTransactionAlreadyExecuted";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeAlreadyResolved";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "GovernorOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "InvalidRuling";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "MaximumPaymentAmountExceeded";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotWaitingForBuyerFees";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotWaitingForSellerFees";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "SellerFeeNotCoverArbitrationCosts";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "SellerOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "TimeoutNotPassed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "TransactionDisputed";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrableDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_templateId";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_templateUri";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "DisputeRequest";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_party";
            readonly internalType: "enum Escrow.Party";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "HasToPayFee";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_party";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: false;
        }];
        readonly name: "Payment";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Ruling";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_buyer";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_seller";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "TransactionCreated";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_resolution";
            readonly internalType: "enum Escrow.Resolution";
            readonly type: "uint8";
            readonly indexed: true;
        }];
        readonly name: "TransactionResolved";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "AMOUNT_OF_CHOICES";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "arbitrator";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "arbitratorExtraData";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_arbitrator";
            readonly internalType: "contract IArbitratorV2";
            readonly type: "address";
        }];
        readonly name: "changeArbitrator";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_arbitratorExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "changeArbitratorExtraData";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_templateData";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "changeDisputeTemplate";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_templateRegistry";
            readonly internalType: "contract IDisputeTemplateRegistry";
            readonly type: "address";
        }];
        readonly name: "changeTemplateRegistry";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_timeoutPayment";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_seller";
            readonly internalType: "address payable";
            readonly type: "address";
        }, {
            readonly name: "_templateData";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "createTransaction";
        readonly outputs: readonly [{
            readonly name: "transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputeIDtoTransactionID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "executeTransaction";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "feeTimeout";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "getCountTransactions";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "pay";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "payArbitrationFeeByBuyer";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "payArbitrationFeeBySeller";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_amountReimbursed";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "reimburse";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "rule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "templateId";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "templateRegistry";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IDisputeTemplateRegistry";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "timeOutByBuyer";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_transactionID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "timeOutBySeller";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transactions";
        readonly outputs: readonly [{
            readonly name: "buyer";
            readonly internalType: "address payable";
            readonly type: "address";
        }, {
            readonly name: "seller";
            readonly internalType: "address payable";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "deadline";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "buyerFee";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "sellerFee";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "lastFeePaymentTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "templateData";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "templateDataMappings";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "status";
            readonly internalType: "enum Escrow.Status";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE4066AE16685F66e30fb22e932B67E49220095c0)
 */
export declare const evidenceModuleAbi: readonly [{
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_party";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_evidence";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "Evidence";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_evidence";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "submitEvidence";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE4066AE16685F66e30fb22e932B67E49220095c0)
 */
export declare const evidenceModuleAddress: {
    readonly 421614: "0xE4066AE16685F66e30fb22e932B67E49220095c0";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE4066AE16685F66e30fb22e932B67E49220095c0)
 */
export declare const evidenceModuleConfig: {
    readonly address: {
        readonly 421614: "0xE4066AE16685F66e30fb22e932B67E49220095c0";
    };
    readonly abi: readonly [{
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_party";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_evidence";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "Evidence";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_evidence";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "submitEvidence";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xD8609345DEe222051337b3A8335581Cc630Df2E9)
 */
export declare const evidenceModuleImplementationAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_party";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_evidence";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "Evidence";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_evidence";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "submitEvidence";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xD8609345DEe222051337b3A8335581Cc630Df2E9)
 */
export declare const evidenceModuleImplementationAddress: {
    readonly 421614: "0xD8609345DEe222051337b3A8335581Cc630Df2E9";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xD8609345DEe222051337b3A8335581Cc630Df2E9)
 */
export declare const evidenceModuleImplementationConfig: {
    readonly address: {
        readonly 421614: "0xD8609345DEe222051337b3A8335581Cc630Df2E9";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_party";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_evidence";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "Evidence";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_evidence";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "submitEvidence";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE4066AE16685F66e30fb22e932B67E49220095c0)
 */
export declare const evidenceModuleProxyAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE4066AE16685F66e30fb22e932B67E49220095c0)
 */
export declare const evidenceModuleProxyAddress: {
    readonly 421614: "0xE4066AE16685F66e30fb22e932B67E49220095c0";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE4066AE16685F66e30fb22e932B67E49220095c0)
 */
export declare const evidenceModuleProxyConfig: {
    readonly address: {
        readonly 421614: "0xE4066AE16685F66e30fb22e932B67E49220095c0";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x2824bdcc752b1272D56A84be03A74Ee856C06e43)
 */
export declare const foreignGatewayOnGnosisAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_veaOutbox";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_homeChainID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_homeGateway";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_token";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_accepted";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: true;
    }];
    readonly name: "AcceptedFeeToken";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "ArbitrationCostModified";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_foreignBlockHash";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
        readonly indexed: false;
    }, {
        readonly name: "_foreignArbitrable";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_foreignDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_choices";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
        readonly indexed: false;
    }];
    readonly name: "CrossChainDisputeOutgoing";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "DisputeCreation";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_rateInEth";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }, {
        readonly name: "_rateDecimals";
        readonly internalType: "uint8";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "NewCurrencyRate";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Ruling";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "DEFAULT_NB_OF_JURORS";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly name: "arbitrationCost";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "pure";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "arbitrationCost";
    readonly outputs: readonly [{
        readonly name: "cost";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeCourtJurorFee";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_homeGateway";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeHomeGateway";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_veaOutbox";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_gracePeriod";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeVea";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_choices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "pure";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "currentRuling";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "pure";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "deprecatedVeaOutbox";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "deprecatedVeaOutboxExpiration";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeHash";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "disputeHashToForeignID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "disputeHashtoDisputeData";
    readonly outputs: readonly [{
        readonly name: "id";
        readonly internalType: "uint248";
        readonly type: "uint248";
    }, {
        readonly name: "ruled";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "arbitrable";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "paid";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "relayer";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "feeForJuror";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "homeChainID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "homeGateway";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_messageSender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_disputeHash";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_relayer";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "relayRule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "senderGateway";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "veaOutbox";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeHash";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "withdrawFees";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x2824bdcc752b1272D56A84be03A74Ee856C06e43)
 */
export declare const foreignGatewayOnGnosisAddress: {
    readonly 10200: "0x2824bdcc752b1272D56A84be03A74Ee856C06e43";
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x2824bdcc752b1272D56A84be03A74Ee856C06e43)
 */
export declare const foreignGatewayOnGnosisConfig: {
    readonly address: {
        readonly 10200: "0x2824bdcc752b1272D56A84be03A74Ee856C06e43";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_veaOutbox";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_homeChainID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_homeGateway";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_token";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_accepted";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: true;
        }];
        readonly name: "AcceptedFeeToken";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "ArbitrationCostModified";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_foreignBlockHash";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
            readonly indexed: false;
        }, {
            readonly name: "_foreignArbitrable";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_foreignDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_choices";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
            readonly indexed: false;
        }];
        readonly name: "CrossChainDisputeOutgoing";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "DisputeCreation";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_rateInEth";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }, {
            readonly name: "_rateDecimals";
            readonly internalType: "uint8";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "NewCurrencyRate";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Ruling";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "DEFAULT_NB_OF_JURORS";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly name: "arbitrationCost";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "arbitrationCost";
        readonly outputs: readonly [{
            readonly name: "cost";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeCourtJurorFee";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_homeGateway";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeHomeGateway";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_veaOutbox";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_gracePeriod";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeVea";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_choices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "currentRuling";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "deprecatedVeaOutbox";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "deprecatedVeaOutboxExpiration";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeHash";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "disputeHashToForeignID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "disputeHashtoDisputeData";
        readonly outputs: readonly [{
            readonly name: "id";
            readonly internalType: "uint248";
            readonly type: "uint248";
        }, {
            readonly name: "ruled";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "arbitrable";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "paid";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "relayer";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "feeForJuror";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "homeChainID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "homeGateway";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_messageSender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_disputeHash";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_relayer";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "relayRule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "senderGateway";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "veaOutbox";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeHash";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "withdrawFees";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }];
};
export declare const iHomeGatewayAbi: readonly [{
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
        readonly indexed: false;
    }, {
        readonly name: "_arbitrableChainId";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_arbitrable";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrableDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_arbitratorDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateId";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateUri";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "CrossChainDisputeIncoming";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrableDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_externalDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateId";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_templateUri";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "DisputeRequest";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrator";
        readonly internalType: "contract IArbitratorV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Ruling";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeHash";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "disputeHashToHomeID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "feeToken";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "foreignChainID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "foreignGateway";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "receiverGateway";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_params";
        readonly internalType: "struct IHomeGateway.RelayCreateDisputeParams";
        readonly type: "tuple";
        readonly components: readonly [{
            readonly name: "foreignBlockHash";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "foreignChainID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "foreignArbitrable";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "foreignDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "templateId";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "templateUri";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "choices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
    }, {
        readonly name: "_feeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "relayCreateDispute";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_params";
        readonly internalType: "struct IHomeGateway.RelayCreateDisputeParams";
        readonly type: "tuple";
        readonly components: readonly [{
            readonly name: "foreignBlockHash";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "foreignChainID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "foreignArbitrable";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "foreignDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "externalDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "templateId";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "templateUri";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "choices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
    }];
    readonly name: "relayCreateDispute";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "rule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "veaInbox";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IVeaInbox";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x33d0b8879368acD8ca868e656Ade97bB97b90468)
 */
export declare const klerosCoreAbi: readonly [{
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AppealFeesNotEnough";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AppealPeriodNotPassed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "ArbitrationFeesNotEnough";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "ArraysLengthMismatch";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "CannotDisableClassicDK";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "CommitPeriodNotPassed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DepthLevelMax";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeKitNotSupportedByCourt";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeKitOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeNotAppealable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputePeriodIsFinal";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeStillDrawing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "EvidenceNotPassedAndNotAppeal";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "GovernorOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "InvalidDisputKitParent";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "InvalidForkingCourtAsParent";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "MinStakeLowerThanParentCourt";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "MustSupportDisputeKitClassic";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotEvidencePeriod";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotExecutionPeriod";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "RulingAlreadyExecuted";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "SortitionModuleOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "StakingFailed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "TokenNotAccepted";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "TransferFailed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UnsuccessfulCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UnsupportedDisputeKit";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "VotePeriodNotPassed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "WrongDisputeKitIndex";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_token";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_accepted";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: true;
    }];
    readonly name: "AcceptedFeeToken";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "AppealDecision";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "AppealPossible";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_parent";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: false;
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
        readonly indexed: false;
    }, {
        readonly name: "_supportedDisputeKits";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
        readonly indexed: false;
    }];
    readonly name: "CourtCreated";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_fromCourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_toCourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: false;
    }];
    readonly name: "CourtJump";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: false;
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
        readonly indexed: false;
    }];
    readonly name: "CourtModified";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "DisputeCreation";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_disputeKitAddress";
        readonly internalType: "contract IDisputeKit";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "DisputeKitCreated";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_disputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_enable";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: true;
    }];
    readonly name: "DisputeKitEnabled";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_fromDisputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_toDisputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "DisputeKitJump";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Draw";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_pnkAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_feeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: false;
    }];
    readonly name: "LeftoverRewardSent";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_rateInEth";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }, {
        readonly name: "_rateDecimals";
        readonly internalType: "uint8";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "NewCurrencyRate";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_period";
        readonly internalType: "enum KlerosCore.Period";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "NewPeriod";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Ruling";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_degreeOfCoherency";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_pnkAmount";
        readonly internalType: "int256";
        readonly type: "int256";
        readonly indexed: false;
    }, {
        readonly name: "_feeAmount";
        readonly internalType: "int256";
        readonly type: "int256";
        readonly indexed: false;
    }, {
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: false;
    }];
    readonly name: "TokenAndETHShift";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeKitAddress";
        readonly internalType: "contract IDisputeKit";
        readonly type: "address";
    }];
    readonly name: "addNewDisputeKit";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "appeal";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "appealCost";
    readonly outputs: readonly [{
        readonly name: "cost";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "appealPeriod";
    readonly outputs: readonly [{
        readonly name: "start";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "end";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly name: "arbitrationCost";
    readonly outputs: readonly [{
        readonly name: "cost";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "arbitrationCost";
    readonly outputs: readonly [{
        readonly name: "cost";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_accepted";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly name: "changeAcceptedFeeTokens";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }];
    readonly name: "changeCourtParameters";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_rateInEth";
        readonly internalType: "uint64";
        readonly type: "uint64";
    }, {
        readonly name: "_rateDecimals";
        readonly internalType: "uint8";
        readonly type: "uint8";
    }];
    readonly name: "changeCurrencyRates";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address payable";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_jurorProsecutionModule";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeJurorProsecutionModule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_pinakion";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly name: "changePinakion";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_sortitionModule";
        readonly internalType: "contract ISortitionModule";
        readonly type: "address";
    }];
    readonly name: "changeSortitionModule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_toToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_amountInEth";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "convertEthToTokenAmount";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "courts";
    readonly outputs: readonly [{
        readonly name: "parent";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "disabled";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_parent";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }, {
        readonly name: "_sortitionExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_supportedDisputeKits";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }];
    readonly name: "createCourt";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_feeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly name: "currencyRates";
    readonly outputs: readonly [{
        readonly name: "feePaymentAccepted";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "rateInEth";
        readonly internalType: "uint64";
        readonly type: "uint64";
    }, {
        readonly name: "rateDecimals";
        readonly internalType: "uint8";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "currentRuling";
    readonly outputs: readonly [{
        readonly name: "ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "tied";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "overridden";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputeKits";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IDisputeKit";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputes";
    readonly outputs: readonly [{
        readonly name: "courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "arbitrated";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
    }, {
        readonly name: "period";
        readonly internalType: "enum KlerosCore.Period";
        readonly type: "uint8";
    }, {
        readonly name: "ruled";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "lastPeriodChange";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_iterations";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "draw";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_disputeKitIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "_enable";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly name: "enableDisputeKits";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_round";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_iterations";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "execute";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_destination";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "executeGovernorProposal";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "executeRuling";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "getDisputeKitsLength";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getNumberOfRounds";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getNumberOfVotes";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_round";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getRoundInfo";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "struct KlerosCore.Round";
        readonly type: "tuple";
        readonly components: readonly [{
            readonly name: "disputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "pnkAtStakePerJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "totalFeesForJurors";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "nbVotes";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "repartitions";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "pnkPenalties";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "drawnJurors";
            readonly internalType: "address[]";
            readonly type: "address[]";
        }, {
            readonly name: "sumFeeRewardPaid";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "sumPnkRewardPaid";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "drawIterations";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "getTimesPerPeriod";
    readonly outputs: readonly [{
        readonly name: "timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_pinakion";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_jurorProsecutionModule";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_disputeKit";
        readonly internalType: "contract IDisputeKit";
        readonly type: "address";
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "_courtParameters";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }, {
        readonly name: "_sortitionExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_sortitionModuleAddress";
        readonly internalType: "contract ISortitionModule";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "isDisputeKitJumping";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_disputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "isSupported";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "jurorProsecutionModule";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "passPeriod";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "pinakion";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_newStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "setStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_newStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_alreadyTransferred";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly name: "setStakeBySortitionModule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "sortitionModule";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract ISortitionModule";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x33d0b8879368acD8ca868e656Ade97bB97b90468)
 */
export declare const klerosCoreAddress: {
    readonly 421614: "0x33d0b8879368acD8ca868e656Ade97bB97b90468";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x33d0b8879368acD8ca868e656Ade97bB97b90468)
 */
export declare const klerosCoreConfig: {
    readonly address: {
        readonly 421614: "0x33d0b8879368acD8ca868e656Ade97bB97b90468";
    };
    readonly abi: readonly [{
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AppealFeesNotEnough";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AppealPeriodNotPassed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "ArbitrationFeesNotEnough";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "ArraysLengthMismatch";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "CannotDisableClassicDK";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "CommitPeriodNotPassed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DepthLevelMax";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeKitNotSupportedByCourt";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeKitOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeNotAppealable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputePeriodIsFinal";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeStillDrawing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "EvidenceNotPassedAndNotAppeal";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "GovernorOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "InvalidDisputKitParent";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "InvalidForkingCourtAsParent";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "MinStakeLowerThanParentCourt";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "MustSupportDisputeKitClassic";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotEvidencePeriod";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotExecutionPeriod";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "RulingAlreadyExecuted";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "SortitionModuleOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "StakingFailed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "TokenNotAccepted";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "TransferFailed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UnsuccessfulCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UnsupportedDisputeKit";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "VotePeriodNotPassed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "WrongDisputeKitIndex";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_token";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_accepted";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: true;
        }];
        readonly name: "AcceptedFeeToken";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "AppealDecision";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "AppealPossible";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_parent";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: false;
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
            readonly indexed: false;
        }, {
            readonly name: "_supportedDisputeKits";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
            readonly indexed: false;
        }];
        readonly name: "CourtCreated";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_fromCourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_toCourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: false;
        }];
        readonly name: "CourtJump";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: false;
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
            readonly indexed: false;
        }];
        readonly name: "CourtModified";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "DisputeCreation";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_disputeKitAddress";
            readonly internalType: "contract IDisputeKit";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "DisputeKitCreated";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_disputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_enable";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: true;
        }];
        readonly name: "DisputeKitEnabled";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_fromDisputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_toDisputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "DisputeKitJump";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Draw";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_pnkAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_feeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: false;
        }];
        readonly name: "LeftoverRewardSent";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_rateInEth";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }, {
            readonly name: "_rateDecimals";
            readonly internalType: "uint8";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "NewCurrencyRate";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_period";
            readonly internalType: "enum KlerosCore.Period";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "NewPeriod";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Ruling";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_degreeOfCoherency";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_pnkAmount";
            readonly internalType: "int256";
            readonly type: "int256";
            readonly indexed: false;
        }, {
            readonly name: "_feeAmount";
            readonly internalType: "int256";
            readonly type: "int256";
            readonly indexed: false;
        }, {
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: false;
        }];
        readonly name: "TokenAndETHShift";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeKitAddress";
            readonly internalType: "contract IDisputeKit";
            readonly type: "address";
        }];
        readonly name: "addNewDisputeKit";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "appeal";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "appealCost";
        readonly outputs: readonly [{
            readonly name: "cost";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "appealPeriod";
        readonly outputs: readonly [{
            readonly name: "start";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "end";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly name: "arbitrationCost";
        readonly outputs: readonly [{
            readonly name: "cost";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "arbitrationCost";
        readonly outputs: readonly [{
            readonly name: "cost";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_accepted";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly name: "changeAcceptedFeeTokens";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }];
        readonly name: "changeCourtParameters";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_rateInEth";
            readonly internalType: "uint64";
            readonly type: "uint64";
        }, {
            readonly name: "_rateDecimals";
            readonly internalType: "uint8";
            readonly type: "uint8";
        }];
        readonly name: "changeCurrencyRates";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address payable";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_jurorProsecutionModule";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeJurorProsecutionModule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_pinakion";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly name: "changePinakion";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_sortitionModule";
            readonly internalType: "contract ISortitionModule";
            readonly type: "address";
        }];
        readonly name: "changeSortitionModule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_toToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_amountInEth";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "convertEthToTokenAmount";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "courts";
        readonly outputs: readonly [{
            readonly name: "parent";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "disabled";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_parent";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }, {
            readonly name: "_sortitionExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_supportedDisputeKits";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }];
        readonly name: "createCourt";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_feeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly name: "currencyRates";
        readonly outputs: readonly [{
            readonly name: "feePaymentAccepted";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "rateInEth";
            readonly internalType: "uint64";
            readonly type: "uint64";
        }, {
            readonly name: "rateDecimals";
            readonly internalType: "uint8";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "currentRuling";
        readonly outputs: readonly [{
            readonly name: "ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "tied";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "overridden";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputeKits";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IDisputeKit";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputes";
        readonly outputs: readonly [{
            readonly name: "courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "arbitrated";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
        }, {
            readonly name: "period";
            readonly internalType: "enum KlerosCore.Period";
            readonly type: "uint8";
        }, {
            readonly name: "ruled";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "lastPeriodChange";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_iterations";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "draw";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_disputeKitIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "_enable";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly name: "enableDisputeKits";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_round";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_iterations";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "execute";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_destination";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "executeGovernorProposal";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "executeRuling";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "getDisputeKitsLength";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getNumberOfRounds";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getNumberOfVotes";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_round";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getRoundInfo";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "struct KlerosCore.Round";
            readonly type: "tuple";
            readonly components: readonly [{
                readonly name: "disputeKitID";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "pnkAtStakePerJuror";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "totalFeesForJurors";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "nbVotes";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "repartitions";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "pnkPenalties";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "drawnJurors";
                readonly internalType: "address[]";
                readonly type: "address[]";
            }, {
                readonly name: "sumFeeRewardPaid";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "sumPnkRewardPaid";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "feeToken";
                readonly internalType: "contract IERC20";
                readonly type: "address";
            }, {
                readonly name: "drawIterations";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }];
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "getTimesPerPeriod";
        readonly outputs: readonly [{
            readonly name: "timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_pinakion";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_jurorProsecutionModule";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_disputeKit";
            readonly internalType: "contract IDisputeKit";
            readonly type: "address";
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "_courtParameters";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }, {
            readonly name: "_sortitionExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_sortitionModuleAddress";
            readonly internalType: "contract ISortitionModule";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "isDisputeKitJumping";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_disputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "isSupported";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "jurorProsecutionModule";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "passPeriod";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "pinakion";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_newStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "setStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_newStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_alreadyTransferred";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly name: "setStakeBySortitionModule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "sortitionModule";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract ISortitionModule";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x6FDc191b55a03e840b36793e433A932EeCEa40BE)
 */
export declare const klerosCoreImplementationAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AppealFeesNotEnough";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AppealPeriodNotPassed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "ArbitrationFeesNotEnough";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "ArraysLengthMismatch";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "CannotDisableClassicDK";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "CommitPeriodNotPassed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DepthLevelMax";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeKitNotSupportedByCourt";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeKitOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeNotAppealable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputePeriodIsFinal";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "DisputeStillDrawing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "EvidenceNotPassedAndNotAppeal";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "GovernorOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "InvalidDisputKitParent";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "InvalidForkingCourtAsParent";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "MinStakeLowerThanParentCourt";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "MustSupportDisputeKitClassic";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotEvidencePeriod";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotExecutionPeriod";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "RulingAlreadyExecuted";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "SortitionModuleOnly";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "StakingFailed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "TokenNotAccepted";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "TransferFailed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UnsuccessfulCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UnsupportedDisputeKit";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "VotePeriodNotPassed";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "WrongDisputeKitIndex";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_token";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_accepted";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: true;
    }];
    readonly name: "AcceptedFeeToken";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "AppealDecision";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "AppealPossible";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_parent";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: false;
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
        readonly indexed: false;
    }, {
        readonly name: "_supportedDisputeKits";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
        readonly indexed: false;
    }];
    readonly name: "CourtCreated";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_fromCourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_toCourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: false;
    }];
    readonly name: "CourtJump";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: false;
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
        readonly indexed: false;
    }];
    readonly name: "CourtModified";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "DisputeCreation";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_disputeKitAddress";
        readonly internalType: "contract IDisputeKit";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "DisputeKitCreated";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_disputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_enable";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: true;
    }];
    readonly name: "DisputeKitEnabled";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_fromDisputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_toDisputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "DisputeKitJump";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Draw";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_pnkAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_feeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: false;
    }];
    readonly name: "LeftoverRewardSent";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_rateInEth";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }, {
        readonly name: "_rateDecimals";
        readonly internalType: "uint8";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "NewCurrencyRate";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_period";
        readonly internalType: "enum KlerosCore.Period";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "NewPeriod";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Ruling";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_roundID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_degreeOfCoherency";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_pnkAmount";
        readonly internalType: "int256";
        readonly type: "int256";
        readonly indexed: false;
    }, {
        readonly name: "_feeAmount";
        readonly internalType: "int256";
        readonly type: "int256";
        readonly indexed: false;
    }, {
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
        readonly indexed: false;
    }];
    readonly name: "TokenAndETHShift";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeKitAddress";
        readonly internalType: "contract IDisputeKit";
        readonly type: "address";
    }];
    readonly name: "addNewDisputeKit";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "appeal";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "appealCost";
    readonly outputs: readonly [{
        readonly name: "cost";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "appealPeriod";
    readonly outputs: readonly [{
        readonly name: "start";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "end";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly name: "arbitrationCost";
    readonly outputs: readonly [{
        readonly name: "cost";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "arbitrationCost";
    readonly outputs: readonly [{
        readonly name: "cost";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_accepted";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly name: "changeAcceptedFeeTokens";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }];
    readonly name: "changeCourtParameters";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_rateInEth";
        readonly internalType: "uint64";
        readonly type: "uint64";
    }, {
        readonly name: "_rateDecimals";
        readonly internalType: "uint8";
        readonly type: "uint8";
    }];
    readonly name: "changeCurrencyRates";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address payable";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_jurorProsecutionModule";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeJurorProsecutionModule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_pinakion";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly name: "changePinakion";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_sortitionModule";
        readonly internalType: "contract ISortitionModule";
        readonly type: "address";
    }];
    readonly name: "changeSortitionModule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_toToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_amountInEth";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "convertEthToTokenAmount";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "courts";
    readonly outputs: readonly [{
        readonly name: "parent";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "disabled";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_parent";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }, {
        readonly name: "_sortitionExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_supportedDisputeKits";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }];
    readonly name: "createCourt";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_feeToken";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_feeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly name: "currencyRates";
    readonly outputs: readonly [{
        readonly name: "feePaymentAccepted";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "rateInEth";
        readonly internalType: "uint64";
        readonly type: "uint64";
    }, {
        readonly name: "rateDecimals";
        readonly internalType: "uint8";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "currentRuling";
    readonly outputs: readonly [{
        readonly name: "ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "tied";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "overridden";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputeKits";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IDisputeKit";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputes";
    readonly outputs: readonly [{
        readonly name: "courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "arbitrated";
        readonly internalType: "contract IArbitrableV2";
        readonly type: "address";
    }, {
        readonly name: "period";
        readonly internalType: "enum KlerosCore.Period";
        readonly type: "uint8";
    }, {
        readonly name: "ruled";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "lastPeriodChange";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_iterations";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "draw";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_disputeKitIDs";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "_enable";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly name: "enableDisputeKits";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_round";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_iterations";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "execute";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_destination";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "executeGovernorProposal";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "executeRuling";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "getDisputeKitsLength";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getNumberOfRounds";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getNumberOfVotes";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_round";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getRoundInfo";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "struct KlerosCore.Round";
        readonly type: "tuple";
        readonly components: readonly [{
            readonly name: "disputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "pnkAtStakePerJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "totalFeesForJurors";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "nbVotes";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "repartitions";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "pnkPenalties";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "drawnJurors";
            readonly internalType: "address[]";
            readonly type: "address[]";
        }, {
            readonly name: "sumFeeRewardPaid";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "sumPnkRewardPaid";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "drawIterations";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "getTimesPerPeriod";
    readonly outputs: readonly [{
        readonly name: "timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_pinakion";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }, {
        readonly name: "_jurorProsecutionModule";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_disputeKit";
        readonly internalType: "contract IDisputeKit";
        readonly type: "address";
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "_courtParameters";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }, {
        readonly name: "_sortitionExtraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }, {
        readonly name: "_sortitionModuleAddress";
        readonly internalType: "contract ISortitionModule";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "isDisputeKitJumping";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_disputeKitID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "isSupported";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "jurorProsecutionModule";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "passPeriod";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "pinakion";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_newStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "setStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_newStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_alreadyTransferred";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly name: "setStakeBySortitionModule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "sortitionModule";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract ISortitionModule";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x6FDc191b55a03e840b36793e433A932EeCEa40BE)
 */
export declare const klerosCoreImplementationAddress: {
    readonly 421614: "0x6FDc191b55a03e840b36793e433A932EeCEa40BE";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x6FDc191b55a03e840b36793e433A932EeCEa40BE)
 */
export declare const klerosCoreImplementationConfig: {
    readonly address: {
        readonly 421614: "0x6FDc191b55a03e840b36793e433A932EeCEa40BE";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AppealFeesNotEnough";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AppealPeriodNotPassed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "ArbitrationFeesNotEnough";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "ArraysLengthMismatch";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "CannotDisableClassicDK";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "CommitPeriodNotPassed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DepthLevelMax";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeKitNotSupportedByCourt";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeKitOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeNotAppealable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputePeriodIsFinal";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "DisputeStillDrawing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "EvidenceNotPassedAndNotAppeal";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "GovernorOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "InvalidDisputKitParent";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "InvalidForkingCourtAsParent";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "MinStakeLowerThanParentCourt";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "MustSupportDisputeKitClassic";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotEvidencePeriod";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotExecutionPeriod";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "RulingAlreadyExecuted";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "SortitionModuleOnly";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "StakingFailed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "TokenNotAccepted";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "TransferFailed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UnsuccessfulCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UnsupportedDisputeKit";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "VotePeriodNotPassed";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "WrongDisputeKitIndex";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_token";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_accepted";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: true;
        }];
        readonly name: "AcceptedFeeToken";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "AppealDecision";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "AppealPossible";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_parent";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: false;
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
            readonly indexed: false;
        }, {
            readonly name: "_supportedDisputeKits";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
            readonly indexed: false;
        }];
        readonly name: "CourtCreated";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_fromCourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_toCourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: false;
        }];
        readonly name: "CourtJump";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: false;
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
            readonly indexed: false;
        }];
        readonly name: "CourtModified";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "DisputeCreation";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_disputeKitAddress";
            readonly internalType: "contract IDisputeKit";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "DisputeKitCreated";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_disputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_enable";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: true;
        }];
        readonly name: "DisputeKitEnabled";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_fromDisputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_toDisputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "DisputeKitJump";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Draw";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_pnkAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_feeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: false;
        }];
        readonly name: "LeftoverRewardSent";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_rateInEth";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }, {
            readonly name: "_rateDecimals";
            readonly internalType: "uint8";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "NewCurrencyRate";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_period";
            readonly internalType: "enum KlerosCore.Period";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "NewPeriod";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Ruling";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_roundID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_degreeOfCoherency";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_pnkAmount";
            readonly internalType: "int256";
            readonly type: "int256";
            readonly indexed: false;
        }, {
            readonly name: "_feeAmount";
            readonly internalType: "int256";
            readonly type: "int256";
            readonly indexed: false;
        }, {
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
            readonly indexed: false;
        }];
        readonly name: "TokenAndETHShift";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeKitAddress";
            readonly internalType: "contract IDisputeKit";
            readonly type: "address";
        }];
        readonly name: "addNewDisputeKit";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "appeal";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "appealCost";
        readonly outputs: readonly [{
            readonly name: "cost";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "appealPeriod";
        readonly outputs: readonly [{
            readonly name: "start";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "end";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly name: "arbitrationCost";
        readonly outputs: readonly [{
            readonly name: "cost";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "arbitrationCost";
        readonly outputs: readonly [{
            readonly name: "cost";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_accepted";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly name: "changeAcceptedFeeTokens";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }];
        readonly name: "changeCourtParameters";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_rateInEth";
            readonly internalType: "uint64";
            readonly type: "uint64";
        }, {
            readonly name: "_rateDecimals";
            readonly internalType: "uint8";
            readonly type: "uint8";
        }];
        readonly name: "changeCurrencyRates";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address payable";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_jurorProsecutionModule";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeJurorProsecutionModule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_pinakion";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly name: "changePinakion";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_sortitionModule";
            readonly internalType: "contract ISortitionModule";
            readonly type: "address";
        }];
        readonly name: "changeSortitionModule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_toToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_amountInEth";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "convertEthToTokenAmount";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "courts";
        readonly outputs: readonly [{
            readonly name: "parent";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "disabled";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_parent";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }, {
            readonly name: "_sortitionExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_supportedDisputeKits";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }];
        readonly name: "createCourt";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_feeToken";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_feeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly name: "currencyRates";
        readonly outputs: readonly [{
            readonly name: "feePaymentAccepted";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "rateInEth";
            readonly internalType: "uint64";
            readonly type: "uint64";
        }, {
            readonly name: "rateDecimals";
            readonly internalType: "uint8";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "currentRuling";
        readonly outputs: readonly [{
            readonly name: "ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "tied";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "overridden";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputeKits";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IDisputeKit";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputes";
        readonly outputs: readonly [{
            readonly name: "courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "arbitrated";
            readonly internalType: "contract IArbitrableV2";
            readonly type: "address";
        }, {
            readonly name: "period";
            readonly internalType: "enum KlerosCore.Period";
            readonly type: "uint8";
        }, {
            readonly name: "ruled";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "lastPeriodChange";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_iterations";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "draw";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_disputeKitIDs";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "_enable";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly name: "enableDisputeKits";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_round";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_iterations";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "execute";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_destination";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "executeGovernorProposal";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "executeRuling";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "getDisputeKitsLength";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getNumberOfRounds";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getNumberOfVotes";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_round";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getRoundInfo";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "struct KlerosCore.Round";
            readonly type: "tuple";
            readonly components: readonly [{
                readonly name: "disputeKitID";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "pnkAtStakePerJuror";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "totalFeesForJurors";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "nbVotes";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "repartitions";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "pnkPenalties";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "drawnJurors";
                readonly internalType: "address[]";
                readonly type: "address[]";
            }, {
                readonly name: "sumFeeRewardPaid";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "sumPnkRewardPaid";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }, {
                readonly name: "feeToken";
                readonly internalType: "contract IERC20";
                readonly type: "address";
            }, {
                readonly name: "drawIterations";
                readonly internalType: "uint256";
                readonly type: "uint256";
            }];
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "getTimesPerPeriod";
        readonly outputs: readonly [{
            readonly name: "timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_pinakion";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }, {
            readonly name: "_jurorProsecutionModule";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_disputeKit";
            readonly internalType: "contract IDisputeKit";
            readonly type: "address";
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "_courtParameters";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }, {
            readonly name: "_sortitionExtraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }, {
            readonly name: "_sortitionModuleAddress";
            readonly internalType: "contract ISortitionModule";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "isDisputeKitJumping";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_disputeKitID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "isSupported";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "jurorProsecutionModule";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "passPeriod";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "pinakion";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_newStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "setStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_newStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_alreadyTransferred";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly name: "setStakeBySortitionModule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "sortitionModule";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract ISortitionModule";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x33d0b8879368acD8ca868e656Ade97bB97b90468)
 */
export declare const klerosCoreProxyAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x33d0b8879368acD8ca868e656Ade97bB97b90468)
 */
export declare const klerosCoreProxyAddress: {
    readonly 421614: "0x33d0b8879368acD8ca868e656Ade97bB97b90468";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x33d0b8879368acD8ca868e656Ade97bB97b90468)
 */
export declare const klerosCoreProxyConfig: {
    readonly address: {
        readonly 421614: "0x33d0b8879368acD8ca868e656Ade97bB97b90468";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x34B944D42cAcfC8266955D07A80181D2054aa225)
 */
export declare const pnkAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Approval";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Transfer";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "allowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "approve";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "balanceOf";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "decimals";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint8";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "subtractedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "decreaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "addedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "increaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "name";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "symbol";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "totalSupply";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transfer";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transferFrom";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x34B944D42cAcfC8266955D07A80181D2054aa225)
 */
export declare const pnkAddress: {
    readonly 421614: "0x34B944D42cAcfC8266955D07A80181D2054aa225";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x34B944D42cAcfC8266955D07A80181D2054aa225)
 */
export declare const pnkConfig: {
    readonly address: {
        readonly 421614: "0x34B944D42cAcfC8266955D07A80181D2054aa225";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Approval";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Transfer";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "allowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "approve";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "balanceOf";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "decimals";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint8";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "subtractedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "decreaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "addedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "increaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "name";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "symbol";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "totalSupply";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transfer";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transferFrom";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x0273512759B5E80031725332da12E91E9F8Bf667)
 */
export declare const pnkFaucetAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_token";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "amount";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "balance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeAmount";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "request";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "token";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "withdraw";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "withdrewAlready";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x0273512759B5E80031725332da12E91E9F8Bf667)
 */
export declare const pnkFaucetAddress: {
    readonly 421614: "0x0273512759B5E80031725332da12E91E9F8Bf667";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x0273512759B5E80031725332da12E91E9F8Bf667)
 */
export declare const pnkFaucetConfig: {
    readonly address: {
        readonly 421614: "0x0273512759B5E80031725332da12E91E9F8Bf667";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_token";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "amount";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "balance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeAmount";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "request";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "token";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "withdraw";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "withdrewAlready";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }];
};
/**
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x34B944D42cAcfC8266955D07A80181D2054aa225)
 * - [__View Contract on Sepolia Etherscan__](https://sepolia.etherscan.io/address/0x593e89704D285B0c3fbF157c7CF2537456CE64b5)
 */
export declare const pinakionV2Abi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Approval";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Transfer";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "allowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "approve";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "balanceOf";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "decimals";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint8";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "subtractedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "decreaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "addedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "increaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "name";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "symbol";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "totalSupply";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transfer";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transferFrom";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x34B944D42cAcfC8266955D07A80181D2054aa225)
 * - [__View Contract on Sepolia Etherscan__](https://sepolia.etherscan.io/address/0x593e89704D285B0c3fbF157c7CF2537456CE64b5)
 */
export declare const pinakionV2Address: {
    readonly 421614: "0x34B944D42cAcfC8266955D07A80181D2054aa225";
    readonly 11155111: "0x593e89704D285B0c3fbF157c7CF2537456CE64b5";
};
/**
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x34B944D42cAcfC8266955D07A80181D2054aa225)
 * - [__View Contract on Sepolia Etherscan__](https://sepolia.etherscan.io/address/0x593e89704D285B0c3fbF157c7CF2537456CE64b5)
 */
export declare const pinakionV2Config: {
    readonly address: {
        readonly 421614: "0x34B944D42cAcfC8266955D07A80181D2054aa225";
        readonly 11155111: "0x593e89704D285B0c3fbF157c7CF2537456CE64b5";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Approval";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Transfer";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "allowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "approve";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "balanceOf";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "decimals";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint8";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "subtractedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "decreaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "addedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "increaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "name";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "symbol";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "totalSupply";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transfer";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transferFrom";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xb177AC8827146AC74C412688c6b10676ca170096)
 */
export declare const policyRegistryAbi: readonly [{
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_courtName";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }, {
        readonly name: "_policy";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "PolicyUpdate";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "policies";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_courtName";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_policy";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "setPolicy";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xb177AC8827146AC74C412688c6b10676ca170096)
 */
export declare const policyRegistryAddress: {
    readonly 421614: "0xb177AC8827146AC74C412688c6b10676ca170096";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xb177AC8827146AC74C412688c6b10676ca170096)
 */
export declare const policyRegistryConfig: {
    readonly address: {
        readonly 421614: "0xb177AC8827146AC74C412688c6b10676ca170096";
    };
    readonly abi: readonly [{
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_courtName";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }, {
            readonly name: "_policy";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "PolicyUpdate";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "policies";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_courtName";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_policy";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "setPolicy";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xd543D50dcba2c3E067296210D64c8F91206Df908)
 */
export declare const policyRegistryImplementationAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_courtName";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }, {
        readonly name: "_policy";
        readonly internalType: "string";
        readonly type: "string";
        readonly indexed: false;
    }];
    readonly name: "PolicyUpdate";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "policies";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_courtName";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_policy";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly name: "setPolicy";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xd543D50dcba2c3E067296210D64c8F91206Df908)
 */
export declare const policyRegistryImplementationAddress: {
    readonly 421614: "0xd543D50dcba2c3E067296210D64c8F91206Df908";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xd543D50dcba2c3E067296210D64c8F91206Df908)
 */
export declare const policyRegistryImplementationConfig: {
    readonly address: {
        readonly 421614: "0xd543D50dcba2c3E067296210D64c8F91206Df908";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_courtName";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }, {
            readonly name: "_policy";
            readonly internalType: "string";
            readonly type: "string";
            readonly indexed: false;
        }];
        readonly name: "PolicyUpdate";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "policies";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_courtName";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_policy";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly name: "setPolicy";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xb177AC8827146AC74C412688c6b10676ca170096)
 */
export declare const policyRegistryProxyAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xb177AC8827146AC74C412688c6b10676ca170096)
 */
export declare const policyRegistryProxyAddress: {
    readonly 421614: "0xb177AC8827146AC74C412688c6b10676ca170096";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xb177AC8827146AC74C412688c6b10676ca170096)
 */
export declare const policyRegistryProxyConfig: {
    readonly address: {
        readonly 421614: "0xb177AC8827146AC74C412688c6b10676ca170096";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE775D7fde1d0D09ae627C0131040012ccBcC4b9b)
 */
export declare const randomizerOracleAbi: readonly [];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE775D7fde1d0D09ae627C0131040012ccBcC4b9b)
 */
export declare const randomizerOracleAddress: {
    readonly 421614: "0xE775D7fde1d0D09ae627C0131040012ccBcC4b9b";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xE775D7fde1d0D09ae627C0131040012ccBcC4b9b)
 */
export declare const randomizerOracleConfig: {
    readonly address: {
        readonly 421614: "0xE775D7fde1d0D09ae627C0131040012ccBcC4b9b";
    };
    readonly abi: readonly [];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC)
 */
export declare const randomizerRngAbi: readonly [{
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "callbackGasLimit";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_randomizer";
        readonly internalType: "contract IRandomizer";
        readonly type: "address";
    }, {
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "randomNumbers";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "randomizer";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IRandomizer";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_id";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_value";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "randomizerCallback";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "randomizerWithdraw";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "receiveRandomness";
    readonly outputs: readonly [{
        readonly name: "randomNumber";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "requestRandomness";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "requesterToID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_callbackGasLimit";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "setCallbackGasLimit";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_randomizer";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "setRandomizer";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC)
 */
export declare const randomizerRngAddress: {
    readonly 421614: "0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC)
 */
export declare const randomizerRngConfig: {
    readonly address: {
        readonly 421614: "0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC";
    };
    readonly abi: readonly [{
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "callbackGasLimit";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_randomizer";
            readonly internalType: "contract IRandomizer";
            readonly type: "address";
        }, {
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "randomNumbers";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "randomizer";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IRandomizer";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_id";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_value";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "randomizerCallback";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "randomizerWithdraw";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "receiveRandomness";
        readonly outputs: readonly [{
            readonly name: "randomNumber";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "requestRandomness";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "requesterToID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_callbackGasLimit";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "setCallbackGasLimit";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_randomizer";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "setRandomizer";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x121F321f8F803fb88A895b969D6E26C672121149)
 */
export declare const randomizerRngImplementationAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "callbackGasLimit";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_randomizer";
        readonly internalType: "contract IRandomizer";
        readonly type: "address";
    }, {
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "randomNumbers";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "randomizer";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IRandomizer";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_id";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_value";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "randomizerCallback";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "randomizerWithdraw";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "receiveRandomness";
    readonly outputs: readonly [{
        readonly name: "randomNumber";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "requestRandomness";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "requesterToID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_callbackGasLimit";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "setCallbackGasLimit";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_randomizer";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "setRandomizer";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x121F321f8F803fb88A895b969D6E26C672121149)
 */
export declare const randomizerRngImplementationAddress: {
    readonly 421614: "0x121F321f8F803fb88A895b969D6E26C672121149";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x121F321f8F803fb88A895b969D6E26C672121149)
 */
export declare const randomizerRngImplementationConfig: {
    readonly address: {
        readonly 421614: "0x121F321f8F803fb88A895b969D6E26C672121149";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "callbackGasLimit";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_randomizer";
            readonly internalType: "contract IRandomizer";
            readonly type: "address";
        }, {
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "randomNumbers";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "randomizer";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IRandomizer";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_id";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_value";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "randomizerCallback";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "randomizerWithdraw";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "receiveRandomness";
        readonly outputs: readonly [{
            readonly name: "randomNumber";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "requestRandomness";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "requesterToID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_callbackGasLimit";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "setCallbackGasLimit";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_randomizer";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "setRandomizer";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC)
 */
export declare const randomizerRngProxyAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC)
 */
export declare const randomizerRngProxyAddress: {
    readonly 421614: "0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC)
 */
export declare const randomizerRngProxyConfig: {
    readonly address: {
        readonly 421614: "0xaE7F3AcA5c1E40D5E51eE61e20929bbDA0CAf4DC";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x3645F9e08D80E47c82aD9E33fCB4EA703822C831)
 */
export declare const sortitionModuleAbi: readonly [{
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_phase";
        readonly internalType: "enum ISortitionModule.Phase";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "NewPhase";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "StakeDelayedAlreadyTransferred";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "StakeDelayedAlreadyTransferredWithdrawn";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "StakeDelayedNotTransferred";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_relativeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_unlock";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: false;
    }];
    readonly name: "StakeLocked";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "StakeSet";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "DEFAULT_K";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "MAX_STAKE_PATHS";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_maxDrawingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeMaxDrawingTime";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_minStakingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeMinStakingTime";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_rng";
        readonly internalType: "contract RNG";
        readonly type: "address";
    }, {
        readonly name: "_rngLookahead";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeRandomNumberGenerator";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "core";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract KlerosCore";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDisputeHook";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_key";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "createTree";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "delayedStakeReadIndex";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "delayedStakeWriteIndex";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "delayedStakes";
    readonly outputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "stake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "alreadyTransferred";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "disputesWithoutJurors";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_key";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_nonce";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "draw";
    readonly outputs: readonly [{
        readonly name: "drawnAddress";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_iterations";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "executeDelayedStakes";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "getJurorBalance";
    readonly outputs: readonly [{
        readonly name: "totalStaked";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "totalLocked";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "stakedInCourt";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "nbCourts";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "getJurorCourtIDs";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint96[]";
        readonly type: "uint96[]";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_core";
        readonly internalType: "contract KlerosCore";
        readonly type: "address";
    }, {
        readonly name: "_minStakingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_maxDrawingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_rng";
        readonly internalType: "contract RNG";
        readonly type: "address";
    }, {
        readonly name: "_rngLookahead";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "isJurorStaked";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "jurors";
    readonly outputs: readonly [{
        readonly name: "stakedPnk";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "lockedPnk";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "lastPhaseChange";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "latestDelayedStakeIndex";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_relativeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "lockStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "maxDrawingTime";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "minStakingTime";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_randomNumber";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "notifyRandomNumber";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "passPhase";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_relativeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "penalizeStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "phase";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "enum ISortitionModule.Phase";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "postDrawHook";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "randomNumber";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "randomNumberRequestBlock";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "rng";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract RNG";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "rngLookahead";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "setJurorInactive";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_newStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_alreadyTransferred";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly name: "setStake";
    readonly outputs: readonly [{
        readonly name: "pnkDeposit";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "pnkWithdrawal";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "succeeded";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_key";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "_ID";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "stakeOf";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "stakeOf";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_relativeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "unlockStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}, {
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x3645F9e08D80E47c82aD9E33fCB4EA703822C831)
 */
export declare const sortitionModuleAddress: {
    readonly 421614: "0x3645F9e08D80E47c82aD9E33fCB4EA703822C831";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x3645F9e08D80E47c82aD9E33fCB4EA703822C831)
 */
export declare const sortitionModuleConfig: {
    readonly address: {
        readonly 421614: "0x3645F9e08D80E47c82aD9E33fCB4EA703822C831";
    };
    readonly abi: readonly [{
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_phase";
            readonly internalType: "enum ISortitionModule.Phase";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "NewPhase";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "StakeDelayedAlreadyTransferred";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "StakeDelayedAlreadyTransferredWithdrawn";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "StakeDelayedNotTransferred";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_relativeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_unlock";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: false;
        }];
        readonly name: "StakeLocked";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "StakeSet";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "DEFAULT_K";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "MAX_STAKE_PATHS";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_maxDrawingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeMaxDrawingTime";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_minStakingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeMinStakingTime";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_rng";
            readonly internalType: "contract RNG";
            readonly type: "address";
        }, {
            readonly name: "_rngLookahead";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeRandomNumberGenerator";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "core";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract KlerosCore";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDisputeHook";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_key";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "createTree";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "delayedStakeReadIndex";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "delayedStakeWriteIndex";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "delayedStakes";
        readonly outputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "stake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "alreadyTransferred";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "disputesWithoutJurors";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_key";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_nonce";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "draw";
        readonly outputs: readonly [{
            readonly name: "drawnAddress";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_iterations";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "executeDelayedStakes";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "getJurorBalance";
        readonly outputs: readonly [{
            readonly name: "totalStaked";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "totalLocked";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "stakedInCourt";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "nbCourts";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "getJurorCourtIDs";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint96[]";
            readonly type: "uint96[]";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_core";
            readonly internalType: "contract KlerosCore";
            readonly type: "address";
        }, {
            readonly name: "_minStakingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_maxDrawingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_rng";
            readonly internalType: "contract RNG";
            readonly type: "address";
        }, {
            readonly name: "_rngLookahead";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "isJurorStaked";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "jurors";
        readonly outputs: readonly [{
            readonly name: "stakedPnk";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "lockedPnk";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "lastPhaseChange";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "latestDelayedStakeIndex";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_relativeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "lockStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "maxDrawingTime";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "minStakingTime";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_randomNumber";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "notifyRandomNumber";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "passPhase";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_relativeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "penalizeStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "phase";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "enum ISortitionModule.Phase";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "postDrawHook";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "randomNumber";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "randomNumberRequestBlock";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "rng";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract RNG";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "rngLookahead";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "setJurorInactive";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_newStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_alreadyTransferred";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly name: "setStake";
        readonly outputs: readonly [{
            readonly name: "pnkDeposit";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "pnkWithdrawal";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "succeeded";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_key";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "_ID";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "stakeOf";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "stakeOf";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_relativeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "unlockStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xAf48e32f89339438572a04455b1C4B2fF1659c8f)
 */
export declare const sortitionModuleImplementationAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "AlreadyInitialized";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "FailedDelegateCall";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "implementation";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "InvalidImplementation";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "NotInitializing";
}, {
    readonly type: "error";
    readonly inputs: readonly [];
    readonly name: "UUPSUnauthorizedCallContext";
}, {
    readonly type: "error";
    readonly inputs: readonly [{
        readonly name: "slot";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "UUPSUnsupportedProxiableUUID";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint64";
        readonly type: "uint64";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_phase";
        readonly internalType: "enum ISortitionModule.Phase";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "NewPhase";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "StakeDelayedAlreadyTransferred";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
        readonly indexed: true;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "StakeDelayedAlreadyTransferredWithdrawn";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "StakeDelayedNotTransferred";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_relativeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_unlock";
        readonly internalType: "bool";
        readonly type: "bool";
        readonly indexed: false;
    }];
    readonly name: "StakeLocked";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "StakeSet";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "Upgraded";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "DEFAULT_K";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "MAX_STAKE_PATHS";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_maxDrawingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeMaxDrawingTime";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_minStakingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeMinStakingTime";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_rng";
        readonly internalType: "contract RNG";
        readonly type: "address";
    }, {
        readonly name: "_rngLookahead";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeRandomNumberGenerator";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "core";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract KlerosCore";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createDisputeHook";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_key";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "createTree";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "delayedStakeReadIndex";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "delayedStakeWriteIndex";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "delayedStakes";
    readonly outputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "stake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "alreadyTransferred";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "disputesWithoutJurors";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_key";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "_coreDisputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_nonce";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "draw";
    readonly outputs: readonly [{
        readonly name: "drawnAddress";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_iterations";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "executeDelayedStakes";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "getJurorBalance";
    readonly outputs: readonly [{
        readonly name: "totalStaked";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "totalLocked";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "stakedInCourt";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "nbCourts";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "getJurorCourtIDs";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint96[]";
        readonly type: "uint96[]";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_core";
        readonly internalType: "contract KlerosCore";
        readonly type: "address";
    }, {
        readonly name: "_minStakingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_maxDrawingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_rng";
        readonly internalType: "contract RNG";
        readonly type: "address";
    }, {
        readonly name: "_rngLookahead";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "isJurorStaked";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "jurors";
    readonly outputs: readonly [{
        readonly name: "stakedPnk";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "lockedPnk";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "lastPhaseChange";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "latestDelayedStakeIndex";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_relativeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "lockStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "maxDrawingTime";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "minStakingTime";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_randomNumber";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "notifyRandomNumber";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "passPhase";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_relativeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "penalizeStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "phase";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "enum ISortitionModule.Phase";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "postDrawHook";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "proxiableUUID";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "randomNumber";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "randomNumberRequestBlock";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "rng";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract RNG";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "rngLookahead";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "setJurorInactive";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_newStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_alreadyTransferred";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly name: "setStake";
    readonly outputs: readonly [{
        readonly name: "pnkDeposit";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "pnkWithdrawal";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "succeeded";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_key";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "_ID";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }];
    readonly name: "stakeOf";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_juror";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_courtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "stakeOf";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_relativeAmount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "unlockStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "newImplementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "upgradeToAndCall";
    readonly outputs: readonly [];
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xAf48e32f89339438572a04455b1C4B2fF1659c8f)
 */
export declare const sortitionModuleImplementationAddress: {
    readonly 421614: "0xAf48e32f89339438572a04455b1C4B2fF1659c8f";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xAf48e32f89339438572a04455b1C4B2fF1659c8f)
 */
export declare const sortitionModuleImplementationConfig: {
    readonly address: {
        readonly 421614: "0xAf48e32f89339438572a04455b1C4B2fF1659c8f";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "AlreadyInitialized";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "FailedDelegateCall";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "InvalidImplementation";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "NotInitializing";
    }, {
        readonly type: "error";
        readonly inputs: readonly [];
        readonly name: "UUPSUnauthorizedCallContext";
    }, {
        readonly type: "error";
        readonly inputs: readonly [{
            readonly name: "slot";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "UUPSUnsupportedProxiableUUID";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint64";
            readonly type: "uint64";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_phase";
            readonly internalType: "enum ISortitionModule.Phase";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "NewPhase";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "StakeDelayedAlreadyTransferred";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
            readonly indexed: true;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "StakeDelayedAlreadyTransferredWithdrawn";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "StakeDelayedNotTransferred";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_relativeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_unlock";
            readonly internalType: "bool";
            readonly type: "bool";
            readonly indexed: false;
        }];
        readonly name: "StakeLocked";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "StakeSet";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "Upgraded";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "DEFAULT_K";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "MAX_STAKE_PATHS";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_maxDrawingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeMaxDrawingTime";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_minStakingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeMinStakingTime";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_rng";
            readonly internalType: "contract RNG";
            readonly type: "address";
        }, {
            readonly name: "_rngLookahead";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeRandomNumberGenerator";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "core";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract KlerosCore";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createDisputeHook";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_key";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "createTree";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "delayedStakeReadIndex";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "delayedStakeWriteIndex";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "delayedStakes";
        readonly outputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "stake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "alreadyTransferred";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "disputesWithoutJurors";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_key";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "_coreDisputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_nonce";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "draw";
        readonly outputs: readonly [{
            readonly name: "drawnAddress";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_iterations";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "executeDelayedStakes";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "getJurorBalance";
        readonly outputs: readonly [{
            readonly name: "totalStaked";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "totalLocked";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "stakedInCourt";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "nbCourts";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "getJurorCourtIDs";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint96[]";
            readonly type: "uint96[]";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_core";
            readonly internalType: "contract KlerosCore";
            readonly type: "address";
        }, {
            readonly name: "_minStakingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_maxDrawingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_rng";
            readonly internalType: "contract RNG";
            readonly type: "address";
        }, {
            readonly name: "_rngLookahead";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "isJurorStaked";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "jurors";
        readonly outputs: readonly [{
            readonly name: "stakedPnk";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "lockedPnk";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "lastPhaseChange";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "latestDelayedStakeIndex";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_relativeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "lockStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "maxDrawingTime";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "minStakingTime";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_randomNumber";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "notifyRandomNumber";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "passPhase";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_relativeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "penalizeStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "phase";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "enum ISortitionModule.Phase";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "postDrawHook";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "proxiableUUID";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "randomNumber";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "randomNumberRequestBlock";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "rng";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract RNG";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "rngLookahead";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "setJurorInactive";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_newStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_alreadyTransferred";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly name: "setStake";
        readonly outputs: readonly [{
            readonly name: "pnkDeposit";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "pnkWithdrawal";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "succeeded";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_key";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "_ID";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }];
        readonly name: "stakeOf";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_juror";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_courtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "stakeOf";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_relativeAmount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "unlockStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "newImplementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "upgradeToAndCall";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x3645F9e08D80E47c82aD9E33fCB4EA703822C831)
 */
export declare const sortitionModuleProxyAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_implementation";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "fallback";
    readonly stateMutability: "payable";
}, {
    readonly type: "receive";
    readonly stateMutability: "payable";
}];
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x3645F9e08D80E47c82aD9E33fCB4EA703822C831)
 */
export declare const sortitionModuleProxyAddress: {
    readonly 421614: "0x3645F9e08D80E47c82aD9E33fCB4EA703822C831";
};
/**
 * [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x3645F9e08D80E47c82aD9E33fCB4EA703822C831)
 */
export declare const sortitionModuleProxyConfig: {
    readonly address: {
        readonly 421614: "0x3645F9e08D80E47c82aD9E33fCB4EA703822C831";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_implementation";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "fallback";
        readonly stateMutability: "payable";
    }, {
        readonly type: "receive";
        readonly stateMutability: "payable";
    }];
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xc7e3BF90299f6BD9FA7c3703837A9CAbB5743636)
 */
export declare const sortitionSumTreeFactoryAbi: readonly [];
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xc7e3BF90299f6BD9FA7c3703837A9CAbB5743636)
 */
export declare const sortitionSumTreeFactoryAddress: {
    readonly 10200: "0xc7e3BF90299f6BD9FA7c3703837A9CAbB5743636";
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xc7e3BF90299f6BD9FA7c3703837A9CAbB5743636)
 */
export declare const sortitionSumTreeFactoryConfig: {
    readonly address: {
        readonly 10200: "0xc7e3BF90299f6BD9FA7c3703837A9CAbB5743636";
    };
    readonly abi: readonly [];
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xbb3c86f9918C3C1d83668fA84e79E876d147fFf2)
 */
export declare const tokenBridgeAbi: readonly [];
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xbb3c86f9918C3C1d83668fA84e79E876d147fFf2)
 */
export declare const tokenBridgeAddress: {
    readonly 10200: "0xbb3c86f9918C3C1d83668fA84e79E876d147fFf2";
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xbb3c86f9918C3C1d83668fA84e79E876d147fFf2)
 */
export declare const tokenBridgeConfig: {
    readonly address: {
        readonly 10200: "0xbb3c86f9918C3C1d83668fA84e79E876d147fFf2";
    };
    readonly abi: readonly [];
};
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x2DFC9c3141268e6eac04a7D6d98Fbf64BDe836a8)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xAEE953CC26DbDeA52beBE3F97f281981f2B9d511)
 */
export declare const wethAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_name";
        readonly internalType: "string";
        readonly type: "string";
    }, {
        readonly name: "_symbol";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Approval";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Transfer";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "allowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "approve";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "balanceOf";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "decimals";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint8";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "subtractedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "decreaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "addedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "increaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "name";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "symbol";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "totalSupply";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transfer";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transferFrom";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x2DFC9c3141268e6eac04a7D6d98Fbf64BDe836a8)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xAEE953CC26DbDeA52beBE3F97f281981f2B9d511)
 */
export declare const wethAddress: {
    readonly 10200: "0x2DFC9c3141268e6eac04a7D6d98Fbf64BDe836a8";
    readonly 421614: "0xAEE953CC26DbDeA52beBE3F97f281981f2B9d511";
};
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x2DFC9c3141268e6eac04a7D6d98Fbf64BDe836a8)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0xAEE953CC26DbDeA52beBE3F97f281981f2B9d511)
 */
export declare const wethConfig: {
    readonly address: {
        readonly 10200: "0x2DFC9c3141268e6eac04a7D6d98Fbf64BDe836a8";
        readonly 421614: "0xAEE953CC26DbDeA52beBE3F97f281981f2B9d511";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_name";
            readonly internalType: "string";
            readonly type: "string";
        }, {
            readonly name: "_symbol";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Approval";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Transfer";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "allowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "approve";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "balanceOf";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "decimals";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint8";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "subtractedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "decreaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "addedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "increaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "name";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "symbol";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "totalSupply";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transfer";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transferFrom";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x22CB016c4b57413ca4DF5F1AC44a0E0d3c69811F)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x922B84134e41BC5c9EDE7D5EFCE22Ba3D0e71835)
 */
export declare const wethFaucetAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_token";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "amount";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "balance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeAmount";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "request";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "token";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "withdraw";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "withdrewAlready";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}];
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x22CB016c4b57413ca4DF5F1AC44a0E0d3c69811F)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x922B84134e41BC5c9EDE7D5EFCE22Ba3D0e71835)
 */
export declare const wethFaucetAddress: {
    readonly 10200: "0x22CB016c4b57413ca4DF5F1AC44a0E0d3c69811F";
    readonly 421614: "0x922B84134e41BC5c9EDE7D5EFCE22Ba3D0e71835";
};
/**
 * - [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x22CB016c4b57413ca4DF5F1AC44a0E0d3c69811F)
 * - [__View Contract on Arbitrum Sepolia Arbiscan__](https://sepolia.arbiscan.io/address/0x922B84134e41BC5c9EDE7D5EFCE22Ba3D0e71835)
 */
export declare const wethFaucetConfig: {
    readonly address: {
        readonly 10200: "0x22CB016c4b57413ca4DF5F1AC44a0E0d3c69811F";
        readonly 421614: "0x922B84134e41BC5c9EDE7D5EFCE22Ba3D0e71835";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_token";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "amount";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "balance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeAmount";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "request";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "token";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "withdraw";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "withdrewAlready";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }];
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x5898aeE045A25B276369914c3448B72a41758B2c)
 */
export declare const wpnkFaucetAbi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [{
        readonly name: "_token";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "balance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "request";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "token";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "withdrewAlready";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}];
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x5898aeE045A25B276369914c3448B72a41758B2c)
 */
export declare const wpnkFaucetAddress: {
    readonly 10200: "0x5898aeE045A25B276369914c3448B72a41758B2c";
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x5898aeE045A25B276369914c3448B72a41758B2c)
 */
export declare const wpnkFaucetConfig: {
    readonly address: {
        readonly 10200: "0x5898aeE045A25B276369914c3448B72a41758B2c";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [{
            readonly name: "_token";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "balance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "request";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "token";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "withdrewAlready";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }];
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xD75E27A56AaF9eE7F8d9A472a8C2EF2f65a764dd)
 */
export declare const wrappedPinakionV2Abi: readonly [{
    readonly type: "constructor";
    readonly inputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Approval";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "value";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Transfer";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "owner";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "allowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "approve";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "balanceOf";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "decimals";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint8";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "subtractedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "decreaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "addedValue";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "increaseAllowance";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "name";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "symbol";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "string";
        readonly type: "string";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "totalSupply";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transfer";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "from";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "transferFrom";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}];
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xD75E27A56AaF9eE7F8d9A472a8C2EF2f65a764dd)
 */
export declare const wrappedPinakionV2Address: {
    readonly 10200: "0xD75E27A56AaF9eE7F8d9A472a8C2EF2f65a764dd";
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0xD75E27A56AaF9eE7F8d9A472a8C2EF2f65a764dd)
 */
export declare const wrappedPinakionV2Config: {
    readonly address: {
        readonly 10200: "0xD75E27A56AaF9eE7F8d9A472a8C2EF2f65a764dd";
    };
    readonly abi: readonly [{
        readonly type: "constructor";
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Approval";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "value";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Transfer";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "owner";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "allowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "approve";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "balanceOf";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "decimals";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint8";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "subtractedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "decreaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "addedValue";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "increaseAllowance";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "name";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "symbol";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "string";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "totalSupply";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transfer";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "from";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "transferFrom";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }];
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x34E520dc1d2Db660113b64724e14CEdCD01Ee879)
 */
export declare const xKlerosLiquidV2Abi: readonly [{
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrable";
        readonly type: "address";
        readonly indexed: true;
    }];
    readonly name: "DisputeCreation";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_appeal";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Draw";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "version";
        readonly internalType: "uint8";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "Initialized";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_period";
        readonly internalType: "enum xKlerosLiquidV2.Period";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "NewPeriod";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_phase";
        readonly internalType: "enum xKlerosLiquidV2.Phase";
        readonly type: "uint8";
        readonly indexed: false;
    }];
    readonly name: "NewPhase";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_arbitrable";
        readonly internalType: "contract IArbitrable";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "Ruling";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_subcourtID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }, {
        readonly name: "_stake";
        readonly internalType: "uint128";
        readonly type: "uint128";
        readonly indexed: false;
    }, {
        readonly name: "_newTotalStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: false;
    }];
    readonly name: "StakeSet";
}, {
    readonly type: "event";
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly name: "_address";
        readonly internalType: "address";
        readonly type: "address";
        readonly indexed: true;
    }, {
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
        readonly indexed: true;
    }, {
        readonly name: "_tokenAmount";
        readonly internalType: "int256";
        readonly type: "int256";
        readonly indexed: false;
    }, {
        readonly name: "_ETHAmount";
        readonly internalType: "int256";
        readonly type: "int256";
        readonly indexed: false;
    }];
    readonly name: "TokenAndETHShift";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "ALPHA_DIVISOR";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "MAX_STAKE_PATHS";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "MIN_JURORS";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "NON_PAYABLE_AMOUNT";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "RN";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "RNBlock";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "RNGenerator";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IRandomAuRa";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "arbitrationCost";
    readonly outputs: readonly [{
        readonly name: "cost";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_foreignGateway";
        readonly internalType: "contract IForeignGateway";
        readonly type: "address";
    }];
    readonly name: "changeForeignGateway";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "changeGovernor";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_maxDrawingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeMaxDrawingTime";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_minStakingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeMinStakingTime";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_pinakion";
        readonly internalType: "contract WrappedPinakion";
        readonly type: "address";
    }];
    readonly name: "changePinakion";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_RNGenerator";
        readonly internalType: "contract IRandomAuRa";
        readonly type: "address";
    }];
    readonly name: "changeRNGenerator";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeSubcourtAlpha";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeSubcourtJurorFee";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeSubcourtJurorsForJump";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "changeSubcourtMinStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }];
    readonly name: "changeSubcourtTimesPerPeriod";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_weth";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly name: "changeWethAddress";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "courts";
    readonly outputs: readonly [{
        readonly name: "parent";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_extraData";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "createDispute";
    readonly outputs: readonly [{
        readonly name: "disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_parent";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "_minStake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_alpha";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_feeForJuror";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_jurorsForCourtJump";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }, {
        readonly name: "_sortitionSumTreeK";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "createSubcourt";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "currentRuling";
    readonly outputs: readonly [{
        readonly name: "ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "delayedSetStakes";
    readonly outputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "stake";
        readonly internalType: "uint128";
        readonly type: "uint128";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputes";
    readonly outputs: readonly [{
        readonly name: "subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "arbitrated";
        readonly internalType: "contract IArbitrable";
        readonly type: "address";
    }, {
        readonly name: "numberOfChoices";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "period";
        readonly internalType: "enum xKlerosLiquidV2.Period";
        readonly type: "uint8";
    }, {
        readonly name: "lastPeriodChange";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "drawsInRound";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "commitsInRound";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "ruled";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "disputesRuling";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "disputesWithoutJurors";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_iterations";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "executeDelayedSetStakes";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_destination";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_data";
        readonly internalType: "bytes";
        readonly type: "bytes";
    }];
    readonly name: "executeGovernorProposal";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "foreignGateway";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IForeignGateway";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getDispute";
    readonly outputs: readonly [{
        readonly name: "votesLengths";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "tokensAtStakePerJuror";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "totalFeesForJurors";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "votesInEachRound";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "repartitionsInEachRound";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "penaltiesInEachRound";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "getJuror";
    readonly outputs: readonly [{
        readonly name: "subcourtIDs";
        readonly internalType: "uint96[]";
        readonly type: "uint96[]";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "getSubcourt";
    readonly outputs: readonly [{
        readonly name: "children";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_appeal";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_voteID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getVote";
    readonly outputs: readonly [{
        readonly name: "account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "commit";
        readonly internalType: "bytes32";
        readonly type: "bytes32";
    }, {
        readonly name: "choice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "voted";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_appeal";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "getVoteCounter";
    readonly outputs: readonly [{
        readonly name: "winningChoice";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "counts";
        readonly internalType: "uint256[]";
        readonly type: "uint256[]";
    }, {
        readonly name: "tied";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "governor";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_governor";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_pinakion";
        readonly internalType: "contract WrappedPinakion";
        readonly type: "address";
    }, {
        readonly name: "_RNGenerator";
        readonly internalType: "contract IRandomAuRa";
        readonly type: "address";
    }, {
        readonly name: "_minStakingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_maxDrawingTime";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_hiddenVotes";
        readonly internalType: "bool";
        readonly type: "bool";
    }, {
        readonly name: "_courtParameters";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }, {
        readonly name: "_timesPerPeriod";
        readonly internalType: "uint256[4]";
        readonly type: "uint256[4]";
    }, {
        readonly name: "_sortitionSumTreeK";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_foreignGateway";
        readonly internalType: "contract IForeignGateway";
        readonly type: "address";
    }, {
        readonly name: "_weth";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly name: "initialize";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "jurors";
    readonly outputs: readonly [{
        readonly name: "stakedTokens";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "lockedTokens";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "lastDelayedSetStake";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "lastPhaseChange";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "lockInsolventTransfers";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "maxDrawingTime";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "minStakingTime";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "nextDelayedSetStake";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_owner";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_spender";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "onApprove";
    readonly outputs: readonly [{
        readonly name: "allowed";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_from";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_to";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_amount";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "onTransfer";
    readonly outputs: readonly [{
        readonly name: "allowed";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "phase";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "enum xKlerosLiquidV2.Phase";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "pinakion";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract WrappedPinakion";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_owner";
        readonly internalType: "address";
        readonly type: "address";
    }];
    readonly name: "proxyPayment";
    readonly outputs: readonly [{
        readonly name: "allowed";
        readonly internalType: "bool";
        readonly type: "bool";
    }];
    readonly stateMutability: "payable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_disputeID";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }, {
        readonly name: "_ruling";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly name: "rule";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }, {
        readonly name: "_stake";
        readonly internalType: "uint128";
        readonly type: "uint128";
    }];
    readonly name: "setStake";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
}, {
    readonly type: "function";
    readonly inputs: readonly [{
        readonly name: "_account";
        readonly internalType: "address";
        readonly type: "address";
    }, {
        readonly name: "_subcourtID";
        readonly internalType: "uint96";
        readonly type: "uint96";
    }];
    readonly name: "stakeOf";
    readonly outputs: readonly [{
        readonly name: "stake";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "totalDisputes";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "uint256";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
}, {
    readonly type: "function";
    readonly inputs: readonly [];
    readonly name: "weth";
    readonly outputs: readonly [{
        readonly name: "";
        readonly internalType: "contract IERC20";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
}];
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x34E520dc1d2Db660113b64724e14CEdCD01Ee879)
 */
export declare const xKlerosLiquidV2Address: {
    readonly 10200: "0x34E520dc1d2Db660113b64724e14CEdCD01Ee879";
};
/**
 * [__View Contract on Gnosis Chiado Blockscout__](https://blockscout.chiadochain.net/address/0x34E520dc1d2Db660113b64724e14CEdCD01Ee879)
 */
export declare const xKlerosLiquidV2Config: {
    readonly address: {
        readonly 10200: "0x34E520dc1d2Db660113b64724e14CEdCD01Ee879";
    };
    readonly abi: readonly [{
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrable";
            readonly type: "address";
            readonly indexed: true;
        }];
        readonly name: "DisputeCreation";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_appeal";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Draw";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "version";
            readonly internalType: "uint8";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "Initialized";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_period";
            readonly internalType: "enum xKlerosLiquidV2.Period";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "NewPeriod";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_phase";
            readonly internalType: "enum xKlerosLiquidV2.Phase";
            readonly type: "uint8";
            readonly indexed: false;
        }];
        readonly name: "NewPhase";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_arbitrable";
            readonly internalType: "contract IArbitrable";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "Ruling";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_subcourtID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }, {
            readonly name: "_stake";
            readonly internalType: "uint128";
            readonly type: "uint128";
            readonly indexed: false;
        }, {
            readonly name: "_newTotalStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: false;
        }];
        readonly name: "StakeSet";
    }, {
        readonly type: "event";
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly name: "_address";
            readonly internalType: "address";
            readonly type: "address";
            readonly indexed: true;
        }, {
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
            readonly indexed: true;
        }, {
            readonly name: "_tokenAmount";
            readonly internalType: "int256";
            readonly type: "int256";
            readonly indexed: false;
        }, {
            readonly name: "_ETHAmount";
            readonly internalType: "int256";
            readonly type: "int256";
            readonly indexed: false;
        }];
        readonly name: "TokenAndETHShift";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "ALPHA_DIVISOR";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "MAX_STAKE_PATHS";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "MIN_JURORS";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "NON_PAYABLE_AMOUNT";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "RN";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "RNBlock";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "RNGenerator";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IRandomAuRa";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "arbitrationCost";
        readonly outputs: readonly [{
            readonly name: "cost";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_foreignGateway";
            readonly internalType: "contract IForeignGateway";
            readonly type: "address";
        }];
        readonly name: "changeForeignGateway";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "changeGovernor";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_maxDrawingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeMaxDrawingTime";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_minStakingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeMinStakingTime";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_pinakion";
            readonly internalType: "contract WrappedPinakion";
            readonly type: "address";
        }];
        readonly name: "changePinakion";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_RNGenerator";
            readonly internalType: "contract IRandomAuRa";
            readonly type: "address";
        }];
        readonly name: "changeRNGenerator";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeSubcourtAlpha";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeSubcourtJurorFee";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeSubcourtJurorsForJump";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "changeSubcourtMinStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }];
        readonly name: "changeSubcourtTimesPerPeriod";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_weth";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly name: "changeWethAddress";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "courts";
        readonly outputs: readonly [{
            readonly name: "parent";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_extraData";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "createDispute";
        readonly outputs: readonly [{
            readonly name: "disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_parent";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "_minStake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_alpha";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_feeForJuror";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_jurorsForCourtJump";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }, {
            readonly name: "_sortitionSumTreeK";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "createSubcourt";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "currentRuling";
        readonly outputs: readonly [{
            readonly name: "ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "delayedSetStakes";
        readonly outputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "stake";
            readonly internalType: "uint128";
            readonly type: "uint128";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputes";
        readonly outputs: readonly [{
            readonly name: "subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "arbitrated";
            readonly internalType: "contract IArbitrable";
            readonly type: "address";
        }, {
            readonly name: "numberOfChoices";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "period";
            readonly internalType: "enum xKlerosLiquidV2.Period";
            readonly type: "uint8";
        }, {
            readonly name: "lastPeriodChange";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "drawsInRound";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "commitsInRound";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "ruled";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "disputesRuling";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "disputesWithoutJurors";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_iterations";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "executeDelayedSetStakes";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_destination";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_data";
            readonly internalType: "bytes";
            readonly type: "bytes";
        }];
        readonly name: "executeGovernorProposal";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "foreignGateway";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IForeignGateway";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getDispute";
        readonly outputs: readonly [{
            readonly name: "votesLengths";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "tokensAtStakePerJuror";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "totalFeesForJurors";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "votesInEachRound";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "repartitionsInEachRound";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "penaltiesInEachRound";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "getJuror";
        readonly outputs: readonly [{
            readonly name: "subcourtIDs";
            readonly internalType: "uint96[]";
            readonly type: "uint96[]";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "getSubcourt";
        readonly outputs: readonly [{
            readonly name: "children";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_appeal";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_voteID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getVote";
        readonly outputs: readonly [{
            readonly name: "account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "commit";
            readonly internalType: "bytes32";
            readonly type: "bytes32";
        }, {
            readonly name: "choice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "voted";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_appeal";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "getVoteCounter";
        readonly outputs: readonly [{
            readonly name: "winningChoice";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "counts";
            readonly internalType: "uint256[]";
            readonly type: "uint256[]";
        }, {
            readonly name: "tied";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "governor";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_governor";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_pinakion";
            readonly internalType: "contract WrappedPinakion";
            readonly type: "address";
        }, {
            readonly name: "_RNGenerator";
            readonly internalType: "contract IRandomAuRa";
            readonly type: "address";
        }, {
            readonly name: "_minStakingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_maxDrawingTime";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_hiddenVotes";
            readonly internalType: "bool";
            readonly type: "bool";
        }, {
            readonly name: "_courtParameters";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }, {
            readonly name: "_timesPerPeriod";
            readonly internalType: "uint256[4]";
            readonly type: "uint256[4]";
        }, {
            readonly name: "_sortitionSumTreeK";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_foreignGateway";
            readonly internalType: "contract IForeignGateway";
            readonly type: "address";
        }, {
            readonly name: "_weth";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly name: "initialize";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "jurors";
        readonly outputs: readonly [{
            readonly name: "stakedTokens";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "lockedTokens";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "lastDelayedSetStake";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "lastPhaseChange";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "lockInsolventTransfers";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "maxDrawingTime";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "minStakingTime";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "nextDelayedSetStake";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_owner";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_spender";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "onApprove";
        readonly outputs: readonly [{
            readonly name: "allowed";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_from";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_to";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_amount";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "onTransfer";
        readonly outputs: readonly [{
            readonly name: "allowed";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "phase";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "enum xKlerosLiquidV2.Phase";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "pinakion";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract WrappedPinakion";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_owner";
            readonly internalType: "address";
            readonly type: "address";
        }];
        readonly name: "proxyPayment";
        readonly outputs: readonly [{
            readonly name: "allowed";
            readonly internalType: "bool";
            readonly type: "bool";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_disputeID";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }, {
            readonly name: "_ruling";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly name: "rule";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }, {
            readonly name: "_stake";
            readonly internalType: "uint128";
            readonly type: "uint128";
        }];
        readonly name: "setStake";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly inputs: readonly [{
            readonly name: "_account";
            readonly internalType: "address";
            readonly type: "address";
        }, {
            readonly name: "_subcourtID";
            readonly internalType: "uint96";
            readonly type: "uint96";
        }];
        readonly name: "stakeOf";
        readonly outputs: readonly [{
            readonly name: "stake";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "totalDisputes";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "uint256";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly inputs: readonly [];
        readonly name: "weth";
        readonly outputs: readonly [{
            readonly name: "";
            readonly internalType: "contract IERC20";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
    }];
};
